<?php
session_start();
//Tell PHP to start the session (Note the VERY FIRST line must be session_start because of some host configurations)
// IMPORTANT -- Needs to be up front so that database.php can see the _SESSION['SYS_ ... variables

// Management functions
include_once("include/cr_functions.php");
// Database Table definitions
include_once("include/operationconstants.php");

// Make sure we have the variable set
if (!isset($incPath))
{
	$incPath = '';
}
// Location for local settings - This allows us to place senstive information away from the website
require_once($incPath.'../LocalSettings_Appearance.php'); 


////// LIBRARY //////
// Location of the  PHP libraries (don't forget the final path)
$websiteLibrary = $incPath."library/";
if (!file_exists($websiteLibrary.'calcWorkUnit.php'))
{
	$websiteLibrary = $incPath."../library/";
	if (!file_exists($websiteLibrary.'calcWorkUnit.php'))
	{
		// This is as far as it goes
		$websiteLibrary = $incPath."../../library/";
		if (!file_exists($websiteLibrary.'calcWorkUnit.php'))
		{
			// This is as far as it goes
			echo ("<h4>Library not located</h4>");
			die;
		}
	}
}


/////////////////////////////////////////
// -- DATABASES - Will only connect if SYSTEM is defined that needs it
/////////////////////////////////////////
// Determine which SESSION.php to run
// If this was set in cr_reference, then don't load the database 
if (!defined("SYS_DB_HOST"))
{
	$sessionphp = "include/session.php";  // With DB
	// Location for database (only if we are in DB mode)
	include_once($incPath.'../LocalSettings_Database.php');
}
else
{
	$sessionphp = "include/session_nodb.php";  // Without DB
}

// Set timeouts 
session_set_cookie_params(LOGINSESSIONMAXSECONDS); // Session automatically expire after an x seconds of inactivity
?>