<?php
// Will check for the files that need to be found in order to assume the test has completed
// - NOTE: All code must be contained to this file... at least until the system tests to see that the code does exist

require("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath."include/session.php");
$_SESSION['IncPath'] = $incPath;
require_once($websiteLibrary.'calcWorkUnit.php'); 


//include($incPath."include/session.php");
//$mFile = $incPath."../LocalSettings_Database.php";
//require_once($mFile);

function output($pLine)
{
	echo($pLine."<br />\n");
}




// NOTE: If you see nothing, it may be because you have PHP set to show no errors
// - find the php.ini files (using phpinfo();)
// - display_errors = On
// Restart Apache / IIS

output('<h2>TeleFlowRelay Installation Test - Part 2</h2>');
output('-- Note: This test is not completed until you see: <b>** COMPLETE **</b>');
output(' ');
output('SUCCESS: Required includes found');
output('TESTING: Testing database connection to '.SYS_DB_HOST.' using '.SYS_DATABASE_SYSTEM);


if (defined('SYS_DATABASE_SYSTEM'))
{
	if (SYS_DATABASE_SYSTEM == "SQLServer")
	{
		// SQL Server
		//first parameter is server name, 2nd username 'root', 3rd is password
		$rst = mssql_connect(SYS_DB_HOST,SYS_DB_USER,SYS_DB_PASS);
		if (!$rst)
		{
			output('FAILURE: Unable to connect to database manager');
			die('Could not connect: ' . mssql_error());
		} 
		else 
		{
			output('SUCCESS: Connected to Microsoft SQL Server Database Manager');
		}
	}
	else if (SYS_DATABASE_SYSTEM == "MS_PHP_SQLSvr")
	{
		// SQL Server 
		// $connectionInfo = array("UID" => $uid, "PWD" => $pwd, "Database"=>"AdventureWorks");
		// $conn = sqlsrv_connect( $serverName, $connectionInfo);
		$rst = sqlsrv_connect(SYS_DB_HOST);
		if (!$rst)
		{
			output('FAILURE: Unable to connect to database manager');
			die('Could not connect: ' . mssql_error());
		} 
		else 
		{
			output('SUCCESS: Connected to Microsoft SQL Server Database Manager');
		}
	}	
	else
	{
		// MySQL
		//first parameter is server name, 2nd username 'root', 3rd is password
		$rst = mysql_connect(SYS_DB_HOST,SYS_DB_USER,SYS_DB_PASS);
		if (!$rst)
		{
			output('FAILURE: Unable to connect to database manager');
			die('Could not connect: ' . mysql_error());
		} 
		else 
		{
			output('SUCCESS: Connected to MySQL Database Manager');
		}

		if (! @mysql_select_db("mysql") )
		{
			output('FAILURE: Unable to connect to database...');
			die('Could not connect: ' . mysql_error());
		} 
		else 
		{
			output('SUCCESS: Connected to MySQL Database "MYSQL"');
		}
	}
}
else
{
	output('FAILURE: SYS_DATABASE_SYSTEM has not been defined');
	die('System not defined');
}
	

// We are done
output("SUCCESS: System Installation Test 2 passed all tests.");
output(' ');
output('<b>** COMPLETE **</b>');
output(' ');
output('The next step is to test email connections. This test only needs to be 
run if the system needs to send email. When ready, <a href="cr_install_test_3.php">
click here</a>.');
output(' ');
output('If you do not need this step, attempt to use the website as installed.  
		<a href="'.$incPath.'cr_main.php">Click here</a> to use the installation.');

?>