<?php
// Affiliate Signup and Review functions

// Find the highest added affiliate
function GetNextAffiliate($pAffiliateSignupFile)
{
	// Determine what the index file should be named
	$mTextFile = $pAffiliateSignupFile;
	
	$mFoundAffiliate = 100;  // Our lowest number

	// Open or create the index file
	if (File_Exists($mTextFile))
	{
		$ic_recs	= 0;
		$ic_buffer  = 1024*16;
		$handleIdx  = fopen($mTextFile, "r");  // Open for Read
		// Load the index
		do
		{
			$buffer = fgets($handleIdx, $ic_buffer);

			$parts = explode(",", $buffer);
			// AddLogRow($ic,ftell($handle),'Row',substr($buffer,0,23),substr($buffer,26,200));
			// echo ($parts[1]."\n");
			if (isset($parts[1]) && ($parts[1] > $mFoundAffiliate))
			{
				$mFoundAffiliate = $parts[1];
			}
			
			$ic_recs++;
		} while (!feof($handleIdx));
		fclose($handleIdx);
	}    
	// Add a random number for the next
	$mFoundAffiliate += mt_rand(7,21);
	return $mFoundAffiliate;
} // GetNextAffiliate


// Find the highest added affiliate
function CheckAffiliateLogin($pAffiliateSignupFile, 
							$pUserId, 
							$pPassword)
{
	$cAffiliateNo	= 1;
	$cContactName 	= 2;
	$cTelephone 	= 3;
	$cEmail			= 4;
	$cPass			= 5;

	// Determine what the index file should be named
	$mTextFile = $pAffiliateSignupFile;

	$returnAffiliateNum = false;
	
	// Open or create the index file
	if (File_Exists($mTextFile))
	{
		$ic_recs	= 0;
		$ic_buffer  = 1024*16;
		$handleIdx  = fopen($mTextFile, "r");  // Open for Read
		// Load the index
		do
		{
			$buffer = fgets($handleIdx, $ic_buffer);

			$parts = explode(",", $buffer);
			if ((isset($parts[$cAffiliateNo])) && 
				(isset($parts[$cContactName])) && 
				(isset($parts[$cEmail])) && 
				(isset($parts[$cPass])))
				
			{
				if (($parts[$cEmail] == $pUserId) && ($parts[$cPass] == $pPassword))
				{
					$returnAffiliateNum = $parts[$cAffiliateNo];
				}
			}
			
			$ic_recs++;
		} while (!feof($handleIdx));
		fclose($handleIdx);
	}    
	
	return $returnAffiliateNum;
} // CheckAffiliateLogin



// Find the highest added affiliate
function GetAffiliateDetails($pAffiliateSignupFile,
							$pAffiliateNum, 
							&$pVarContactName, 
							&$pVarTelephone,
							&$pVarEmail)
{
	$cAffiliateNo	= 1;
	$cContactName 	= 2;
	$cTelephone 	= 3;
	$cEmail			= 4;
	$cPass			= 5;

	
	$mFound = false;
	// Determine what the index file should be named
	$mTextFile = $pAffiliateSignupFile;

	$returnAffiliateNum = false;
	
	// Open or create the index file
	if (File_Exists($mTextFile))
	{
		$ic_recs	= 0;
		$ic_buffer  = 1024*16;
		$handleIdx  = fopen($mTextFile, "r");  // Open for Read
		// Load the index
		do
		{
			$buffer = fgets($handleIdx, $ic_buffer);

			$parts = explode(",", $buffer);
			if ((isset($parts[$cAffiliateNo])) && 
				(isset($parts[$cContactName])) && 
				(isset($parts[$cEmail])) && 
				(isset($parts[$cPass])))
				
			{
				if (($parts[$cAffiliateNo] == $pAffiliateNum))
				{
					$mFound = true;
					$pVarContactName	= $parts[$cContactName];
					$pVarTelephone		= $parts[$cTelephone];
					$pVarEmail			= $parts[$cEmail];
					
				}
			}
			
			$ic_recs++;
		} while (!feof($handleIdx));
		fclose($handleIdx);
	}   
	
	return $mFound;
} // CheckAffiliateLogin


// Log the affiliate entry to the signup file
function LogAffiliateSignedUp($pAffiliateSignupFile, 
								$pAffiliateNum, 
								$pAffiliateName, 
								$pTelephone, 
								$pEmail,
								$pPassword,
								$pPercentage)
{
	$textFile = $pAffiliateSignupFile;
	$fh = fopen($textFile, 'a') or die("can't open file");
	//echo($textFile	);
	$stringData = Date('Y-m-d_G:i:s').','.$pAffiliateNum.','.$pAffiliateName.','.$pTelephone.','.$pEmail.','.$pPassword.','.$pPercentage."\n";
	fwrite($fh, $stringData);
	fclose($fh);
}

?>