<?php
/**
 * cr_main.php
 *
 * Users are be able to login and optionally sign up
 *
 * Written by (teleflow / web access updates) : javakinetic@gmail.com
 * Last Updated: Jan 13, 2009
 
 NOTE: For an explanation of how logging in works, see: session.php
 
*/
// Determine relative location for paths
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath.$sessionphp);

require_once($websiteLibrary."calcWorkUnit.php"); 
require_once($websiteLibrary."emailWorkUnit.php");

// Other includes for creation of forms
require_once($incPath.'cr_form_content.php');

// Ensure any previous settings of autologin are gone - This only needs to be located on this page.
unset($_SESSION['CLIENTID_BY_IP_ADDR']); 


require_once("bc_affiliate_lib.php");
// Affiliate config details (Variables)
require_once("cr_affiliate_config.php");


// This is a secure page, so redirect if needed
if ($cGlobalSecure) 
{
	redirectToHTTPS();
}

// Always reset the user when we get here
$subLocation = '';
$_SESSION["new_user_id"] = 0; // This is set in session.pnp in "register" function


// Join button was pressed, and we are good to go
if ((isset($_POST["MM_login"])) && ($_POST["MM_login"] == "form1")) 
{
	//echo 'Hello'.$mAffiliateDir.$mAffiliateFile; die;
	$mAffiliateID	= CheckAffiliateLogin($mAffiliateDir.$mAffiliateFile,
											$_POST['user'],
											$_POST['pass']);
	//echo 'Hello'.$mAffiliateID; die;
	
	// Are we logged in?
	if ($mAffiliateID)
	{
		// Load the details of the login
		if (GetAffiliateDetails($mAffiliateDir.$mAffiliateFile,
								$mAffiliateID,
								$_SESSION['affiliate_contactname'],
								$_SESSION['affiliate_telephone'],
								$_SESSION['affiliate_email']))
		{
			//echo('Login'.$mAffiliateID); die;
			$_SESSION['logged_in'] = $mAffiliateID;
		}
	}
}

/**
 * User has already logged in, so display relavent links, including
 * a link to the admin center if the user is an administrator.
 */

include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script language="javascript">
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{	
	<?php include($incPath.'cr_javascript_graphics.php'); ?>
	
	$("#portfolio_items").hide();
	$("#portfolio_items").fadeIn(500);
	$("#portfolio_items_company").hide();
	$("#portfolio_items_company").fadeIn(500);
	$("#portfolio_items_second").hide();
	$("#portfolio_items_second").fadeIn(1000);
}
)
</script>
<style type="text/css">
<!--
.world{
	background: url(images/planet-background.jpg) no-repeat center;
}
-->
</style>
<?php 
include($incPath."include/header_divs.php"); 

// Start - TOP MENU 
?>
<div id="topbar">
<?php
if (isset($_SESSION['logged_in']))
{
	// Main menu
	echo CheckCurrentMenu($appSysUri, 'bc_affiliate_login.php', 'Affiliate Access',  $incPath.$webCSSMenuGraphic);
}
else
{
	// Login message
	echo CheckCurrentMenu($appSysUri, 'bc_affiliate_login.php', 'Login',  $incPath.$webCSSMenuGraphic);
}
?>
</div>
<?php
// Show the contacts information
include($incPath ."include/contact_links.php"); 
// END - TOP MENU

?>
<div id="frontpage">
<div id="maintext">


<?php
// ******************************
// LOGGED IN SECTION
// ******************************

// NOTE:  Login functions are performed by "cr_process.php" called from "cr_main_signup.php" with POST of "sublogin"
if (isset($_SESSION['logged_in']))
{
	$menufile = 'cr_affiliate_menu.html';

?>
<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1">
	
<?php 
	// Display the normal contents
	include(str_replace('.', '_contents.', $filename = array_pop(explode('/', $_SERVER['PHP_SELF']))));

	// Get the log report
	$mReportConversion = $mAffiliateDir.$appMarketingName.'_affiliate_'.$_SESSION['logged_in'].'.html';
	$mReportConversion = 'affiliate/'.$appMarketingName.'_affiliate_'.$_SESSION['logged_in'].'.html';
	$mMenu1 = 'To review Conversion Reports, click <a href="'.$mReportConversion.'">here.</a>';
	$mMenu2 = 'To review Click-Through Reports, click <a href="'.$mReportConversion.'">here.</a>';


	// Add the menu system into place
	echo(displayContainerHeader(1, 'Click Through and Conversation Reports'));
	if (file_exists($mReportConversion))
	{
		// Portfolio Contents Section 
		echo(displayContainerMenuItem($mMenu1)); 
		echo(displayContainerMenuItem($mMenu2)); 
		echo(displayContainerFileContent($mReportConversion)); 
		//echo(displayContainerFileContent($mMenu2)); 
	}
	else
	{
		//echo $mReportConversion;
		echo(displayContainerMenuItem('No activity recorded yet.')); 
	}
	echo(displayContainerFooter());
?>	
</div>

<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->
		
		
<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2">
<?php 
	include('bc_affiliate_sidepanel.php'); 
?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->

<?php
}
// ******************************
// ********* SIGN-UP and SIGN-UP SECTION
// ******************************
else
{
?>
<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1 world">
	<?php 
	include(str_replace('.', '_signin.', $filename = array_pop(explode('/', $_SERVER['PHP_SELF'])))); 
	?>
</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2">
	<?php 
	include('bc_affiliate_sidepanel.php'); 
	?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->
<?php
} // Logged in
 

?>

<!-- Footer standard -->
</div> <!-- maintext -->
</div> <!-- frontpage -->
<?php 
include($incPath ."include/footer.php");
?>