<?php 
/*
* MedicalRelay
*
* Copyright (C) 2008 engenic (engenic.com)
* 
* ATTENTION: This is NOT Open Source software
* Commercial license must be acquired from engenic.com
*/
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath.$sessionphp);

require_once($websiteLibrary."calcWorkUnit.php"); 
require_once($websiteLibrary."emailWorkUnit.php"); 

// Forms for fields for signups and credit cards
require($incPath.'include/cr_signup_forms.php'); 


require_once("bc_affiliate_lib.php");
// Affiliate config details (Variables)
require_once("cr_affiliate_config.php");



// Details for post
$mContactName  		= '';
$mTelephone    		= '';
$mEmail        		= '';
$mPassword     		= '';	
$mPassword2    		= '';	

		
// if one is set, then they all should be
if (isset($_POST['contactname']))
{
	// If one is posted, then they are all posted.
	$mContactName		= $_POST['contactname'];
	$mTelephone			= $_POST['telephone'];	
	$mEmail				= $_POST['email'];	
	$mPassword			= $_POST['pass'];	
	$mPassword2			= $_POST['pass2'];	
}

// Join button was pressed, and we are good to go
if ((isset($_POST["MM_join"])) && ($_POST["MM_join"] == "form1")) 
{
	$mAffiliateID	= GetNextAffiliate($mAffiliateDir.$mAffiliateFile);

	LogAffiliateSignedUp($mAffiliateDir.$mAffiliateFile, 
						$mAffiliateID, 
						$mContactName, 
						$mTelephone, 
						$mEmail, 
						$mPassword,
						$mPercent);
										
	$mReceiptFile	= $mAffiliateDir.'affiliate_joined_'.session_id().'.txt';
	// Add response and save details of purhcase to session, so that they cant be tampered with at the browser end.
	$mReceiptTable 	= 
		'<tr><td>'.'TRANSACTION ID'.		'</td><td>'.session_id().'</td></tr>'.
		'<tr><td>'.'Name'.					'</td><td>'.$mContactName.'</td></tr>'.
		'<tr><td>'.'Telephone'.				'</td><td>'.$mTelephone.'</td></tr>'.
		'<tr><td>'.'Email'.					'</td><td>'.$mEmail.'</td></tr>'.
		'<tr><td>'.'Percentage'.			'</td><td>'.$mPercent.'</td></tr>'.
		'<tr><td>'.'&nbsp;'.				'</td><td>&nbsp;</td></tr>';
		
	// Save the reciept
	LogTextToFile($mReceiptFile,$mReceiptTable);


	// Log to a year file for quick lookup
	LogTextToFile($mAffiliateDir."affiliate_joined_".Date('Y').".log",
					'========= '.$mAffiliateID.' = '.$mContactName.' = '.$mTelephone.' = '.$mEmail.' = '.$mPassword.' ===== '.addCRLF().
					addCRLF());

	// Remember the order for the next screen
	$_SESSION['affiliate_contact'] 		= $mContactName;
	$_SESSION['affiliate_telephone']	= $mTelephone;
	$_SESSION['affiliate_email']		= $mEmail;
					
	// Move to the next screen once the system is completed (send along details)
	$updateGoTo = "bc_affiliate_joined.php?affid=".$mAffiliateID; 
	
	if (isset($_SERVER['QUERY_STRING'])) 
	{
		$updateGoTo .= (strpos($updateGoTo, '?')) ? "&" : "?";
		$updateGoTo .= $_SERVER['QUERY_STRING'];
	}
	
	// Moveing to the next screen to get the list
	header(sprintf("Location: %s", $updateGoTo));	
	// END
}

include($incPath."include/header.php"); 
// JavaScript goes here + + +    
?>
<link rel="stylesheet" type="text/css" media="screen" href="bc_barcodes.css">
<script type="text/javascript" src="/library_js/cr_signup_forms.js"></script>
<script type="text/JavaScript">
<!--
function MM_openBrWindow(theURL,winName,features) { //v2.0
  window.open(theURL,winName,features);
}

// Generate a list of missing details
function testMissingError()
{
	var mErrList = '';
	var mErrCnt = 0;
	if ($("#contactname").val() 	== '')		{mErrCnt++; mErrList=testAddError(mErrList,'Contact Name');}
	if ($("#telephone").val() 	== '') 			{mErrCnt++; mErrList=testAddError(mErrList,'Telephone');}
	// Terms
	if (!$("#termAccepted").attr("checked"))	{mErrCnt++; mErrList=testAddError(mErrList,'[X] Accept Terms');}
	// Valid email	
	if (!emailValidate($("#email").val()))		{mErrCnt++; mErrList=testAddError(mErrList,'Valid Email');}	
	// Password okay
	// Show the details, and make sure the password is at least PhpVar chars long
	if (((PassWordStrength($("#pass").val(), <?php echo($mMinPassLen);?>) == 0))
		||
		(!PassMatchTest($("#pass").val(), $("#pass2").val())))
	{
		mErrCnt++; mErrList=testAddError(mErrList,'Valid password');
	}
	
	// Decide how to display it all
	$("#ErrorText").removeClass('drawattentionto');
	$("#SubmitText").removeClass('drawattentionto');
	if (mErrCnt > 3)
	{
		$("#ErrorText").addClass('drawattentionto');
		$("#SubmitText").addClass('drawattentionto');
		$("#ErrorText").html('<b>Please fill in '+mErrCnt+' missing fields above</b>');
		
		$("#Submit").removeAttr("disabled", "false").attr("disabled", "true");

	}
	else if (mErrCnt == 0)
	{
		$("#ErrorText").html('<b>You are ready to proceed<b>');
	}
	else
	{
		$("#ErrorText").addClass('drawattentionto');
		$("#SubmitText").addClass('drawattentionto');
		$("#ErrorText").html('Please enter: <b>'+mErrList+'</b>');
		
		$("#Submit").removeAttr("disabled", "false").attr("disabled", "true");

	}
}  // testMissingError



// Indicate if it is okay to continue
function testOkayToJoin()
{
	$mOkay=false;
	
	// See if anything exists
	if (   ($("#contactname").val()		!== '')
		&& ($("#email").val() 			!== '') 
		&& ($("#telephone").val() 		!== '') 
		// Terms must be accepted
		&& ($("#termAccepted").attr("checked"))		
		)
	{
		// Check to see if the credit card is selected
		$mOkay=true;
	}
		
	// Show the details, and make sure the password is at least PhpVar chars long
	if (PassWordStrength($("#pass").val(), <?php echo($mMinPassLen);?>) == 0)
	{
		$mOkay=false;	
	}
	
	if (!PassMatchTest($("#pass").val(), $("#pass2").val()))
	{
		$mOkay=false;
	}
	
	//////////////////////////////////////
	// Override
	// - This system will ignor password changes if the fields are blank
	if (($("#pass").val() == '') && ($("#pass2").val() == ''))
	{
		$mOkay=true;
	}
		
	// Are we good to go?
	if (!$mOkay)
	{
		// No
		$("#Submit").removeAttr("disabled", "false").attr("disabled", "true");
	}
	else
	{
		// We are good to go
		$("#Submit").removeAttr("disabled", "false");
	}
	
	// Display help
	testMissingError();
} // testOkayToJoin


//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{	
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

	jQuery(function($){
		// Disable free button
		$("#Submit").attr("disabled", "true"); // Disable it 
		$("#ajax-loader").hide();
		
		// Set up masks		
		$.mask.definitions['N']='[ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 0123456789.-]'; 
		$.mask.definitions['A']='[ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz@_0123456789.-]'; // Email allowed

		$("#contactname").mask("NN?NNNNNNNNNNNNNNNNNNNNNNNNNNNNNNN",{placeholder:" "});

		$("#email").mask("AAA?AAAAAAAAAAAAAAAAAAAAAAAA",{placeholder:" "});
		$("#telephone").mask("(999) 999-9999");		
		
		if ( $('#pass').length ) 
		{
			// Make sure there is something to test
			if ($("#pass").val() !== "")
			{
				PassWordStrength($("#pass").val(), 1);
				PassMatchTest($("#pass").val(), $("#pass2").val());
			}
		}
		
	});
		

	$("input").focus(function(){
		// Trim it
		$(this).val(trim($(this).val()));
	});
	
	// Email address typed in
	$("#email").keyup(function()
	{
		displayEmail();
	});
	$("#email").focus(function()
	{
		// Clear any colour issues
		$("#emailreview").removeClass('important');		
	});
	$("#email").blur(function()
	{
		displayEmail();
		// Do a validateion
		validateEmailBlur();
	});
	
	$("#pass").keyup(function()
	{
		testOkayToJoin();
	});
	
	$("#pass2").keyup(function()
	{
		testOkayToJoin();
	});
	
	

	// Cycle through all input fields
	$("input").blur(function(){
		testOkayToJoin();
	});
	// And check box fields
	$("#termAccepted").click(function(){
		testOkayToJoin();
	});
		
	$(".buybutton").hover(function(){
		$(".buybutton")
			// first jump 
			.animate({top:"-10px"}, 100).animate({top:"-4px"}, 100)
			// second jump
			.animate({top:"-7px"}, 100).animate({top:"-4px"}, 100)
			// the last jump
			.animate({top:"-3px"}, 100).animate({top:"-4px"}, 100);
	});
	
	// The user has clicked, and wants to continue
	$("#Submit").click(function()
	{
		// Disable everything to prevent a double submit etc
		// lockDownFields();  <-- dont do this... it will prevent POST variables from occuring
		$("#Submit").attr("disabled", "true");

	
		// Show the loader
		$("#ajax-loader").show();
		
		// The page will still execute by submitting the post
		$("form:first").submit();
	});	
})
//-->
</script>
<style type="text/css">
<!--
.styleQ {
	color:#3B6B98;
	font-weight: bold;
}
.style6 {
	color: #CC0000;
	font-weight: bold;
}
-->
</style>
<?php
include($incPath."include/header_divs.php"); 


// ONE WAY: include($webTopMenuPage); 

// Start - TOP MENU 
// Default names that are replaced from the database
$mDefaultDisplay 	= 'Affiliate Program';
$mDefaultDesc 		= 'Become a '.$appMarketingName.' Affiliate';
//$database->getApplicationNameForWebpage($thisWebPage, $mDefaultDisplay, $mDefaultDesc);
?>
<div id="topbar">
<a class="active"><span><div id="bartitle"><?php echo($mDefaultDisplay);?></div></span></a>	
<?php
echo CheckMenuText($mDefaultDesc );
//echo CheckCurrentMenu($appSysUri, 'cr_register.php', 'Sign Up',  $incPath.'images/tb_span.png');
?>
</div>
<?php
include($incPath."include/contact_links.php");
// END - TOP MENU

?>
<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1">			
<?php include(str_replace('.', '_contents.', $filename = array_pop(explode('/', $_SERVER['PHP_SELF'])))); ?>
</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->
		
		
<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2">
<?php include('bc_affiliate_sidepanel.php'); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->


<!-- Footer standard -->
</div> <!-- maintext -->
</div> <!-- frontpage -->
<?php 
include($incPath."include/footer.php");
?>