<?php
echo (displayContainerOutline('<h2>CONTENT LICENSE AGREEMENT</h2>'));
echo (displayContainerShadedHeader());
?>
<div>
<p><font size="3">This Agreement governs the 
terms by which members and clients of Pacific Citadel Capital, Inc. 
(PCC) obtain the right to use UPC Codes provided by PCC through the 
web site located at (the “Site”). This Content License Agreement 
is in addition to the Terms of Use applicable to the Site. In the event 
of any inconsistency between this Agreement, the Membership Agreement 
and the Terms of Use (both of which are incorporated into this Agreement 
by reference), the terms of this Agreement shall govern. </font></p>
<p><font size="5"><b>1. Background of Agreement</b></font></p>
<p><font size="3">(a) This is a fairly lengthy 
document, and it contains many important provisions that affect your 
rights and obligations. By selecting the correct box at the end of this 
Agreement and typing “I Agree” or otherwise signifying your acceptance, 
you accept this Agreement either for yourself or on behalf of your employer 
or the entity that is identified as the member account holder, and agree 
to be bound by its provisions. If you are accepting on behalf of your 
employer or the entity that is the member account holder, you represent 
and warrant that you have full legal authority to bind your employer 
or such other entity. If you do not have such authority or you do not 
accept or agree with these terms, do not accept the Agreement and do 
not download the Content. </font></p>
<p><font size="3">(b) In this Agreement: (i) 
“you” or the “Client” means you or, if you are accepting on 
behalf of your employer or member account entity, then “you” means 
that employer or entity and affiliates; (ii) “PCC” or “we” means 
Pacific Citadel Capital, Inc., operator of the Site; and (iii) “Content” 
means a UPC Code or UPC codes.</font></p>
<p><font size="5"><b>2. Standard License Terms</b></font></p>
<p><font size="3">We hereby grant to you a temporary, 
renewable, non-transferable worldwide license to use the Content for 
the Permitted Uses (as defined below). Unless the activity or use is 
a Permitted Use, you are not permitted to do it. All other rights in 
and to the Content, including, without limitation, all copyright and 
other intellectual property rights relating to the Content, are retained 
by PCC. </font></p>
<p><font size="5"><b>3. Permitted Standard License 
Uses:</b></font></p>
<p><font size="3">(a) You may only use the Content 
for Permitted Uses (as defined below). For clarity, you may not resell, 
license or redistribute the Content. Any use of the Content that is 
not a Permitted Use shall constitute infringement of the license agreement. </font></p>
<p><font size="3"> (b) Permitted Uses. Subject 
to the restrictions described under Prohibited Uses below, the following 
are “Permitted Uses” of Content: </font></p>
<ol type="1">
  <li><font size="3">Printed UPC Codes 
  for product labels or packaging</font></li>
  <li><font size="3">Electronic UPC Codes 
  for use in database or ecommerce applications, in UUC-12, EAN or other 
  approved format</font></li>
  <li><font size="3">any other uses approved 
  in writing by PCC.</font></li>
</ol>
<p><font size="3">If there is any doubt that 
a proposed use is a Permitted Use, you should contact PCC’s </font><a target="_blank" href="mailto:sales@pccapital.ca"><font color="#0000ff" size="2"><u>Client Relations</u></font></a><font size="3"> for guidance. </font></p>
<p><font size="5"><b>4. Standard License Prohibitions</b></font></p>
<p><font size="3">(a) Prohibited Uses. You may 
not use the Content for purposes that are not expressly permitted in 
the preceding section or permitted by an Extended License. For greater 
certainty, the following are “Prohibited Uses” and you may not: </font></p>
<ol type="1">
  <li><font size="3">Use in any way of 
  prefix variations that have not been assigned to you by Pacific Citadel 
  Capital, Inc.</font></li>
  <li><font size="3">to the extent that 
  source code is contained within the Content, reverse engineer, decompile, 
  or disassemble any part of such source code;</font></li>
  <li><font size="3">sub-license, re-sell, 
  rent, lend, assign, gift or otherwise transfer or distribute the Content 
  or the rights granted under this Agreement;</font></li>
</ol>
<p><font size="5"><b>6. Term of Agreement</b></font></p>
<p><font size="3">(a) This Agreement is effective 
until it is terminated. You can terminate this Agreement by not renewing 
the annual license for the Content, and ceasing to use the Content for 
any purpose. Annual renewal is currently $1 per UPC Code, subject to 
change, but by no more than 10% per annum. The Agreement also terminates 
without notice from PCC if at any time you fail to comply with any of 
its terms. Upon termination, you must immediately (i) cease using the 
Content and for any purpose; (ii) destroy or delete all copies and archives 
of the Content or accompanying materials; and (iii) if requested, confirm 
to PCC in writing that you have complied with these requirements. </font></p>
<p><font size="3">(b) Material Breach: This Agreement 
will be in material breach and will terminate immediately if you use 
Specific UPC Codes owned by PCC but not sublicensed to you.  Use 
only the UPC codes provided to you.  Unauthorized use of codes 
will be reported to the UPC Council.</font></p>
<p><font size="5"><b>7. Limited Representations 
and Warranties</b></font></p>
<p><font size="3">PCC grants no rights and makes 
no warranties regarding the use of names, people, trademarks, trade 
dress, patented or copyrighted designs or works of art or architecture 
or other forms of intellectual property represented. </font></p>
<p><font size="3">(b) THE CONTENT IS PROVIDED 
“AS IS” WITHOUT REPESENTATION, WARRANTY OR CONDITION OF ANY KIND, 
EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO THE IMPLIED 
REPRESENTATIONS, WARRANTIES OR CONDITIONS OF MERCHANTABILITY, OR FITNESS 
FOR A PARTICULAR PURPOSE. PCC DOES NOT REPRESENT OR WARRANT THAT THE 
CONTENT WILL MEET YOUR REQUIREMENTS OR THAT ITS USE WILL BE UNINTERRUPTED 
OR ERROR FREE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF 
THE CONTENT IS WITH YOU. SHOULD THE CONTENT PROVE DEFECTIVE, YOU (AND 
NOT PCC) ASSUME THE ENTIRE RISK AND COST OF ALL NECESSARY CORRECTIONS. </font></p>
<p><font size="3">(c) Certain jurisdictions do 
not allow the exclusion of implied warranties, so the above exclusion 
may not apply to you. You have specific rights under this warranty, 
but you may have others, which vary from jurisdiction to jurisdiction. </font></p>
<p><font size="5"><b>8. Limitation of Warranties 
and Liability</b></font></p>
<p><font size="3">(a) PCC’s entire liability 
and your exclusive remedy, with respect to any claims arising out of 
your use of the Content, or out of your actions in downloading the Content, 
shall be as follows: </font></p>
<ol type="1">
  <li><font size="3">You may, upon request 
  to PCC, be permitted to download the Content again, at a location PCC 
  will provide for you;</font></li>
</ol>
<p><font size="3"> (b) IN NO EVENT SHALL PCC 
OR ANY OF ITS AFFILIATES OR THEIR RESPECTIVE DIRECTORS, OFFICERS, EMPLOYEES, 
SHAREHOLDERS, PARTNERS OR AGENTS BE LIABLE FOR ANY INCIDENTAL, INDIRECT, 
PUNITIVE, EXEMPLARY, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING 
DAMAGES FOR LOSS OF PROFITS, INTERRUPTION, LOSS OF BUSINESS INFORMATION, 
OR ANY OTHER PECUNIARY LOSS) IN CONNECTION WITH ANY CLAIM, LOSS, DAMAGE, 
ACTION, SUIT OR OTHER PROCEEDING ARISING UNDER OR OUT OF THIS AGREEMENT, 
INCLUDING WITHOUT LIMITATION YOUR USE OF, RELIANCE UPON, ACCESS TO, 
OR EXPLOITATION OF THE CONTENT, OR ANY PART THEREOF, OR ANY RIGHTS GRANTED 
TO YOU HEREUNDER, EVEN IF WE HAVE BEEN ADVISED OF THE POSSIBILITY OF 
SUCH DAMAGES, WHETHER THE ACTION IS BASED ON CONTRACT, TORT (INCLUDING 
NEGLIGENCE), INFRINGEMENT OF INTELLECTUAL PROPERTY RIGHTS OR OTHERWISE. </font></p>
<p><font size="3">(c) IN ANY EVENT, THE TOTAL 
MAXIMUM AGGREGATE LIABILITY OF PCC UNDER THIS AGREEMENT, THE LICENSE 
PROVIDED HEREUNDER, OR THE USE OR EXPLOITATION OF ANY OR ALL OF THE 
CONTENT IN ANY MANNER WHATSOEVER SHALL BE LIMITED TO THE FEES ACTUALLY 
PAID BY YOU TO PCC UNDER THIS AGREEMENT IN RESPECT OF THE USE OF THE 
RELEVANT CONTENT. </font></p>
<p><font size="3">(d) SOME JURISDICTIONS DO NOT 
ALLOW FOR THE LIMITATION OR EXCLUSION OF LIABILITY FOR INCIDENTAL OR 
CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION OR EXCLUSION MAY NOT 
APPLY TO YOU. </font></p>
<p><font size="5"><b>9. Indemnification</b></font></p>
<p><font size="3">You agree to indemnify, defend 
and hold PCC, its affiliates, and their respective directors, officers, 
employees, shareholders, partners and agents (collectively, the “PCC 
Parties”) harmless from and against any and all claims, liability, 
losses, damages, costs and expenses (including reasonable legal fees 
on a solicitor and client basis) incurred by any PCC Party as a result 
of or in connection with any breach by you or anyone acting on your 
behalf of any of the terms of this Agreement. </font></p>
<p><font size="5"><b>10. General Provisions</b></font></p>
<p><font size="3">(a) You specifically agree 
and acknowledge that you have, in addition to the terms of this Agreement, 
reviewed the terms of the Membership Agreement and Terms of Use and 
any other agreements which may be incorporated by reference therein, 
and to the extent of their incorporation in this Agreement you agree 
to be bound by them. </font></p>
<p><font size="3">(b) PCC’s failure to insist 
upon or enforce strict performance of any provision of this Agreement 
shall not be construed as a waiver of any provision or right. </font></p>
<p><font size="3">(c) This Agreement is personal 
to you and is not assignable by you without PCC’s prior written consent. 
PCC may assign this Agreement without your consent to any other party 
so long as such party agrees to be bound by its terms. </font></p>
<p><font size="3">(d) If all or part of any provision 
of this Agreement is wholly or partially unenforceable, the parties 
or, in the event the parties are unable to agree, a court of competent 
jurisdiction, shall put in place of such whole or part provision an 
enforceable provision or provisions, that as nearly as possible reflects 
the terms of the unenforceable whole or part provision. </font></p>
<p><font size="3">(e) You agree to pay and be 
responsible for any and all sales taxes, use taxes, value added taxes 
and duties imposed by any jurisdiction as a result of the license granted 
to you, or of your use of the Content, pursuant to this Agreement. </font></p>
<p><font size="3">(f) This Agreement will be 
governed under the laws of the Province of British Columbia and the 
federal laws of Canada applicable therein (without reference to conflicts 
of laws principles). This Agreement will not be governed by the United 
Nations Convention on Contracts for the International Sale of Goods, 
the application of which is expressly excluded. You consent to service 
of any required notice or process upon you by registered mail or overnight 
courier with proof of delivery notice, addressed to the address or contact 
information provided by you at the time the Content was downloaded, 
or such other address as you may advise us in writing to use, from time 
to time. </font></p>
<p><font size="3">(g) Any and all disputes arising 
out of, under or in connection with this Agreement, including without 
limitation, its validity, interpretation, performance and breach, shall 
be finally settled under the Rules of Arbitration of the International 
Chamber of Commerce by a single Arbitrator appointed in accordance with 
such rules. The arbitration shall take place in Vancouver, British Columbia, 
and shall be conducted in the English language. </font></p>
<p><font size="3">(h) The parties have requested 
that this Agreement and all related documents be drawn up in English. 
Les parties ont demand que cette convention ainsi que tous les documents 
qui s’y rattachent soient en anglais. </font></p>
<p><font size="5"><b>11. Contact</b></font></p>
<p><font size="3">If you have concerns relating 
to this Agreement, please contact PCC at </font><a target="_blank" href="mailto:sales@pccapital.ca">
<font color="#0000ff" size="2"><u>sales@pccapital.ca</u></font></a>
<font size="3"> or via phone at (604)629-8988x501. </font></p>
<p><font size="5"><b>12. Acknowledgement</b></font></p>
<p><font size="3">YOU ACKNOWLEDGE THAT YOU HAVE 
READ THIS AGREEMENT, UNDERSTAND IT, AND HAD AN OPPORTUNITY TO SEEK INDEPENDENT 
LEGAL ADVICE PRIOR TO AGREEING TO IT. IN CONSIDERATION OF PCC AGREEING 
TO PROVIDE THE CONTENT, YOU AGREE TO BE BOUND BY THE TERMS AND CONDITIONS 
OF THIS AGREEMENT. YOU FURTHER AGREE THAT IT IS THE COMPLETE AND EXCLUSIVE 
STATEMENT OF THE AGREEMENT BETWEEN YOU AND PCC, WHICH SUPERSEDES ANY 
PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATION 
BETWEEN YOU AND PCC RELATING TO THE SUBJECT OF THIS AGREEMENT. </font></p>
<p><font size="3">© Pacific Citadel Capital, 
Inc. 2009. All rights reserved. </font></p>


</div>
<?php
echo (displayContainerShadedFooter());
?>

