<?php
/**
 * cr_fileupload.php
 *
 * Written by (teleflow / web access updates) : javakinetic@gmail.com
 * Last Updated: Sept 19, 2008
*/
// Determine relative location for paths
require("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath."include/session.php");
$_SESSION['IncPath'] = $incPath;
require_once($websiteLibrary.'calcWorkUnit.php'); 


// This is a secure page, so redirect if needed
if ($cGlobalSecure) 
{
  redirectToHTTPS();
}

if(!$session->checkLogin())
{
	header("Location: cr_main.php");
}

// See if an extenions in a file is allowed
function isAllowedExtension($pFileName, $pAllowedExtensionsArray) 
{
	return in_array(end(explode(".", strtolower($pFileName))), $pAllowedExtensionsArray);
}


// Always reset the user when we get here
$subLocation = '';
$_SESSION["new_user_id"] = 0; // This is set in session.pnp in "register" function


/**
 * User has already logged in, so display relavent links, including
 * a link to the admin center if the user is an administrator.
 */

include($_SESSION['IncPath']."include/header.php"); 
// JavaScript goes here + + +
?>
<style>
.cal_labelcell { color:#f4f4f4; padding:2px;margin:1px;border:inset 0px ;text-align:center; background-image:url(images/btn_bg.gif); font-size:12px; }
.cal_event {
	background-color:rgb(223, 229, 255);
	color:black;
	width:3ex;
	padding:0px;
	margin:0px;
	border:1px solid rgb(7, 102, 196); 
}

.contenttext{
font-family:Verdana, Arial, Helvetica, sans-serif;
font-size:11px;
color:#395fae;
background-color:#EEEEEE;
}

td.tabletitle{
font-family:Verdana, Arial, Helvetica, sans-serif;
font-size:11px;
font-weight:bold;
color:#111111;
}

td.tabletxt{
font-family:Verdana, Arial, Helvetica, sans-serif;
font-size:11px;
color:#666666;
}

</style>
<script type="text/javascript">
function DASelected()
{
	var agree=confirm("Are you sure you want to delete the selected records?");
	if (agree)
    {
		document.form1.delete_selected.value = 1;
		document.form1.submit();
	}
	else
		return false ;
}

function chkall(form)
{
//var frm = document.forms[0];
//if(document.getElementById('ck').checked)
//{
var cnt =0;
var cnt1 = -1;
var field= document.getElementById("form1");
var p = document.getElementById("form1");
for (var i = 0; i < p.elements.length; i++)
    {
        var element = p.elements[i];
        var type = element.type;
		var x = element.name;
        if (type == "checkbox")
        {
		cnt1 = cnt1 +1;
		if((field[i].checked) && (x=='ck[]'))
		{
		cnt = cnt +1;
		//field[i].checked=false;
		}

		//else
		//{
	//	field[i].checked=true;
	//	}
		}	
	}
	
	if(cnt >=0 && cnt!=cnt1)
	{
	   for (var i = 0; i < p.elements.length; i++)
       {
           var element = p.elements[i];
           var type = element.type;
			   var x = element.name;
           if ((type == "checkbox") && (x=='ck[]'))
           {
			   //cnt = cnt +1;
		   field[i].checked=true;

		   //else
		   //{
	   //	field[i].checked=true;
	   //	}
		   }	
	   }	
	}
	else
	{
	  for (var i = 0; i < p.elements.length; i++)
      {
          var element = p.elements[i];
          var type = element.type;
			  var x = element.name;
           if ((type == "checkbox") && (x=='ck[]'))
          {
		  //cnt = cnt +1;
		  field[i].checked=false;
		  //else
		  //{
	      //	field[i].checked=true;
	      //}
		  }	
	  }
	}
}

</script>

<?php 
include($_SESSION['IncPath']."include/header_divs.php"); 
?>
<div id="topbar">
  <a class="active"><span>
    <div id="bartitle">
   File & Document Review
    </div></span>
  </a>
</div>

<div id="frontpage" >
<div id="maintext">

<?php
// Determine the names of the files
$uploadroot = $incPath.CLIENT_FILE_AREA;
// Does it exist?
if (!is_dir($uploadroot))
{
	// Does now
	mkdir($uploadroot);
}


$uploadpath = $uploadroot.'/client_'.zeroFill($_SESSION['userclientid'],5);
// Does it exist?
if (!is_dir($uploadpath))
{
	// Does now
	mkdir($uploadpath);
}



// Show the files 
?>

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1">

<H2>Document & File Review</H2>

<p>This section allows you to manage documents and files for your client directory.  Other users listed for your 
client will also be able to access these files.</p>


<p>&bull;&nbsp;To upload documents and files, click <a href="cr_fileupload.php">here.</a></p>
  
<hr />
<br />

<?php
///////////////////
// Rows selected for Delete
///////////////////
if ((isset($_POST['delete_selected'])) && ($_POST['delete_selected'] == 1))
{
	unset($_POST['delete_selected']);
	$ck = $_POST['ck'];
	$cnt = count($ck);

	if($cnt < 1)
	{
	  //echo '<script type="text/javascript">alert("Select [x] file to delete")</script>';
	  echo '<span style="border-bottom: 0px none;" class="dpTDWarning">&nbsp;Select [x] file to delete&nbsp;</span><br /><br />';
	}
	else
	{
	  for($i=0;$i<$cnt;$i++)
	  {
		 // Delete the files
		 $delfile = $uploadpath."/".$ck[$i];
		 if (file_exists($delfile))
		 {
			unlink($delfile);
		 }
		 //echo ('Deleted: '.$ck[$i].'<br />');
		 echo '<span style="border-bottom: 0px none;" class="dpTDWarning">&nbsp;Deleted '.$ck[$i].'&nbsp;</span><br /><br />';
	  }
	}
}


///////////////////
// IS a file being uploaded
///////////////////
$mContinue = true;
if (isset($_FILES['userfile']['name']))
{
	$filename = trim(addslashes($_FILES['userfile']['name']));

	//Ensure we are not moving anything up that is unsafe
	$filetype = $_FILES['userfile']['type'];

	$uploaded_size = $_FILES["userfile"]["size"];
	$uploaded_type = $_FILES["userfile"]["type"]; 


	// css, pdf, doc, odt, etc
	$allowedExtensions = array("txt", "rtf", "csv", "doc", "pdf", "docx", "odt", "xls", "ods", "xml");
	if (isAllowedExtension($filename, $allowedExtensions))
	{
		//move the file to final destination
		if(move_uploaded_file($_FILES['userfile']['tmp_name'], $uploadpath."/". $filename)) 
		{
			echo '<span style="border-bottom: 0px none;" class="dpTDWarning">&nbsp;File "'.$filename.'" has been uploaded&nbsp;</span><br /><br />';
		} 
		else
		{
			if ($_FILES['userfile']['error'] > 0)
			{
				switch ($_FILES['userfile']['error'])
				{
				  case 1:  echo 'File exceeded upload_max_filesize';  break;
				  case 2:  echo 'File exceeded max_file_size';  break;
				  case 3:  echo 'File only partially uploaded';  break;
				  case 4:  echo 'No file uploaded';  break;
				}
				$mContinue = false;
			}
		}
	
	}
	else
	{
		echo '<span style="border-bottom: 0px none;" class="dpTDWarning">&nbsp;ERROR: This file type cannot be uploaded. Only text and document types may be uploaded.&nbsp;</span><br /><br />';
		$mContinue = false;
	}


}

// See if we should continue printing the screen 
if ($mContinue == true)
{
?>
<form name="form1" method="post" id="form1">
<input type="hidden" name="delete_selected" />    


<table cellspacing="0" cellpadding="0" border="0" width="790">
	<tbody>
	<tr>
		<td class="bluehead">
		
		<table cellspacing="0" cellpadding="0" border="0" width="100%">
			<tbody><tr>
			  <td width="60%">
				<span style="border-bottom: 0px none;" class="cal_event">&nbsp;Current Directory&nbsp;</b></span>
				<span class="normalwhite"> </span> 
			  </td>
			  <td align="right" width="40%"></td>
			</tr>
		  </tbody>
		</table>
		  
		</td>
	</tr>
	</tbody>
</table>



<table height="24" cellspacing="0" cellpadding="0" border="0" align="center" width="100%" style="border: 1px solid rgb(7, 102, 196);" class="stroke">
<tbody>
<tr>
   <td height="5">
	  <div id="txtss">
	  
		<table border="0" width="100%">
		  <tbody>
		  <tr style="background-image: url(images/title_bg.gif); height: 20px;">
			  <td align="left"  class="tabletitle">File Name</td>
			  <td align="left" width="10%" class="tabletitle">Size</td>
			  <td align="left" width="12%" class="tabletitle">Modified</td>
			  <td align="left" width="10%">
				<div align="left"><a href="#" onclick="chkall(form1)" href="#"> <span class="tabletitle">Select</span></a></div>
			  </td>
		  </tr>
		
<?php

$dir = opendir($uploadpath);

$mFileFound = false;
while (($file = readdir($dir)) !== false)
{
	// Only files, no dirs
	if (!is_dir($file))
	{
		$mFileFound = true;
		$fs=filesize($uploadpath."/". $file);
		$moddate=date('F j, Y',filemtime($uploadpath."/". $file));
		echo '<tr>
	    <td align="left" class="tabletxt"><a href="'.$uploadpath."/". $file.'">'.$file.'</a></td>
	    <td align="left" class="tabletxt">'.formatReadableSize($fs).'</td>
	    <td align="left" class="tabletxt">'.$moddate.'</td>		
	    <td align="left" class="tabletxt"><input type="checkbox" value="'.$file.'" name="ck[]" id="ck[]"/></td>';   
	}
}
closedir($dir);

if ($mFileFound)
{
	// Add the delete button in
	echo '<tr>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>		
	<td><input name="btnDelete" type="button" class="smallbtn" id="btnDelete" onclick="DASelected()" value="Delete" />
	</td>';   
}
?>
		  </tbody>
		</table>
		  
	  </div>
	</td>
</tr>
</tbody>
</table>
</form>

<?php
} // end continue
?>
</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->
		
		
<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2">
<?php include('cr_sidepanel.php'); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->



<!-- Footer standard -->
</div> <!-- maintext -->
</div> <!-- frontpage -->
<?php 
include($_SESSION['IncPath']."include/footer.php");
?>
