<?php
/**
 * cr_register_step2.php
 * 
 * Displays the registration form if the user needs to sign-up,
 * or lets the user know, if he's already logged in, that he
 * can't register another name.
 *
 * Extended by: vbaker@engenic.com
 * Last Updated: July 8, 2008
 */
$incPath = '';
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");
$_SESSION['IncPath'] = $incPath;
require_once($websiteLibrary.'calcWorkUnit.php');   


// Virtual Extension system?
// - Determine if we provide additional options
$mVirtualExtension = false;
if (strtoupper($appMarketingName) == strtoupper("twitYAX"))
{
	$mVirtualExtension = true;
}


// Check to see if we have just registered someone new
if ((isset($_SESSION['regsuccess']))) 
{
	// If the registration for the ExtAdd (in session) worked, then update the telephone number in the user
	unset($_SESSION['regsuccess']);
	
	// Check to see if we need to register additional data for specific marketing names
	if (strtoupper($appMarketingName) == strtoupper("twitYAX"))
	{
		// Registering with Twitter requires a few steps
		
		// See if we need additional information for the first logon
		$req_user_info   = $database->getUserInfo($_SESSION['username']);
		// If we have not Oauth'd with Twitter, do that now
		if ($req_user_info['u_oauth_access_key'] == '')
		{
			// Go to the Twitter settings
			header(sprintf("Location: %s", "cr_register_twitter.php"));      
		}
		else
		{
			// Go to the Twitter settings
			header(sprintf("Location: %s", "cr_main.php"));      
		}
	}
	else
	{
		// Non OAuth users should return to main.
		header(sprintf("Location: %s", "cr_main.php"));      
	}	
}


/*
$editFormAction = $_SERVER['PHP_SELF'];  // $insertGoTo; //
if (isset($_SERVER['QUERY_STRING'])) 
{
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

// Used to restrict access until a value is set
if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form1")) 
{
  // Add Extension data to the user 
  //echo ('<h3>INSERTED DATA</h3><br><br>');
  
  $retval = $session->registerext($_SESSION["new_user_id"],
                                  $_POST['user_phone_login'],
                                  $_POST['cellphone']);

  //echo ('<h3>'.$_SESSION["new_user_ext"].'</h3><br><br>');
              
  $insertGoTo = "cr_register_step3.php";

  if (isset($_SERVER['QUERY_STRING'])) 
  {
    $insertGoTo .= (strpos($insertGoTo, '?')) ? "&" : "?";
    $insertGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $insertGoTo));
}
else
{
  //echo ('<h3>DEBUG PASS OVER</h3><br><br>');
}
*/


include($incPath."include/header.php"); 
// JavaScript goes here
?>
<script src="/library_js/checkform.js" type="text/JavaScript"></script>
<script language="javascript">
<!--
// This will capture all errors
$(document).ajaxError(function(){
    if (window.console && window.console.error) {
        console.error(arguments);
    }
});


// Return the Star Star code for a name
function getStarStar(pString) {
	mCode = '';
    for (var index = 0, l = pString.length; index < l; ++index) 
	{
		tp = (pString[index]); 
		//tp.toUpperCase();
		mCode += telephoneButton(tp.toUpperCase());
    }
	
	//alert(mCode);
	if ((mCode == '') || (mCode.length < 2))
	{
			$("#starstar_code").removeClass().addClass('ajax_msgbox').text('Create your StarStar code').fadeIn(100);
			$("#starstar_available").hide();
	}
	else
	{
			// Star Star name is good... lets see if its available
			$("#starstar_code").removeClass().addClass('ajax_msgbox_good').html('<b>'+mCode+'</b>').fadeIn(100);
				
			////////////////////////////////////////////////////////
			// XML Database Check - Test that we can communicate right the way through on the internet
			////////////////////////////////////////////////////////
			mSendCode = mCode; // Define the StarStartCode - One Star only (the other is included in the telephone app)
			
			mOutPut = $.ajax({ type: "POST", 
						url: "eng_comm_xml/twitYaxApi.php", 
						data: { action:'StarStarAvailable',
								starstar:mSendCode,
								gettype:'XML',
								nocache_rand:Math.random() }, 
						dataType: "xml", 
			success: function(data)
			{
				// Populate Employee Information
				//$("#starstar_available").removeClass().addClass('ajax_msgbox').text('No response').fadeIn(100);
				$(data).find('Response').each(function(){
				
					// Did we get something
					if ( $(this).attr('result') == 'SUCCESS')
					{
						$("#starstar_available").removeClass().addClass('ajax_msgbox_good').html('<b>'+pString+'</b> is Available!').fadeIn(100);
						$("#txt_updatevext").val("GOOD");
					}
					else
					// FAILURE
					{
						$("#starstar_available").removeClass().addClass('ajax_msgbox_error').html('<b>'+pString+'</b> is NOT available').fadeIn(100);			
						$("#txt_updatevext").val("BAD");
					}
					
				});
				
			},
			error: function (xhr, desc, exceptionobj) 
			{
				alert(xhr.responseText);
				$("#starstar_available").removeClass().addClass('ajax_msgbox_error').text('Internet connection failure').fadeIn(100);			
				$("#txt_updatevext").val("BAD");

			}
			});
		
	}
	return false;
} // getStarStar

function testOkayToSubmit()
{
	$mOkay=true;

	// Make sure a valid telephone number is entered
	if (strlen(trim($("#cellphone").mask(), '_')) < 10)
	{		
		$mOkay=false;
	}
	
	if (strlen(trim($("#user_phone_login").mask(), '_ ')) < 2)
	{
		$mOkay=false;
		
		// Override if we are not including the VExt
		if ($("#txt_updatevext").val() == 'GOOD')
		{
			$mOkay=true;
		}		
	}
	else
	{
		// Is a valid name selected?
		if ($("#txt_updatevext").val() == 'BAD')
		{
			$mOkay=false;
		}		
	}
	
	if (strlen(trim($("#passnum").mask(), '_ ')) < 4)
	{
		$mOkay=false;
	}
	
	if (!$mOkay)
	{
		// We are not good to go
		$("#Complete").removeAttr("disabled", "false").attr("disabled", "true");
	}
	else
	{
		// Complete at will!!
		$("#Complete").removeAttr("disabled", "false");
		//alert($("#cellphone").mask());
	}
	return false;
};


// jQuery
$(document).ready(function()
{
	////////////////////////////////////////////////////////
	// Set up the environment - runs once
	////////////////////////////////////////////////////////
	$(function()
	{
	   $("#cellphone").mask("(999) 999-9999");
	   $("#telephone").mask("(999) 999-9999");
	   
	   $("#user_phone_login").mask("**?*******", {placeholder:" "}); // Must be at least two characters
	   $("#passnum").mask("9999?9999", {placeholder:" "});

	   testOkayToSubmit();
	});

	// current code  -- mask removes literals from .val			
	// If the user typed a description
	$("#user_phone_login").keyup(function()
	{
		getStarStar($("#user_phone_prefix").val()+$("#user_phone_login").mask());	
		testOkayToSubmit();		
	});
	$("#user_phone_login").blur(function()
	{
		getStarStar($("#user_phone_prefix").val()+$("#user_phone_login").mask());	
		testOkayToSubmit();
	});

	
	$("#cellphone").keyup(function()
	{
		testOkayToSubmit();
	});

	$("#passnum").keyup(function()
	{
		testOkayToSubmit();
	});	
	
	// JavaScript standard components
	<?php include('cr_javascript_graphics.php'); ?>
})



// Validate all the fields in the form
// ============================
function ValidateForm()
{ 
   // Zero out last set, and start adding errors together
   document.MM_errorMsgs = "";

	// Individually validate the fields - And a field 
	var PassNumber=document.form1.passnum
	try
	{
		if (chkNumeric(PassNumber,1000,99999999,',','.','-')==false)
		{
		document.MM_errorMsgs = document.MM_errorMsgs + "* Please enter a valid 4 to 8 digit Passcode Number \n";
		//tLocalExt.focus()
		}
	}
	catch(err){alert("Error: "+err); return false}      

   
   // Now, give the user the goods
   if (document.MM_errorMsgs!="")
   { 
     alert('The required information is incomplete or contains errors:\t\t\t\t\t\n\n'+document.MM_errorMsgs);
     return false;
   }
   else
   {
     return true;
   }
}
//-->
</script>
<?php
include($incPath ."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Communications</div></span></a>
    <a><span>Configure your telephone connections</span></a>
</div>

<div id="frontpage">
<div id="maintext">

<TABLE cellPadding=5 border=0>
<TBODY>
<TR>
<TD>

<form action="cr_process.php" id="form1" name="form1" method="POST" onsubmit="return ValidateForm()">
<table width="750" align="left" border="0" cellspacing="0" cellpadding="3">

<?php
if($form->num_errors > 0)
{
   //echo "<tr><td><font size=\"2\" color=\"#ff0000\">".$form->num_errors." error(s) found</font></td><tr>";
?>
<tr>
  <td colspan="4"><font class=dataError><?php echo($form->num_errors." error(s) found");?></font></td>
  <td>&nbsp;</td>
</tr>   
<?php
}
?>
<tr>
  <td colspan="5"><h2>Now, setup your telephone connection...</h2></td>
</tr>

<tr>
  <td colspan="4">Define your telecommunications preferences for additional services.  
  Our services protect your identify and hides your cell phone's number, by assigning a 
  <b>"Virtual Extension" (<?php echo(VEXT_CODE);?>)</b> to it.
  When someone enters your <?php echo(VEXT_CODE);?>, <?php echo $appMarketingName;?> will transfer 
  that call to your cell phone.  This way, your cell number is protected, you retain privacy, 
  and you can limit the times at which calls occur.</td>
  <td><div align="right"><img src="images/30second-setup.gif" width="87" height="50" /></div></td>
</tr>

<tr>
  <td width="180">&nbsp;</td>
  <td width="180">&nbsp;</td>
  <td width="10">&nbsp;</td>
  <td width="180">&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td><span class="style5">Cell Phone Number</td>
  <td><input name="cellphone" type="text" id="cellphone" maxlength="10" value="<?php echo $form->value("cellphone"); ?>"/></td>
  <td>&nbsp;</td>
  <td><?php echo $form->error("cellphone"); ?></td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td>&nbsp;</td>
  <td colspan="3"><b>NOTE:</b> Your cell phone number is used to determined when you call the system.  Once you
  have signed onto the system, you can determine if you wish to receive calls and text messages etc.  
  </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="5">&nbsp;</td>
</tr>

<tr>
  <td><span class="style5">Telephone/Home Number</td>
  <td colspan="3"><input name="telephone" type="text" id="telephone" maxlength="50" value="<?php echo $form->value("telephone"); ?>"/></td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td>&nbsp;</td>
  <td colspan="3"><b>NOTE:</b> Only fill this in if you do not use a cell phone. 
  </td>
  <td>&nbsp;</td>
</tr>



<?php
// Only include for virtual system names
$mVirtualName = 'Callins';
if ($mVirtualExtension)
{
	// Note: This is used for TwitYax mainly
	$mVirtualName = VEXT_CODE;
?>
<tr>
  <td colspan="5">&nbsp;</td>
</tr>

<tr>
  <td><span class="style5">Virtual Extension (<?php echo($mVirtualName);?>)</td>
  <td><input name="user_phone_login" type="text" id="user_phone_login" maxlength="10" size="10" value="<?php echo $form->value("user_phone_login"); ?>"/></td>
  <td>&nbsp;</td>
  <td colspan="2"><?php echo $form->error("user_phone_login"); ?>
	<span id="starstar_code"></span>
	<span id="starstar_available"></span>
  </td>
</tr>
<tr>
  <td>&nbsp;</td>
  <td colspan="3"><b>NOTE:</b> This 2 to 10 character word will be your <?php echo(VEXT_CODE);?>, and can be given 
  out freely.  Consider including your name or "known as". eg: "Jenny2" would be "536692".  You could then
  say <b>Call <?php echo($webTelephone);?> and touch tone StarStar "Jenny2" (or "536692") to get a hold of me.</b>
  </td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="5">&nbsp;</td>
</tr>
<?php
}
else
{
	// Not a Vext system.  put down some hidden values so that the JS doesnt blow up
?>
<tr>
  <td colspan="5">&nbsp;
	<input type="hidden" name="user_phone_login" id="user_phone_login" value="">
  </td>
</tr>

<?php
}
?>


<tr>
  <td><span class="style5">Passcode for <?php echo($mVirtualName);?></td>
  <td><input name="passnum" type="text" id="passnum" maxlength="8" size="7" value="<?php echo $form->value("passnum"); ?>"/>&nbsp;(eg: 12345)</td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td>&nbsp;</td>
  <td colspan="3"><b>NOTE:</b> This 4 to 8 digit number is your touch tone password, and will be used 
  to access your voice mail and other services through your cell phone.  Be sure to remember it.
  </td>
  <td>&nbsp;</td>
</tr>

<?php
/*
<tr>
  <td colspan="5">&nbsp;</td>
</tr>
<tr>
  <td>&nbsp;</td>
  <td colspan="3"><b>NOTE:</b> The following numbers are extensions for others. These will only function in the professional packages</td>
  <td>&nbsp;</td>
</tr>


<tr>
  <td><span class="style5"><?php echo(VEXT_CODE);?> for Sales</td>
  <td colspan="3"><input name="extsales" type="text" id="extsales" maxlength="6" size="7" />&nbsp;(eg: 1021)</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td><span class="style5"><?php echo(VEXT_CODE);?> for Accounting</td>
  <td colspan="3"><input name="extacct" type="text" id="extacct" maxlength="6" size="7" />&nbsp;(eg: 1035)</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td><span class="style5">Select your State or Province</td>
  <td valign="middle"><select name="client_state" id="client_state">
                  <option value="" selected="selected">Select </option>
                  <option value="AL">Alabama </option>
                  <option value="AK">Alaska </option>
                  <option value="AZ">Arizona </option>
                  <option value="AR">Arkansas </option>
                  <option value="CA">California </option>
                  <option value="CO">Colorado </option>
                  <option value="CT">Connecticut </option>
                  <option value="DE">Delaware </option>
                  <option value="DC">District of Columbia </option>
                  <option value="FL">Florida </option>
                  <option value="GA">Georgia </option>
                  <option value="HI">Hawaii </option>
                  <option value="ID">Idaho </option>
                  <option value="IL">Illinois </option>
                  <option value="IN">Indiana </option>
                  <option value="IA">Iowa </option>
                  <option value="KS">Kansas </option>
                  <option value="KY">Kentucky </option>
                  <option value="LA">Louisiana </option>
                  <option value="ME">Maine </option>
                  <option value="MD">Maryland </option>
                  <option value="MA">Massachusetts </option>
                  <option value="MI">Michigan </option>
                  <option value="MN">Minnesota </option>
                  <option value="MS">Mississippi </option>
                  <option value="MO">Missouri </option>
                  <option value="MT">Montana </option>
                  <option value="NE">Nebraska </option>
                  <option value="NV">Nevada </option>
                  <option value="NH">New Hampshire </option>
                  <option value="NJ">New Jersey </option>
                  <option value="NM">New Mexico </option>
                  <option value="NY">New York </option>
                  <option value="NC">North Carolina </option>
                  <option value="ND">North Dakota </option>
                  <option value="OH">Ohio </option>
                  <option value="OK">Oklahoma </option>
                  <option value="OR">Oregon </option>
                  <option value="PA">Pennsylvania </option>
                  <option value="RI">Rhode Island </option>
                  <option value="SC">South Carolina </option>
                  <option value="SD">South Dakota </option>
                  <option value="TN">Tennessee </option>
                  <option value="TX">Texas </option>
                  <option value="UT">Utah </option>
                  <option value="VT">Vermont </option>
                  <option value="VA">Virginia </option>
                  <option value="WA">Washington </option>
                  <option value="WV">West Virginia </option>
                  <option value="WI">Wisconsin </option>
                  <option value="WY">Wyoming </option>
                  <option value="PR">Puerto Rico </option>
                  <option value="VI">Virgin Islands </option>
                  <option value="GU">Guam </option>
                  <option value="AB">Alberta </option>
                  <option value="BC">British Columbia </option>
                  <option value="MB">Manitoba </option>
                  <option value="NB">New Brunswick </option>
                  <option value="NF">Newfoundland </option>
                  <option value="NT">Northwest Territories  &nbsp;</option>
                  <option value="NS">Nova Scotia </option>
                  <option value="NU">Nunavut </option>
                  <option value="ON">Ontario </option>
                  <option value="PE">Prince Edward Island </option>
                  <option value="QC">Quebec </option>
                  <option value="SK">Saskatchewan </option>
                  <option value="YT">Yukon </option>
                  <option value="__">Other </option>
                </select></td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>
*/
?>

<tr>
  <td colspan="5">&nbsp;</td>
</tr>

<?php
$mValuePopulate = '';
if (!$mVirtualExtension)
{
	// Non VExt systems will not need population, so will take a pass on the 
	$mValuePopulate = 'GOOD';
}

?>
<tr>
  <td>&nbsp;</td>
  <td colspan="2" align="left">
	<input type="hidden" name="extadd" value="1">
	<input type="hidden" id="user_phone_prefix" name="user_phone_prefix" value="*">
	<input name="txt_updatevext" type="hidden" id="txt_updatevext" value="<?php echo($mValuePopulate);?>"  readonly="">
	<input name="Complete" type="submit" id="Complete" value="Complete" />
  </td> 
  <td colspan="2"><h3>New services are moments away</h3></td>  
</tr>

</table>
</form>

</TD>
</TR>
</TBODY>
</TABLE>

<!-- Footer standard -->
</div> <!-- maintext -->
</div> <!-- frontpage -->
<?php 
include($incPath ."include/footer.php");
?>