<form action="cr_process.php" method="POST">
<TABLE cellPadding=5 border=0>
<TBODY>
<TR>
<TD width="350">


<?php	
/**
 * User not logged in, display the login form.
 * If user has already tried to login, but errors were
 * found, display the total number of errors.
 * If errors occurred, they will be displayed.
 */
$mLockout = false;
$mLockoutMessage = '';
if($form->num_errors > 0)
{
	echo "<font class=dataError>".$form->num_errors." ".providePhrase('cr', 501)."</font><br /><br />";
	
	// Determine if we have a lock out situation. 
	if((($form->error("user")) && (stristr($form->error("user"), 'Lockout'))) ||
	   (($form->error("user")) && (stristr($form->error("user"), 'mismatch'))))
	{
		//print_r($form);	
		$mLockout = true;
	}
}
else
{
	// Check to see if the form has been locked out
	// Determine if we have a lock out situation. 
	if(($session->AccessLockoutCheck($mLockoutMessage)))
	{
		$mLockout = true;
	}
}


// Determine if the user wants to remember their logon
$mChecked = '';
if(isset($_COOKIE['cookname']) && isset($_COOKIE['cookid']))
{
	$mChecked = 'checked = "checked"';

}


// See if we should override the name
/* Requested Username error checking */
if (isset($_GET['user']))
{
	$form->setValue("user", trim($_GET['user']));
}

echo(displayContainerHeader(1, providePhrase('cr', 80)));
?>
<?php // Portfolio Contents Section 
if ($mLockout)
{
	// Provide the opportunity for the user to call support and get an unlock out
	// - See cr_form_content.php
	lockOutDisplay("subunlock", 
				$form->value("user"), 
				$form->value("unlockcode"), 
				$form->num_errors, 
				$form->error("user"), 
				$mLockoutMessage);
}
else
{
?>
<tr class="style5">
   <td width="35%">
	<?php echo(providePhrase('cr', 81));?>
   </td>
   <td colspan="2" align="right"><input type="text"      name="user"  size="30" maxlength="60" value="<?php echo $form->value("user"); ?>"></td>
   <td>&nbsp;</td>
</tr>
<?php	
// Handle log errors nicely
if(($form->num_errors > 0) && ($form->error("user")))
{
?>
<tr class="style5">
   <td colspan="3" align="right"><?php echo $form->error("user"); ?></td>
   <td>&nbsp;</td>
</tr>
<?php   
}
?>

<tr class="style5">
   <td>
	<?php echo(providePhrase('cr', 82));?>
   </td>
   <td width="30%">&nbsp;</td>
   <td align="right"><input type="password"  name="pass"  size="15" maxlength="20" value="<?php echo $form->value("pass"); ?>"></td>
   <td>&nbsp;</td>
</tr>
<?php	
// Handle log errors nicely
if(($form->num_errors > 0) && ($form->error("pass")))
{
?>
<tr class="style5">
   <td colspan="3" align="right"><?php echo $form->error("pass"); ?></td>
   <td>&nbsp;</td>
</tr>
<?php   
}
?>

<tr class="style5">
	<td colspan="2">
	<?php echo(providePhrase('cr', 83));?>
	</td>
	<td align="right">   
		<input type="checkbox" name="remember" <?php echo ($mChecked);?>>
		<?php echo(providePhrase('cr', 84));?>
	</td>
	<td>&nbsp;</td>
</tr>
<tr class="style5">
	<td colspan="3" align="right">
		<input type="hidden" name="sublogin" value="1">
		<input type="submit" value="Login">
	</td>
	<td>&nbsp;</td>
</tr>
<?php
} // Lockout 
?>	
<?php // End of Portfolio Section 
echo(displayContainerFooter());
?>



<?php
if ((defined("SYSTEM_CLIENTSELFREGISTER") && (SYSTEM_CLIENTSELFREGISTER == true)))
{
// Note: the ID is set to FadeIn at the JS section of cr_main.php	
// - 'Company Registration'
echo(displayContainerHeader(1, providePhrase('cr', 100)));
?>
<?php // Portfolio Contents Section ?>
<tr class="style5">
  <td colspan="2" align="left">
	<?php echo(providePhrase('cr', 101));?>
  </td>
  <td>&nbsp;</td>
</tr>
<tr class="style5">
  <td colspan="2">&nbsp;</td>
  <td>&nbsp;</td>
</tr>
<tr class="style5">
  <td colspan="2" align="left">
	<?php echo(displayContainerTitle(1, providePhrase('cr', 102))); ?>
  </td>
  <td>&nbsp;</td>
</tr>
<?php // End of Portfolio Section 
echo(displayContainerFooter());
?>
<?php
}
?>


<?php
///////////////////////////////////////////////////////
// USER Registration
///////////////////////////////////////////////////////
// Determine if the system is configured to allow users to register
// - check defined SYSTEM_CLIENTSELFREGISTER
// - See if code in $appCompanySvcCode exists
$mClient_Id = -1;
if ($appCompanySvcCode <> '')
{
	// See if the database can match the client id
	$mClient_Id = $database->getClientIdByClientName($appCompanySvcCode);
}


// Are we good to allow user registration?
if ((defined("SYSTEM_CLIENTSELFREGISTER") && (SYSTEM_CLIENTSELFREGISTER == true) && ($mClient_Id <> -1)) )
{
// Note: the ID is set to FadeIn at the JS section of cr_main.php	
// - 'User Self Registration'
echo(displayContainerHeader(1, providePhrase('cr', 140)));
?>
<?php // Portfolio Contents Section ?>
<tr class="style5">
  <td colspan="2" align="left">
	<?php echo(providePhrase('cr', 141));?>
  <td>&nbsp;</td>
</tr>
<tr class="style5">
  <td colspan="2">&nbsp;</td>
  <td>&nbsp;</td>
</tr>
<tr class="style5">
  <td colspan="2" align="left">
  <?php echo(displayContainerTitle(1,providePhrase('cr', 142))); ?>
  </td>
  <td>&nbsp;</td>
</tr>
<?php // End of Portfolio Section 
echo(displayContainerFooter());
?>
<?php
}
?>


</TD>
</TR>
</TBODY>
</TABLE>
</form>
