<?php
/**
 * cr_register_twitter.php
 * 
Communicates with Twitter.  This user will type in their twitter password on the twitter website in order to 
let the application know that the user can post to twitter
 *
 * Extended by: vbaker@engenic.com
 * Last Updated: July 8, 2008
 */
require("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");
$_SESSION['IncPath'] = $incPath;
require_once($websiteLibrary.'calcWorkUnit.php');   

// Twitter oAuth stuff
error_reporting(E_ALL ^ E_NOTICE);
include_once("oauth/TwitterOauth.php"); 
include_once("oauth/TwitterUpdateStatus.php");


// Used to restrict access until a value is set
/*
if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form1")) 
{
  // Add Extension data to the user 


  if (isset($_SERVER['QUERY_STRING'])) 
  {
    $insertGoTo .= (strpos($insertGoTo, '?')) ? "&" : "?";
    $insertGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $insertGoTo));
}
*/

// Regular sign in
$mUserToAuth = $_SESSION['username'];

include("include/header.php"); 
// JavaScript goes here
?>
<script language="javascript">
<!--
$(document).ready(function()
{
	// JavaScript standard components
	<?php include('cr_javascript_graphics.php'); ?>
})
//-->
</script>
<?php
include($incPath ."include/header_divs.php"); 
?>

<div id="topbar">
    <a class="active"><span><div id="bartitle">Twitter Connect</div></span></a>
    <a><span>The Next Step to authenticating <?php echo $appMarketingName;?> to Twitter!</span></a>
</div>

<div id="frontpage">
<div id="maintext">


<TABLE cellPadding=5 border=0>
<TBODY>
<TR>
<TD>

<table width="750" align="left" border="0" cellspacing="0" cellpadding="3">

<?php
if($form->num_errors > 0)
{
   echo "<tr><td><font size=\"2\" color=\"#ff0000\">".$form->num_errors." error(s) found</font></td><tr>";
}
else
{
    //echo 'new_user_id: '.$_SESSION["new_user_id"].'<br>';
    //echo 'regsuccess: '.$_SESSION["regsuccess"].'<br>';
    //echo 'userid: '.$_SESSION['userid'].'<br>';
    //echo "<h2><p>Registration Complete!</h2>";
}
?>
<tr>
  <td width="180">&nbsp;</td>
  <td width="180">&nbsp;</td>
  <td width="180">&nbsp;</td>
  <td width="20">&nbsp;</td>
  <td>&nbsp;</td>
</tr>


<?php
if (defined("CONSUMER_KEY") && defined("CONSUMER_SECRET"))
{
	// We are good to go

	// Check if with have the tokens, if not, then fire off oAuth
	if(isset($_REQUEST["oauth_token"]) == 0)//0
	{	
?>
<tr>
  <td colspan="5"><h2>Connect <?php echo($mUserToAuth);?> to your Twitter account!</h2></td>
</tr>
<?php	
		$handle = new TwitterOauth(CONSUMER_KEY, CONSUMER_SECRET); 
		$tokens = $handle->ObtainRequestTokens(); 
		
		// Set the request tokens
		$_SESSION["requestToken"] = $tokens["requestToken"];
		$_SESSION["requestTokenSecret"] = $tokens["requestTokenSecret"];
		
		$redirect = $handle->ObtainRedirectURL(); 
?>
<tr>
  <td colspan="3">You now need to connect your <b>twitter account</b>.  To do this, log on and let <b>twitter</b>
  know that its okay for <?php echo ($appMarketingName);?> to send tweets to it.
  </td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>
  
<tr>
  <td colspan="3"><a href=<?php echo($redirect);?>>Confirm that you want <?php echo ($appMarketingName);?> to 
  post Voice Tweets to your <b>twitter</b> account.</a>
  </td>
  <td>&nbsp;</td>
  <td>
	<a href="<?php echo($redirect);?>">
	<img width="155" height="36" src="images/twitter_logo.png" alt="twitter.com"/>
	</a>
  </td>
</tr>
<?php	
	}
	else
	{	
		/////////////////////////////////////////////
		// Tokesn have been sent back to us from Twitter
		/////////////////////////////////////////////
		$handle = new TwitterOauth(CONSUMER_KEY, CONSUMER_SECRET, 
						$_SESSION["requestToken"],
						$_SESSION["requestTokenSecret"]);
		// Get the access tokens
		$tokens = $handle->ObtainAccessTokens();
		
		//$tokens["requestToken"];
		//$_SESSION["requestTokenSecret"]
		//printr($tokens);		
		//echo('Selecting for '.$mUserToAuth.' Tokens '.$tokens["oauth_token"].' + '.$tokens["oauth_token_secret"]);
		if (($mUserToAuth <> "GUEST") && ($tokens["oauth_token"] <> ''))
		{
			$database->selectClientDatabaseByUsername($mUserToAuth);

			if (isset($tokens["oauth_token"]))
			{
				$database->updateUserField($mUserToAuth, 'u_oauth_access_key', 			trim($tokens["oauth_token"]));
			}
			if (isset($tokens["oauth_token_secret"]))
			{				
				$database->updateUserField($mUserToAuth, 'u_oauth_secret_access_key',	trim($tokens["oauth_token_secret"]));
			}
			
			// Get some easy info
			//echo('FFFFFFFFFFFFFFFFFFFF'.$_SESSION['username']);
			
			// See if we need additional information for the first logon
			$req_user_info   = $database->getUserInfo($_SESSION['username']);
			//echo $req_user_info['u_telephone']; die;
			$mPassNumber = ($req_user_info['user_phone_pass']);
			
			//echo 'Registration for: '.$_SESSION['reguser'];
?>
<tr>
  <td colspan="5"><h2>Now you can Voice Tweet from <?php echo ($webTelephone);?>!</h2></td>
</tr>

<tr>
  <td colspan="3">Your <b><?php echo ($appMarketingName);?> account</b> for is now authenticated with your 
  <b>twitter account</b>.  Leave your first Voice Tweet by calling <?php echo ($appMarketingName);?> at 
  <b><?php echo ($webTelephone);?></b>, select option <b>1</b> 
  and then enter your passnumber <b><?php echo ($mPassNumber);?></b>.
  </td>
  <td>&nbsp;</td>
  <td><div align="right"><img src="images/done-setup.gif" width="87" height="50" /></div></td>
</tr>

<tr>
  <td colspan="5">Return to the <a href="cr_main.php"><u>Client Access</u></a> page to explore the other features 
  of <?php echo ($appMarketingName);?>.</td>
</tr>

<?php			
		}
		else
		{
			// Got kicked out of system... user will need to try again
?>			
<tr>
  <td colspan="5"><h2>Opps! That didn't quite work...</h2></td>
</tr>

<tr>
  <td colspan="3">Your <b><?php echo ($appMarketingName);?> account</b> for <?php echo ($mUserToAuth);?> 
  did not get authenticated with your <b>twitter account</b>. 
  </td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="3">&nbsp;</td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="5">Return to the <a href="cr_main.php"><u>Client Access</u></a> page to sign in and try again.</td>
</tr>

<?php			
		
		}
	}
		
}

else
{
?>
<tr>
  <td colspan="4"><h2>System not configured for Twitter Connect</h2></td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="5">This system needs to be configured to connect to the Twitter website.</td>
</tr>

<?php
}

/*
<table width="750" align="left" border="0" cellspacing="0" cellpadding="3">
<tr>
  <td colspan="4">
  <br>
  <h3>Empower Web Portal</h3>
  To access your voice mail, access your Empower Commands, and set additional options <a href="main.php">Log In!</p></a>
  <br><br><br>
  <h3>Empower Assistant Voice Portal</h3>
  Call <b>604-638-2658</b>: To send Empower Voice Commands and use other voice services.</p></a>
  <br><br><br>
  <h3>Manager Who Contacts You and When</h3>
  Give this number: <b>604-638-2656</b> and you extention to others so that they can call you.  This can be put on your
  business cards or attached to email.
  <br><br>
  <br><br>

  </td>
  <td>&nbsp;</td>
</tr>


*/
?>  
<tr>
  <td colspan="5">
  &nbsp;
  </td>
</tr>
  
</table>



</TBODY>
</TABLE>


<!-- Footer standard -->
</div>	
</div>
<?php 
include("include/footer.php");
?>