<?php 
/*
* cr_signup_x
*
* Copyright (C) 2010 engenic (engenic.com)
* 
* ATTENTION: This file is Open Source software according to the license with the package
*/
require("cr_reference.php");
require($incPath.'LocalSettings.php'); 
require($incPath.$sessionphp);
require_once($websiteLibrary.'calcWorkUnit.php');     

// Forms for fields for signups and credit cards
require('cr_signup_forms.php'); 

// This is a secure page, so redirect if needed
if ($cGlobalSecure) 
{
	redirectToHTTPS();
}

// Set up for edit
$editFormAction = $_SERVER['PHP_SELF'];
/*
if (isset($_SERVER['QUERY_STRING'])) 
{
	$editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}
*/

// Default some values
if ((!isset($_POST['sales_login'])) || ($_POST['sales_login'] == ""))
{
	$_POST['sales_login'] = "000";
}


// Determine if we are adding an administrator or regular client
// -- The administrator client is the first client, and will include a super admin user which can admin other consequent clients
$mSupervisorClientAdd = true;
$query_rsClientCount = "
SELECT 
	count(*) total
FROM
	client
WHERE
	client_status <> 'SYSTEM'";
	
// Make sure we are connected to the system database
$database->switchToSystemDatabase();
$rsClientCount = $database->sqlConvert_sql_query($query_rsClientCount, $database->connectionSystem); // or die(mysql_error());
if ($row_rsClientCount = $database->sqlConvert_sql_fetch_array($rsClientCount)) // sqlConvert_sql_fetch_assoc($rsMenuItems))
{
	$mTotal = $row_rsClientCount['total'];
	if ($mTotal > 0)
	{
		// We already have a client, so go to non-supervisor add mode
		$mSupervisorClientAdd = false;
	}
}


// For development
$StepIn = true;
$debugPoint = 'START';

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form1")) 
{
	// Handle log errors nicely
	if(($form->num_errors == 0))
	{
		$debugPoint = 'A';
		if ($StepIn)
		{
			$client_phone   = substr(stripNonNumeric($_POST['phone']),0,10);
			$client_updates = isset($_POST['updates']) ? "Y" : "N";
			
			$debugPoint = 'B';

			// Create the client table, if we do not find any errors
			// Note - This selects the client database
			$created_client_id = 0; // Client number returned
			$res = $session->createClientDatabase(
								$_POST['email'],             // User name is email
								$_POST['company'],
								$created_client_id);
		}

		// Check for no errors in the createClientDatabase (things like email already used are common)
		if(($form->num_errors == 0))
		{
			$debugPoint = 'C';


			if ($StepIn)
			{
				// If the database was created correctly, then populate it with tables
				if ($res == 0)
				{
					// Add the tables to the database
					$res = $session->createClientDatabaseTables();

					$debugPoint = 'D';
					
					// Convert the post to checked or not
					$client_observes_dst		= "N";
					if (isset($_POST['txtObserveDST']))
					{
						$client_observes_dst	= "Y";
					}
			
					// Create the Client id (and set the database to ACTIVE)
					$res = $session->addClientTableEntry(
										$created_client_id,
										$_POST['company'],
										$_POST['gmt_offset_early'],
										$client_observes_dst,
										$client_phone,  
										$_POST['sales_login'],      
										$client_updates,
										$_POST['select'],      
										$_POST['triallength']);

					$debugPoint = 'E';
										
				} // if no errors
			}

		
			if ($StepIn)
			{	
				if (!$res == 0)
				{  
					// This ends here (in the called function found in header.php)
					UniveralSignUp_CriticalError($appCompanySvcCode,
										'SIGN-001',
										(providePhrase('cr', 1412)), // Unable to add client
										(providePhrase('cr', 1413)).' '.$_POST['email'].' - Client: '.$created_client_id.' debug: '.$debugPoint.' res: '.$res
										);
					die(mysql_error());
					exit();									
				}

				$debugPoint = 'F';
				
				// Create the user id
				// -- Note: If email is not employed, then $_SESSION['admin_link'] will be returned
				$res = $session->registeruser(
									 $_POST['email'],        // User name is password
									 $_SESSION["client_id"], // The related client id from above
									 $_POST['pass'], 
									 $_POST['contact_name_last'], 
									 $_POST['contact_name_first'], 
									 "",   // Passnum - leave blank to not be validated
									 $_POST['email']
									 );  
				if (!$res == 0)
				{  
					// This ends here (in the called function found in header.php)
					UniveralSignUp_CriticalError($appCompanySvcCode,
										'SIGN-201',
										(providePhrase('cr', 1414)), // Unable to add user 
										(providePhrase('cr', 1413)).' '.$_POST['email'].' - Client: '.$created_client_id.' debug: '.$debugPoint.' res: '.$res
										);
					die(mysql_error());
					exit();
				}
				
				//echo ($_POST['email'].'-'. 	$_POST['company'].'-'. $created_client_id);
				//die;
			}

			$debugPoint = 'G';

			// Add the appointment reminder application to the client
			/*
			$res = $session->addClientApplication(
								$_SESSION["client_id"], // The related client id from above
								"APPOINTMENT_REMINDER"); // application to add  
			*/
			$debugPoint = 'H';

			// Add standard applications for the system  (note:  This encompasses the addClientApplication function)	
			$mTotalAdded = 0;
			if (defined("SYSTEM_INSTALLCODES"))
			{				
				$mApplications = explode(',',SYSTEM_INSTALLCODES);
				foreach ($mApplications as $mAppCode)
				{
					$mAdded = $session->addDefaultClientApplications($_SESSION["client_id"], strtoupper($mAppCode));
					$mTotalAdded = $mTotalAdded+$mAdded; 
				}
			}
								
			// Did we add the application, and any defaults needed?
			if (!$res == 0)
			{    
				if ($res == 2)
				{ 
					// This ends here (in the called function found in header.php)
					UniveralSignUp_CriticalError($appCompanySvcCode,
										'SIGN-402',
										(providePhrase('cr', 1420)),  // Application not set up yet
										(providePhrase('cr', 1413)).' '.$_POST['email'].' - Client: '.$_SESSION["client_id"].' debug: '.$debugPoint.' res: '.$res
										);
				}
				else
				{
					// This ends here (in the called function found in header.php)
					UniveralSignUp_CriticalError($appCompanySvcCode,
										'SIGN-300',
										(providePhrase('cr', 1414)), // Unable to add user 
										(providePhrase('cr', 1413)).' '.$_POST['email'].' - Client: '.$_SESSION["client_id"].' debug: '.$debugPoint.' res: '.$res
										);
				}
				die(mysql_error());
				exit();	
			}

			$debugPoint = 'I';
			
			// Direct the person signing up to the next page
			// -- Default skip the credit card, go straight to user
			$insertGoTo = "cr_signup_step3.php";
			if (!$mSupervisorClientAdd)
			{
				// Go to credit card option
				if ((defined("SYSTEM_PAYCLIENTS")) && (SYSTEM_PAYCLIENTS == true))
				{
					$insertGoTo = "cr_signup_step2.php";
				}
			}

			// If the insert was successful, jump to the next database
			header(sprintf("Location: %s", $insertGoTo));
		}
	}	
}
else
{
	// Unset the session incase multiple attempts at creating a new client occurs
	$database->unsetAuthenticatedSession();
	
}
$debugPoint = 'END';

// Include all the standard JavaScript files
include($incPath."include/header.php"); 
// JavaScript goes here + + +    
?>
<script type="text/javascript" src="/library_js/cr_signup_forms.js"></script>
<script type="text/JavaScript">
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

	jQuery(function($){
		$("#phone").mask("(999) 999-9999");
		$("#sales_login").mask("999");

		$("#continuesignup").attr("disabled", "true"); // Disable it 
		$("#ajax-loader").hide();
		
		if ( $('#pass').length ) 
		{
			// Make sure there is something to test
			if ($("#pass").val() !== "")
			{
				PassWordStrength($("#pass").val(), 1);
				PassMatchTest($("#pass").val(), $("#pass2").val());
			}
		}
	});
	
	// Terms of service
	$("#updates2").click(function()
	{
		testOkayToSubmit();
	});  		
	
	$("#pass").keyup(function()
	{
		testOkayToSubmit();
	});
	
	$("#pass2").keyup(function()
	{
		testOkayToSubmit();
	});
	
	// The user has clicked, and wants to continue
	$("#continuesignup").click(function()
	{
		// Show the loader
		$("#ajax-loader").show();
		// The page will still exectue
	});
	
	// Test for check boxes
	//$("input[@type='checkbox']").click( function()
});
</script>
<?php
include($incPath."include/header_divs.php"); 
//include($webTopMenuPage); 
// Start - TOP MENU 

// What type of client are we adding?
if ($mSupervisorClientAdd)
{
	$mClientTypeText		= providePhrase('cr', 1400); // Supervisor
	$mClientCreateTitle		= providePhrase('cr', 1430); // 
	$mClientCreateInfo		= providePhrase('cr', 1431); // 
	$mClientContinueTo		= providePhrase('cr', 1432); // Next page
}
else
{
	$mClientTypeText		= providePhrase('cr', 1401); // Regular client
	$mClientCreateTitle		= providePhrase('cr', 1435); // 
	$mClientCreateInfo		= providePhrase('cr', 1436); // 
	$mClientContinueTo		= providePhrase('cr', 1437); // Next page 
}

?>
<div id="topbar">
<a class="active"><span><div id="bartitle"><?php echo($mClientTypeText);?></div></span></a>	
<?php
echo CheckMenuText(providePhrase('cr', 1402)); // Sign up
?>
</div>
<?php
echo('<p id="layoutdims">'.$webTelephone.'</p>');
// END - TOP MENU
//echo (stripToBasicText("o'Bobby")."<br />");
?>
<div id="frontpage">
<div id="maintext">

<?php

// Test to see if the database is available
//echo $database->testDatabaseSystemLevel(); die;
if (!$database->testDatabaseSystemLevel())
{ 
?>
    <p><span class="important"><?php echo(providePhrase('cr', 510));?></span></p>
	<p><?php echo(providePhrase('cr', 511));?></p>
<?php    
	die(mysql_error());
	exit();
}
else
{
    // We are good to go!
}
?>

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1">

<form id="form1" name="form1" method="POST" action="<?php echo $editFormAction; ?>" onsubmit="YY_checkform('form1','updates2','#q','1','Please accept the terms and conditions before continuing.','company','#q','0','Please enter your Company name.','contact_name_first','#q','0','Please enter your contact name.','email','S','2','Field \'email\' is not valid.','email2','#email','6','Your emails don\'t match.','sales_login','#q','0','Please enter a promo code for your trial \(Enter 000 if you do not have this number\).','phone','#q','0','Telephone number is not valid.');return document.MM_returnValue">

<table width="100%" border="0" cellspacing="0" cellpadding="2">
  <tr>
    <td>
<?php	
		// Create Adminstration Client
		echo (displayContainerOutline('<h2>'.($mClientCreateTitle).'</h2>'));
?>
	</td>
    <td width="46%"><div align="right"><img src="../images/5minute-setup.gif" width="87" height="50" /></div></td>
  </tr>
</table>


<?php
// Your new installation should be ready in a few minutes.  Let\'s create you as the administrator, and get some basic details into the database.
?>
<p><?php echo($mClientCreateInfo);?></p>

<p>
<br />
<?php 
// Test all the post values
$mFldcompany 				= '';
$mFldgmt_offset_early 		= HOME_UTC_OFFSET;
$mFldcontact_name_first 	= '';
$mFldcontact_name_last 		= '';
$mFldcontact_name_initial 	= '';
$mFldphone 					= '';
$mFldemail 					= '';
$mFldemail2 				= '';
$mFldpassword 				= '';
$mFldpassword2 				= '';
$mFldsales_login			= '000';  //default

// Deal with the fiddly fields (such as check boxes)
$client_observes_dst		= 'checked="checked"';

// if one is set, then they all should be
if (isset($_POST['company']))
{
	$mFldcompany 				= $_POST['company'];	
	$mFldgmt_offset_early		= $_POST['gmt_offset_early'];
	$mFldcontact_name_first 	= $_POST['contact_name_first'];
	$mFldcontact_name_last 		= $_POST['contact_name_last'];
	$mFldcontact_name_initial 	= $_POST['contact_name_initial'];
	$mFldphone 					= $_POST['phone'];
	$mFldemail 					= $_POST['email'];
	$mFldemail2 				= $_POST['email2'];
	$mFldpassword 				= $_POST['pass'];
	$mFldpassword2 				= $_POST['pass2'];
	$mFldsales_login			= $_POST['sales_login'];
	
	// Convert the post to checked or not
	$client_observes_dst		= "";
	if (isset($_POST['txtObserveDST']))
	{
		$client_observes_dst	= 'checked="checked"';
	}
}


// Check for errors up front
if($form->num_errors > 0)
{
	echo "<font class=dataError>".$form->num_errors." ".(providePhrase('cr', 501))."</font><br /><br />";
}		

// In the include/cr_signup_forms
$mWebPrivacyPolicy	= $incPath.$appDocPrivacyPolicy;
$mWebTermsService	= $incPath.$appDocTermsService;

UniveralSignUp_CompanyDetails('cr' 				,
					  $appMarketingName			,
					  $mWebPrivacyPolicy		,
					  $mWebTermsService			,
					  $mFldcompany				,
                      $mFldgmt_offset_early		,
					  $client_observes_dst		,
                      $mFldcontact_name_first 	,
                      $mFldcontact_name_last 	,	
                      $mFldcontact_name_initial ,	
                      $mFldphone 				,	
                      $mFldemail 				,	
                      $mFldemail2 				,
					  SYSTEM_PASSWORDMINLENGTH,	// Password length
                      $mFldpassword 			,	
                      $mFldpassword2 			,	
                      $mFldsales_login			,
					  $mClientContinueTo);
					  
?>
</p>

</form>

</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->
		
		
		
<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2">

<div id="eventbox">
<div class="header"><?php echo(providePhrase('cr', 1500)); //Form Entry Points ?></div>
<div class="body">
<p><?php echo(providePhrase('cr', 1501)); // Details ?></p>
</div>
</div>

<?php 
// Include links to policy and legal
include('cr_policylegalpanel.php'); 
?>

</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->


<!-- Footer standard -->
</div> <!-- maintext -->
</div> <!-- frontpage -->
<?php 
include($incPath."include/footer.php");
?>