<?php
/**
 * cr_unblock.php
 * 
 * Admin section to povides an unlock code to override their user
 *
 * by: vbaker@engenic.com
 * Last Updated: Sept 2009
 */
require("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");
$_SESSION['IncPath'] = $incPath;
require_once($websiteLibrary.'calcWorkUnit.php');   

// Other includes for creation of forms
require_once('cr_form_content.php');



// This is a secure page, so redirect if needed
if ($cGlobalSecure) 
{
  redirectToHTTPS();
}

include("include/header.php"); 
// JavaScript goes here + + +
?>
<script language="javascript">
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{	
	<?php include('cr_javascript_graphics.php'); ?>
}
)
</script>
<?php
include("include/header_divs.php"); 
?>

<div id="topbar">
<?php 
echo CheckCurrentMenu($appSysUri, currentPage(), 'Security Access',  $_SESSION['IncPath'].$webCSSMenuGraphic);
echo CheckMenuText($appMarketingName.' Unlock User Access');
?>
</div>

<div id="frontpage">
<div id="maintext">

<!-- Header standard -->
<TABLE cellPadding=5 border=0>
<TBODY>
<TR>
<TD>
<?php 
// See if a company code is being passed
$companycode = $appCompanySvcCode;  // was '' 
$form->setValue("company", $companycode);
?>

<table width="750" align="left" border="0" cellspacing="0" cellpadding="3">
<tr>
  <td width="180">&nbsp;</td>
  <td width="180">&nbsp;</td>
  <td width="10">&nbsp;</td>
  <td width="180">&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="4"><h2>Access Unlock for User</h2></td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="4">An access locked user will have a screen that appears as follows.  From that you
  you need to acquire their email address.  This will be used to create an unlock code which you
  will provide to them.  That unlock code will only be functional for today.</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="5">

<form action="cr_process.php" method="POST">
<TABLE cellPadding=5 border=0>
<TBODY>
<TR>
<TD width=250>

<?php 
if($form->num_errors > 0)
{
	echo "<font class=dataError>".$form->num_errors." error(s) found</font><br /><br />";
}
?>

<div id="portfolio_items">
<div class="mini_portfolio_item">
<div class="block_inside">
<table width="100%">
<?php 
	// if no errors, and we have a value, then populate
	if ($form->value("user") && $form->num_errors == 0)
	{
		$form->setValue("unlockcode", $session->accessUnlockCode($form->value("user")));
	}


	// Provide the opportunity for the user to call support and get an unlock out
	// - See cr_form_content.php
	lockOutDisplay("subunlockcode", 
					$form->value("user"), 
					$form->value("unlockcode"), 
					$form->num_errors,
					$form->error("user"),
					"");
?>	
</table>
<?php // End of Portfolio Section ?>
</div>
</div>
</div>

</TD>
</TR>
</TBODY>
</TABLE>
</form>

  </td>
</tr>

<tr>
  <td colspan="4">&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="4">Click "Unlock" once the correct email is entered, and the "Unlock Code" will be provided in the field</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="4">&nbsp;</td>
  <td>&nbsp;</td>
</tr>

</table>


</TD>
</TR>
</TBODY>
</TABLE>



<!-- Footer standard -->
</div>	
</div>
<?php 
include("include/footer.php");
?>