<?php 
// If we are wide then, go with wide wrapper
if (defined("WEBPAGE_WIDE"))
{
?>
<div class="cont_wrapper" id="wrapper_wide">
<?php
}
else
{
?>
<div class="cont_wrapper" id="wrapper">
<?php
}
?>
<div id="mainContainer">

<?php 
// HEADER - Title - This is where the Logo will appear
?>
<div id="imagebar">
<table width="100%" height="60" border="0" cellpadding="0" cellspacing="0">
<tr>
	<td width="15" height="75">
	<td width="43%">
	 <p><a href="<?php echo($webClickTo); ?>">
	   <img src="<?php echo($incPath.$webLogo); ?>" alt="<?php echo($websiteName);?>" width="<?php echo($webLogoWidth); ?>" height="<?php echo($webLogoHeight); ?>" border="0" /></a>
	 </p>
	</td>
	<?php 
	// Mode - Add a cute graphic to show the setting the system is in
	if ($cGlobalMode == MODE_DEMO)
	{
	?>   
		<td><p><img src="<?php echo($incPath);?>images/mode-demo.gif" width="110" height="57" border="0" /></p></td>
	<?php 	
	}
	if ($cGlobalMode == MODE_TEST)
	{
	?>   
		<td><p><img src="<?php echo($incPath);?>images/mode-test.gif" width="110" height="57" border="0" /></p></td>
	<?php 	
	}
	else
	{
	?>   
		<td>&nbsp;</td> 
	<?php 	
	}
?>
</tr>
 
   
</table>
</div>



<div id="middlebar">
   <div style="float: left;" id="DateAndTime"><b>Date and Time</b></div>   
<?php 
// Set the graphics used for this system
// Returns the current web page
$this_page = basename($_SERVER['REQUEST_URI']);
if (strpos($this_page, "?") !== false) $this_page = reset(explode("?", $this_page));
$mb_span = str_replace('_tb_span','_mb_span',$webCSSMenuGraphic);

// NOTE: Other graphics are located in the CSS files medicalrelay.css, staffrelay.css etc.  "_mb_a.gif"
if (($session->databasemode) && ($session->logged_in))
{
	// Logout
	?>
	<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
	<a href="<?php echo($incPath);?>cr_process.php"><?php echo(providePhrase('cr', 170));?></a>
	</span>
	<span style="float: right;">&nbsp;&nbsp;</span>
	<?php 
}

//////////////////////////
// Only show MAIN option when NOT on MAIN
//////////////////////////
if  ((!strpos(rtrim($_SERVER['PHP_SELF'], "/\\"), $webMainPage))  )
{
	// Only display the main option if the page exists
	if (file_exists($incPath.$webMainPage))
	{
	?>
	<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
	<a href="<?php echo $incPath.$webMainPage?>"><?php echo(providePhrase('cr', 171));?></a>
	</span>
	<span style="float: right;">&nbsp;&nbsp;</span>
	<?php 
	}
}

//////////////////////////
// If logged in, then show edit options
//////////////////////////
// if we are in main, add options to edit
if (($session->databasemode) && ($session->logged_in))
{
	// Display admin infomration
	if($session->isAdmin())
	{
		?>
		<span style="outline-style:solid; outline-color:#cc0000; float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
		<a href="<?php echo($incPath);?>cr_admin.php"><?php echo(providePhrase('cr', 172));?></a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>
		<?php		
		//echo(displayContainerAdminLink('Admin Center'));
	}
   
  // Are we in the Control Routines section?
  if (strpos(rtrim($_SERVER['PHP_SELF'], "/\\"), '/cr_') !== false)
  { 
	if (strpos(rtrim($_SERVER['PHP_SELF'], "/\\"), '/cr_main.php') !== false)
	{
		?>   
		<span style="float: right;">&nbsp;&nbsp;&nbsp;</span>

		<?php 
		// REMOVED - User can access via View Account
		//<span style="float: right; background:url(<php echo($incPath.$mb_span); >) left top no-repeat; ">
		//<a href="cr_useredit.php">Edit Account</a>
		//</span>
		//<span style="float: right;">&nbsp;&nbsp;</span>
		?>   

		<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
		<a href="cr_userinfo.php?user=<?php echo ($session->username); ?>"><?php echo(providePhrase('cr', 173));?></a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>
		<?php 
	}
	else
	{
		// Put the return to page in
		$includeFile = "cr_main.php";
		if (!file_exists($includeFile))
		{
			$includeFile = "../".$includeFile;
		}
		?>   
		<span style="float: right;">&nbsp;&nbsp;&nbsp;&nbsp;</span>
		<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
		<a href="<?php echo($includeFile);?>"><?php echo('<u>'.providePhrase('cr', 162).'</u>');?></a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>
		<?php 
	}
  }
  else
  {
	// We are in the systems sections
	
	//////////////////////////
	// MEDICALRELAY Client
	//////////////////////////
	if (strpos(rtrim($_SERVER['PHP_SELF'], "/\\"),'mr_appointment.php')) 
	{
		// Create these in reverse order, as they will populate from right to left
		?>
		<span style="float: right;">&nbsp;&nbsp;&nbsp;</span>

		<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
		<a href="mr_admin.php">Office</a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>

		<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
		<a href="mr_update_options.php">Options</a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>

		<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
		<a href="mr_report-overview.php">Reports</a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>
		<?php 
	}
	// Reports accessible from within mr 
	else if ((strpos(rtrim($_SERVER['PHP_SELF'], "/\\"),'mr_admin.php')) 
		 ||  (strpos(rtrim($_SERVER['PHP_SELF'], "/\\"),'mr_update_options.php')) 
		 ||  (strpos(rtrim($_SERVER['PHP_SELF'], "/\\"),'mr_report-overview.php')) )
	{
	   // Create these in reverse order, as they will populate from right to left
		?>
		<span style="float: right;">&nbsp;&nbsp;&nbsp;</span>


		<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
		<a href="mr_appointment.php">Appointments</a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>
		<?php 
	}
	
	
	
	//////////////////////////
	// Other clients  (and NOT in CR_)
	//////////////////////////	
	if (!(strpos(rtrim($_SERVER['PHP_SELF'], "/\\"), '/cr_')))
	{
		// Put the return to page in
		$includeFile = "cr_main.php";
		if (!file_exists($includeFile))
		{
		  $includeFile = "../".$includeFile;
		}
		?>   
		<span style="float: right;">&nbsp;&nbsp;&nbsp;</span>
		<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
			<a href="<?php echo($includeFile);?>"><?php echo('<u>'.providePhrase('cr', 162).'</u>');?></a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>
		<?php 
	}	
  }
} // if Logged In


// If we are not logged in, and we have a database in our midst
if ((($session->databasemode) && (!$session->logged_in)) 
	|| (defined("SYS_LOGIN"))) // This will take us to a place we know we have a login
{
	if (((strpos(rtrim($_SERVER['PHP_SELF'], "/\\"),'/mr_')) ||
		 (strpos(rtrim($_SERVER['PHP_SELF'], "/\\"),'/sr_')) ||
		 (strpos(rtrim($_SERVER['PHP_SELF'], "/\\"),'/cr_')))
		&& (defined("SYS_DB_HOST"))
		&& (!(strpos(rtrim($_SERVER['PHP_SELF'], "/\\"),'/cr_main.php'))))
	{
		?>
		<span style="float: right; background:url(<?php echo($incPath.$mb_span); ?>) left top no-repeat; ">
		<a href="<?php echo($incPath);?>cr_main.php"><?php echo('<u>'.providePhrase('cr', 169).'</u>');?></a>
		</span>
		<span style="float: right;">&nbsp;&nbsp;</span>
		<?php 
	}	
} // If not logged in

?>   
</div>

<script language="JavaScript" type="text/JavaScript">
ShowDate("DateAndTime");
</script>
