<?php
/*
Purpose:	The TwitterAPIConnect class provides the socket functions to connect to the twitter server and retrieve the required information. 

*/
class TwitterAPIConnect
{
	//Name: 	HTTPSendPost
	//Purpose: 	Send a HTTP Post request to the twitter server. '$postData' specifies the post content to be send to the server. 
	//Notes: 	-Functions is right now hard coded to update the twitter status. 
	public function HTTPSendPost($postData)
	{
		/*$opts = array('http' =>array('method'  => 'POST',
							  'header'  => array('Content-type: application/x-www-form-urlencoded')
							  //'header' => ,
							  ,'content' => $postData));
							  
		$context  = stream_context_create($opts);
		$result = file_get_contents('http://twitter.com/statuses/update.xml', false, $context);
		*/
		$postLength = strlen($postData); 
		$post = "POST /statuses/update.xml HTTP/1.1\r\n";
		$post .= "Host: twitter.com\r\n";
		$post .= "Accept: */*\r\n";
		$post .= "Content-Length: $postLength\r\n";//293
		$post .= "Content-Type: application/x-www-form-urlencoded\r\n";
		$post .= "\r\n";
		$post .= $postData; /*"oauth_version=1.0&oauth_nonce=652f01507c721f6df310e97836fa0649&oauth_timestamp=1248798990&oauth_consumer_key=0wN4QKXa5gECx9RyR9iLFw&status=%2B%2B%2B&oauth_token=57459848-0g1PayErQOcldJ8nPL6QJrCv8cqMSKq9dBomhfpfp&oauth_signature_method=HMAC-SHA1&oauth_signature=zlBi1ksphjuGE89C%2BsBNdFL2f7o%3D";*/

		$socket = fsockopen("www.twitter.com", 80, $errno, $errstr, 300);//default values might change!
		
		//echo "<br> POST DATA:: $post<br><br>";
		
		if (!$socket) 
		{
			//echo "$errstr ($errno)<br />\n";
		} 
		else
		{
			fwrite($socket, $post);
    
			$twitterData = "";
		
			while (!feof($socket)) 
			{
				$twitterData .= fgets($socket, 1024);
			}
    
			//echo "output::::>> $twitterData"; //delete this line latter !!
			fclose($socket);
		}
		
		return $twitterData;
	}
	
	//Name:	HTTPSendGet
	//Purpose:	Sends a Get Request to the Twitter server and obtains the responce from the server. 
	//Notes:	-Is right now hardcoded to send Get Request to the twitter server. 
	public function HTTPSendGet($url)
	{
		$query = "GET " . $url . " HTTP/1.1\r\n";	
		$query .= "Host: twitter.com\r\n";	
		$query .= "Accept: */*\r\n\r\n";
		
		$socket = fsockopen("www.twitter.com", 80, $errno, $errstr, 300);//default values might change!
		//echo "<br> Get DATA:: $query<br><br>";
		if (!$socket) 
		{
			//echo "$errstr ($errno)<br />\n";
		} 
		else
		{
			fwrite($socket, $query);
    
			$twitterData = "";
		
			while (!feof($socket)) 
			{
				$twitterData .= fgets($socket, 1024);
			}
    
			//echo "output::::>> $twitterData"; //delete this line latter !!
			fclose($socket);
		}
		
		return $twitterData; 
	}
	
	//Name:	HTTPParseAccessTokens
	//Purpose:	Parses the data obtained from the twitter server after requesting the Accesstoken data from the server. 
	//Notes:	-
	protected function HTTPParseAccessTokens($httpData)
	{
		$findString = "Connection: close\r\n\r\n";
		$responceArray = explode($findString,$httpData); 
		
		if(isset($responceArray[1]) == 1)
		{
			parse_str($responceArray[1],$oAuthAccessTokenData);
			//$oAuthAccessTokenData has fields oauth_token, oauth_token_secret, user_id, screen_name
			return $oAuthAccessTokenData; 
		}
		else
		{
			//echo "AN ERROR OCCURED";
			//Use code from twitterApi.php to get the HTTP ERROR CODE!]
			return NULL; 
		}
	}
	
	//Name;	HTTPParseRequestTokens
	//Purpose:	Parses the data obtained from the twitter server after requesting the Request tokens form the server. 
	//Notes:	-
	protected function HTTPParseRequestTokens($httpData)
	{
		$findString = "oauth_token=";
		$responceArray = explode($findString,$httpData); 
	
		if(isset($responceArray[1]) == 1)
		{
			$findString = "&oauth_token_secret=";
			$responceArray = explode($findString,$responceArray[1]); 
			return array("requestToken" => $responceArray[0],"requestTokenSecret" => $responceArray[1]);
		}
		else
		{
			//echo "AN ERROR OCCURED";
			//@@@Use code from twitterApi.php to fix it !!!!
			return NULL; 
		}	
	}
	
}



?>