<?php
/*
* TeleFlow Open Dictation
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Includes Section
// Includes Section
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php');   


/**
 * User not logged in, redirect to main page
 * automatically.
 */
if(!$session->checkLogin())
{
   header("Location: ".$incPath."cr_main.php");
}


// -------- Pagination for Reports ------------
// Note: Don't forget at the start of this program:  session_start(); 
// Was a page parameter passed
if (isset($_GET['page'])) 
{
  $pageLines  = (isset($_SESSION["pageLines"])) ? $_SESSION["pageLines"] : 0;
  $pageCurr   = (isset($_SESSION["pageCurr"]))  ? $_SESSION["pageCurr"]  : 0;
  $pageMax    = (isset($_SESSION["pageMax"]))   ? $_SESSION["pageMax"]   : 0;
  // Determine the new page to hit
  $pageCurr   = engRepPageSettings($_GET['page'], $pageCurr, $pageMax);
}
else
{
  // Go with new page
  $pageLines  = 100;
  $pageCurr   = 0;
  $pageMax    = -1; // set with count   
}  
// -------- Pagination for Reports ------------


$SSAdv_colors1 = array("#EAF2F4","#FFFFFF");
$SSAdv_k1 = 0;
$SSAdv_m1 = 0;
$SSAdv_change_every1 = 1;



$query_fields = (    
"SELECT 
   * ");
$query_from = (sprintf(
"FROM 
   dictate_client c
 WHERE 
	c.client_status = 'Enabled' 
 ORDER BY c.client_name ASC" ));    

// Retrive for pagination style 
$query_rsClients = $query_fields." ".$query_from.engRepLimit($pageCurr,$pageLines);

$rsClients = mysql_query($query_rsClients) or die(mysql_error());
$row_rsClients = mysql_fetch_assoc($rsClients);
$totalRows_rsClients = mysql_num_rows($rsClients);


// -------- Pagination for Reports ------------
// Get the count if there is no page defined
$pageMax = engRepPageMax($pageMax, $pageLines, $query_from, '');
// Save Session variables
$_SESSION["pageLines"] = $pageLines;
$_SESSION["pageCurr"]  = $pageCurr;
$_SESSION["pageMax"]   = $pageMax;
// From here for line number use: ($counter++)+engRepCounter()
//  engRepOptions();  for the |< < page of x > >| options
// -------- Pagination for Reports ------------


//echo $query_rsClients." result:".mysql_num_rows($rsClients);
?>
<?php
include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script type="text/javascript"> 
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

})
</script>  
<link href="dictation.css" rel="stylesheet" media="screen,,projection" title="default" type="text/css"  /> 
<?php
include($incPath."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Dictation</div></span></a>
</div>

<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-wide">

<table cellpadding="0" border="0">
<tbody>
<tr>
  <td>
  <?php echo(displayContainerTitle(1,$_SESSION['userclientname'])); ?>
  </td>
</tr> 
</tbody>
</table>

<table cellpadding="0" border="0">
<tbody>
<tr>
  <td>
  <?php echo(displayContainerOutline('<h2>Active Clients</h2>'));?>
  </td>
</tr> 
</tbody>
</table>


	
<TABLE width="99%" border=0 cellPadding=5>
<TBODY>
<TR>
    <td>Select a client to modify the details</td>
</TR>
<TD align=left vAlign=top><table width="100%" border="0" cellspacing="0" cellpadding="0">
    <td><?php engRepOptions(); ?>
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="6%" bgcolor="#29386B"><span class="style4">#</span></td>
        <td width="24%" bgcolor="#29386B"><span class="style4">Client ID </span></td>
        <td width="21%" bgcolor="#29386B"><span class="style4">DNIS</span></td>
        <td width="29%" bgcolor="#29386B"><span class="style4">Create Date </span></td>
        <td width="20%" bgcolor="#29386B"><span class="style4">File Link </span></td>
      </tr>

<?php $counter = 1; ?>
        <?php do { ?>
		<tr bgcolor="<?php

// Alternate colours
if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0){
$SSAdv_k1++;
}
print $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
$SSAdv_m1++;

?>" class="body">
          <td><?php echo ($counter++)+engRepCounter(); ?>
		  </td>
          <td><a href="updateclient.php?dictate_client_id=<?php echo $row_rsClients['dictate_client_id']; ?>"><?php echo $row_rsClients['client_name']; ?></a></td>
          <td><?php echo $row_rsClients['client_dnis']; ?></td>
          <td><?php echo $row_rsClients['client_create_date_web']; ?></td>
          <td><a href="<?php echo $row_rsClients['name_web_dir_loc']; ?><?php echo $row_rsClients['client_name_file']; ?>">Client Name WAV </a></td>
          <?php } while ($row_rsClients = mysql_fetch_assoc($rsClients)); ?></tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>      
      <p><?php engRepOptions(); ?>&nbsp;</p>
      <p>&nbsp;</p>
      <p>&nbsp;</p>
      <p>&nbsp;</p>
      <p>&nbsp;</p></td>
  </tr>
</table>
  <div align="right"></div></TD>
</TR></TBODY></TABLE>



</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2-wide">
<?php include("menusection.php"); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->
	
<!-- Footer standard -->
</div>	
</div>
<?php 
include($incPath."include/footer.php");
mysql_free_result($rsClients);
?>
