<?php
/*
* TeleFlow Open Dictation
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Includes Section
// Includes Section
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php');   
require_once($websiteLibrary.'httpWorkUnit.php');


/**
 * User not logged in, redirect to main page
 * automatically.
 */
if(!$session->checkLogin())
{
   header("Location: ".$incPath."cr_main.php");
}


 

// NOTE: I have taken the PST / EST 3 hour offset into consideration with 3*3600 = 10800
$q =  "select "
     ."   file_status_transcription, "
     ."   max(file_time) max_time, "
     ."   str_to_date(max(file_time),\"%T\") web_time, "
     ."   (curtime() - str_to_date(max(file_time), \"%T\")) age2, "
     ."   UNIX_TIMESTAMP() - UNIX_TIMESTAMP(concat(curdate(),' ',str_to_date(max(file_time), \"%T\")))-10800 age, "
     ."   curtime() servertime "
     ."from "
     ."   dictate_file "
     ."where "
     ."   file_date = date_format(current_date, \"%Y/%m/%d\") "
     ."group by "
     ."   file_status_transcription "
     ."";
//echo $q."<br><br>";
$result = mysql_query($q) or die(mysql_error());


$SSAdv_colors1 = array("#EAF2F4","#FFFFFF");
$SSAdv_k1 = 0;
$SSAdv_m1 = 0;
$SSAdv_change_every1 = 1;

$row_resultList     = mysql_fetch_assoc($result);
$totalRows_result   = mysql_num_rows($result);

if(!$result || ($totalRows_result < 0))
{
   echo "ALARM Database Error!";
   return;
}

?>
<?php
include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script type="text/javascript"> 
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

})
</script>  
<link href="dictation.css" rel="stylesheet" media="screen,,projection" title="default" type="text/css"  /> 
<?php
include($incPath."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Dictation</div></span></a>
</div>

<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-wide">

<table cellpadding="5" border="0">
<tbody>
<tr>
  <td>
	<?php echo(displayContainerOutline('<h2>Dictation System Status</h2>'));?>
  </td>
</tr> 
</tbody>
</table>


<TABLE width="99%" border=0 cellPadding=5>
<TR>
  <TD colSpan=2 class=pageheader>Current transfer statuses for today.  Last refreshed at 
  <?php echo $row_resultList['servertime']; ?> Eastern</TD>
</TR>
<TR>
  <TD align=left vAlign=top>

   <TABLE width="500" border="0" cellspacing="0" cellpadding="0">
   <tr>
      <td width="5%"  bgcolor="#697899"><span class="style4"># </span></td>
      <td width="25%" bgcolor="#697899"><span class="style4">Xfer Status</span></td>
      <td width="25%" bgcolor="#697899"><span class="style4">Dictate Time </span></td>
      <td width="25%" bgcolor="#697899"><span class="style4">Age (seconds) </span></td>
      <td             bgcolor="#697899"><span class="style4">Status </span></td>
   </tr>

<?php 
$total_alerts = 0;
$counter      = 1;


// Did we get any calls today?? 
if($totalRows_result == 0)
{
   ?>
   <tr bgcolor="<?php
   if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0)
   {
     $SSAdv_k1++;
   }
   print $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
   $SSAdv_m1++;
   ?>" class="body">
     <td><?php echo $counter++; ?></td>
     <td><?php echo "No Dictations Today"; ?>&nbsp;</td>
     <td><?php echo " - "; ?>&nbsp;</td>
     <td><?php echo " - "; ?>&nbsp;</td>
     <td><?php echo "<FONT color=\"#229922\"><B>Nominal</B></FONT>"; ?>&nbsp;</td>
<?php
}
else
{
   do 
   { 
      ?>
      <tr bgcolor="<?php
      if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0)
      {
        $SSAdv_k1++;
      }
      print $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
      $SSAdv_m1++;
      ?>" class="body">
        <td><?php echo $counter++; ?></td>
        <td><?php echo $row_resultList['file_status_transcription']; ?>&nbsp;</td>
        <td><?php echo $row_resultList['max_time']; ?>&nbsp;</td>
        <td><?php echo $row_resultList['age']; ?>&nbsp;</td>
        <td>
      <?php 
        if (StrToUpper($row_resultList['file_status_transcription']) == "PENDINGRETRY")
        {
          // Check to see if the age is at least 10 minutes (600 seconds), and make it ALERT else Warming
          if ($row_resultList['age'] > 600)
          {
             echo "<FONT color=\"#AA2222\"><B>ALERT</B></FONT>";
             $total_alerts++;
          }
          else
          {
             echo "<FONT color=\"#CC6644\"><B>Warning</B></FONT>";
          }
        }
        else
        {
          if ($row_resultList['age'] > 3600)
          {
             // Old
             echo "<FONT color=\"#229922\"><B>Nominal</B></FONT>";
          } 
          else
          {
             // Within an hour
             echo "<FONT color=\"#225522\"><B>Nominal</B></FONT>";
          } 
          
        }
      ?>&nbsp;</td>
      <?php 
   } while ($row_resultList = mysql_fetch_assoc($result)); 
}
?>

</tr>
</TABLE>      

<BR>

<TABLE width="500" border="0" cellspacing="0" cellpadding="0">
<tr>
   <td width="5%"  bgcolor="#697899"><span class="style4"># </span></td>
   <td width="75%" bgcolor="#697899"><span class="style4">Application</span></td>
   <td             bgcolor="#697899"><span class="style4">Run Status </span></td>
</tr>


<tr>
<?php
/*
  // Send the command to the a CampaignAuthCheck PHP page for continuing to CampaignDialerServer
  define("SENDTOIP",    $tf_serverip); 
  define("SENDTOPORT",  $tf_healthport); 
  define("SENDCMD",    "/systemhealth_rss.xml");
  
  //echo(constant("SENDTOIP").$tf_serverip);
  $url = $tf_serverip.":".$tf_healthport.constant("SENDCMD");
  //echo($url);

  $authresult = ffl_HttpGet($url);

  //echo "DF".$authresult['header']."<BR><BR>";
  //echo "DF".$authresult['body']."<BR><BR>";

 
  $xmldoc = "".$authresult['body']."";
  //echo $xmldoc;

  // Assume an XML document, and process...
  $doc = new DOMDocument();
  $doc->loadXML($xmldoc);

  // Did we authenticate? 
  $Success   = $doc->getElementsByTagName("systemhealth")->item(0)->nodeValue;     
  if ($Success <> "")
  {
    $counter      = 1;
    $node_array = $doc->getElementsByTagName("systemhealth");
    foreach ($node_array as $node) 
    {
        $programexe = $node->getElementsByTagName("program")->item(0)->nodeValue;
        //echo "EXE: ". $programexe . "\n";
        
        // TR starts here...
        if (($programexe == $tf_ftpapp) || ($programexe == $tf_ftpweb) || ($programexe == $tf_sentinel))
        { 
          ?><tr bgcolor="<?php
          if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0)
          {
             $SSAdv_k1++;
          }
          print $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
          $SSAdv_m1++;
          ?>" class="body"><?php
        } 

        if ($programexe == $tf_ftpapp)
        { 
          echo "<td>" .$counter++ ."</td>";
          echo "<td>Transcriptionist Transfer (SSL FTP)</td>";
          if (StrToUpper($node->getElementsByTagName("status")->item(0)->nodeValue) <> "NOMINAL")
          {
            echo "<td><FONT color=\"#AA2222\"><B>ALERT</B></FONT></td></tr>";
            $total_alerts++;
          }
          else
          {
            echo "<td><FONT color=\"#229922\"><B>Nominal</B></FONT></td></tr>";
          }
        }
        if ($programexe == $tf_ftpweb)
        { 
          echo "<td>" .$counter++ ."</td>";
          echo "<td>Web Transfer Application (FTP)</td>";
          if (StrToUpper($node->getElementsByTagName("status")->item(0)->nodeValue) <> "NOMINAL")
          {
            echo "<td><FONT color=\"#AA2222\"><B>ALERT</B></FONT></td></tr>";
            $total_alerts++;
          }
          else
          {
            echo "<td><FONT color=\"#229922\"><B>Nominal</B></FONT></td></tr>";
          }
        }
        if ($programexe == $tf_sentinel)
        { 
          echo "<td>" .$counter++ ."</td>";
          echo "<td>Sentinel Application (Manager)</td>";
          if (StrToUpper($node->getElementsByTagName("status")->item(0)->nodeValue) <> "NOMINAL")
          {
            echo "<td><FONT color=\"#AA2222\"><B>ALERT</B></FONT></td></tr>";
            $total_alerts++;
          }
          else
          {
            echo "<td><FONT color=\"#229922\"><B>Nominal</B></FONT></td></tr>";
          }
        }
    }
  } 
  else
  {
    $total_alerts++;
    echo "<tr><td>" .$counter++ ."</td>";
    echo "<td>System Health - Not reporting</td>";
    echo "<td><FONT color=\"#AA2222\"><B>ALERT</B></FONT></td></tr>";
  }
 */
?>
</tr>

</TABLE>      

</TD>

<?php
    //echo "<TR>Total Alerts = ".$total_alerts."</TR>";
    if ($total_alerts > 0)
    {
       echo "<TR><TD colSpan=2 class=pageheader><FONT color=\"#AA2222\"><H1>ALERT!! FAILURE! ALARM!!</H1></FONT></TD></TR>";
       echo "<TR><TD>ALARM Playing: <embed src=\"MRHeartBeat.wav\" autostart=\"true\" loop=\"true\" width=70 height=16></embed>";
    }
    else
    {
       echo "<TR><TD colSpan=2 class=pageheader><B>Full System Status: <FONT color=\"#229922\">Nominal</B></FONT></TD></TR>";
       echo "<TR><TD></TD><TR>";
       echo "<TR><TD>Test audio: <embed src=\"MRHeartBeat.wav\" autostart=\"false\" loop=\"true\" width=70 height=16></embed>";
    }
?>


<TR>
  <TD colSpan=2 class=pageheader><FONT color="#999999">Refreshes every 600 seconds, and quickly when in alarm.</FONT></TD>
</TR>
<TR>
  <TD colSpan=2 class=pageheader><FONT color="#999999">Please allow 2 minutes for alarm state to clear.</FONT></TD> 
</TR>


</TR>
</TABLE>

<div align="right"></div></TD>

</TR>


</TABLE>




</div>
<?php
    if ($total_alerts > 0) // ==
    {
       // CSS stops this from working correctly ... but, leavning it in
       echo "<BODY BGCOLOR=\"#FF4444\"></BODY>";
       
       // Refesh faster if there is a problem
       // This will over ride if the value is lower
       echo "<head>";
       echo "<meta http-equiv=\"refresh\" content=\"30\" />";
       echo "</head>";
    }
?>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2-wide">
<?php include("menusection.php"); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->
	
<!-- Footer standard -->
</div>	
</div>
<?php 
include($incPath."include/footer.php");
mysql_free_result($result);
?>
