<?php
/*
* TeleFlow Open Dictation
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Includes Section
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php');   
//require_once($websiteLibrary.'httpWorkUnit.php');


/**
 * User not logged in, redirect to main page
 * automatically.
 */
if(!$session->checkLogin())
{
   header("Location: ".$incPath."cr_main.php");
}

include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script type="text/javascript"> 
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

})
</script>  
<link href="dictation.css" rel="stylesheet" media="screen,,projection" title="default" type="text/css"  /> 
<?php
include($incPath."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Dictation</div></span></a>
</div>

<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-wide">

<table cellpadding="5" border="0">
<tbody>
<tr>
  <td>
	<?php echo(displayContainerOutline('<h2>Clients and Physicians Added</h2>'));?>
  </td>
</tr> 
</tbody>
</table>

<TABLE width="99%" border=0 cellPadding=5>

<?php
$SSAdv_colors1 = array("#EAF2F4","#FFFFFF");
$SSAdv_k1 = 0;
$SSAdv_m1 = 0;
$SSAdv_change_every1 = 1;
?>

<?php
// Clients 
$q =  "SELECT  "
     ."   client_name, "
     ."   client_dnis, "
     ."   client_create_date, "
     ."   client_create_time, "
     ."   client_status, "
     ."   curtime() servertime "
     ."FROM  "
     ."   dictate_client "
     ."ORDER BY   "
     ."   client_create_date DESC "
     ."LIMIT 3; "
     ."";
      
//echo $q."<br><br>";
$result = mysql_query($q) or die(mysql_error());

$row_resultList     = mysql_fetch_assoc($result);
$totalRows_result   = mysql_num_rows($result);

if(!$result || ($totalRows_result < 0))
{
   echo "ALARM Database Error - Contact Support Immediately!";
   return;
}
?>

<TR>
  <TD colSpan=2 class=pageheader><FONT color="#999999">Last refreshed at 
  <?php echo $row_resultList['servertime']; ?> Eastern</FONT>
  <BR />
  <BR/ >
  <B>Last three Clients added (top most recent):</B></TD>
</TR>

<TR>
  <td align=left vAlign=top>

	<TABLE width="500" border="0" cellspacing="0" cellpadding="0">
	<tr>
	  <td width="5%"  bgcolor="#697899"><span class="style4"># </span></td>
	  <td width="20%" bgcolor="#697899"><span class="style4">Client </span></td>
	  <td width="25%" bgcolor="#697899"><span class="style4">DNIS </span></td>
	  <td width="20%" bgcolor="#697899"><span class="style4">Create Date </span></td>
	  <td width="15%" bgcolor="#697899"><span class="style4">Time </span></td>
	  <td             bgcolor="#697899"><span class="style4">Status </span></td>
	</tr>

<?php 
$counter      = 1;

do 
{ 
   ?>
   <tr bgcolor="<?php
   if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0)
   {
     $SSAdv_k1++;
   }
   print $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
   $SSAdv_m1++;
   ?>" class="body">
		<td><?php echo $counter++; ?></td>
		<td><?php echo $row_resultList['client_name']; ?>&nbsp;</td>
		<td><?php echo $row_resultList['client_dnis']; ?>&nbsp;</td>
		<td><?php echo $row_resultList['client_create_date']; ?>&nbsp;</td>
		<td><?php echo $row_resultList['client_create_time']; ?>&nbsp;</td>
		<td>
   <?php 
     if (StrToUpper($row_resultList['client_status']) == "DISABLED")
     {
       echo "<FONT color=\"#AA2222\">Disabled</FONT>";
     }
     else
     {
       echo "<FONT color=\"#229922\">Enabled</FONT>";
     }
   ?>&nbsp;
		</td>
	</tr>
   <?php 
} while ($row_resultList = mysql_fetch_assoc($result)); 
  
// Clean up
mysql_free_result($result);
?>
	</TABLE>     
	</td>


<?php
// Physicians
$q =  "SELECT  "
     ."   dp_id, "
     ."   client_name, "
     ."   client_dnis, "
     ."   dictate_physician_id, "
     ."   concat( physician_last_name,', ', physician_first_name) fullname, "
     ."   physician_status "
     ."FROM  "
     ."   dictate_physician p,  "
     ."   dictate_client c "
     ."WHERE  "
     ."       p.dictate_client_id = c.dictate_client_id  "
     ."ORDER BY dp_id DESC "
     ."LIMIT 10 "
     ."";
     
//echo $q."<br><br>";
$result = mysql_query($q) or die(mysql_error());

$row_resultList     = mysql_fetch_assoc($result);
$totalRows_result   = mysql_num_rows($result);

if(!$result || ($totalRows_result < 0))
{
   echo "ALARM Database Error - Contact Support Immediately!";
   return;
}
?>
<TR>
  <TD colSpan=2 class=pageheader><B>Last ten Physicians added (top most recent):</B></TD>
</TR>

<TR>
  <td align=left vAlign=top>

   <TABLE width="500" border="0" cellspacing="0" cellpadding="0">
   <tr>
      <td width="5%"  bgcolor="#697899"><span class="style4"># </span></td>
      <td width="15%" bgcolor="#697899"><span class="style4">Client </span></td>
      <td width="20%" bgcolor="#697899"><span class="style4">DNIS </span></td>
      <td width="15%" bgcolor="#697899"><span class="style4">Phys ID </span></td>
      <td width="30%" bgcolor="#697899"><span class="style4">Name </span></td>
      <td             bgcolor="#697899"><span class="style4">Status </span></td>
   </tr>

<?php 
$counter      = 1;

do 
{ 
   ?>
   <tr bgcolor="<?php
   if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0)
   {
     $SSAdv_k1++;
   }
   print $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
   $SSAdv_m1++;
   ?>" class="body">
		<td><?php echo $counter++; ?></td>
		<td><?php echo $row_resultList['client_name']; ?>&nbsp;</td>
		<td><?php echo $row_resultList['client_dnis']; ?>&nbsp;</td>
		<td><?php echo $row_resultList['dictate_physician_id']; ?>&nbsp;</td>
		<td><?php echo $row_resultList['fullname']; ?>&nbsp;</td>
		<td>
   <?php 
     if (StrToUpper($row_resultList['physician_status']) == "DISABLED")
     {
       echo "<FONT color=\"#AA2222\">Disabled</FONT>";
     }
     else
     {
       echo "<FONT color=\"#229922\">Enabled</FONT>";
     }
   ?>&nbsp;
		</td>
	</tr>
   <?php 
} while ($row_resultList = mysql_fetch_assoc($result)); 
  
// Clean up
mysql_free_result($result);
?>	
	</TABLE>   
	</td>


<?php
if ($handle = opendir('log')) 
{
    $teleflowDate = Date("Y/m/d");
    $teleflowTime = Date("H:i:s");
         // yyyy/mm/dd ==> mm/dd/yyyy
    $webDate      = Date("m/d/Y");
    $SeekDate     = Date("Y-m-d");

    
    $list = array(); //initialise an Array variable
    $counter      = 0;
    /* This is the correct way to loop over the directory. */
    while (false !== ($file = readdir($handle))) 
    {
       // Do we have todays date in the list?
       $counter++;
       if (Stripos($file,$SeekDate) > 0 )
       {
          array_push($list, $file);
       }
    }
    closedir($handle);

    // Remove a couple for the . and .. dirs 
    $counter--;
    $counter--;

    ?>
    
    <TR>
      <TD colSpan=2 class=pageheader><B>Last five XML Requests / Responses today (top most recent):</B></TD>
    </TR>
    <TR>
      <TD colSpan=2><FONT SIZE=2><p2>Total XML files logged: <?php echo $counter ?></p2></FONT></TD>
    </TR>

    <TR>
      <td align=left vAlign=top>

       <TABLE width="500" border="0" cellspacing="0" cellpadding="0">
       <tr>
          <td width="5%"  bgcolor="#697899"><span class="style4"># </span></td>
          <td             bgcolor="#697899"><span class="style4">Request / Response  </span></td>
       </tr>

    <?php 
    /* This is the correct way to loop over the directory. */
    // If we have something
    if($list)
    {
     // Reverse sort 
     rsort($list);
      
     $counter      = 0;
     $countPair    = 0;
     while (($counter < 10) && ($list[$counter]))
     {
         ?>
         <tr bgcolor="<?php
         if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0)
         {
           $SSAdv_k1++;
         }
         print $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
         $SSAdv_m1++;
         ?>" class="body">
         
         <?php
         if (Stripos($list[$counter],"response") > 0 ) 
         {
            ?><td><?php echo ++$countPair ?></td>
            <td>Response: <a href="<?php echo "log/".$list[$counter]; ?>"><?php echo $list[$counter]; ?></a></td>
            <?php
         }
         else
         {
            ?><td></td>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;for Request: <a href="<?php echo "log/".$list[$counter]; ?>"><?php echo $list[$counter]; ?></a></td>
            <?php
         }
         ?>
         </tr><?php
         
         $counter++;
     }
    }
}
?>
	</TABLE>
	</td>
	
<br />


<TR>
  <TD colSpan=2 class=pageheader><FONT color="#999999">Refreshes every 5 minutes</FONT></TD> 
</TR>
</TR>
</TABLE>


</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2-wide">
<?php include("menusection.php"); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->
	
<!-- Footer standard -->
</div>	
</div>
<?php 
include($incPath."include/footer.php");
?>