<?php
/*
* TeleFlow Open Dictation
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Includes Section
// Includes Section
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php');   


/**
 * User not logged in, redirect to main page
 * automatically.
 */
if(!$session->checkLogin())
{
   header("Location: ".$incPath."cr_main.php");
}



function tfm_cleanOrderBy($theValue, $defaultSort) 
{
	if (preg_match("/^[\w,]{1,50}\s+(asc|desc)\s*$/i",$theValue, $matches)) 
	{
		return $matches[0];
	}
	return $defaultSort;
}
 

$tfm_orderby =(!isset($_GET["tfm_orderby"]))?"file_date DESC, file_time DESC":$_GET["tfm_orderby"];
$tfm_order =(!isset($_GET["tfm_order"]))?"ASC":$_GET["tfm_order"];
$sql_orderby = $tfm_orderby." ".$tfm_order;

//echo "<br>".$sql_orderby."<br><br>";
if ($sql_orderby == "file_date ASC")
{
	$sql_orderby = tfm_cleanOrderBy($sql_orderby, "file_date ASC, file_time ASC");
	$sql_orderby = $sql_orderby.", file_time ASC";
} 
else 
{
	$sql_orderby = tfm_cleanOrderBy($sql_orderby, "file_date DESC, file_time DESC");
	$sql_orderby = $sql_orderby.", file_date DESC, file_time DESC";
}
//echo "<br>".$sql_orderby."<br><br>";



// -------- Pagination for Reports ------------
// Note: Don't forget at the start of this program:  session_start(); 
// Was a page parameter passed
if (isset($_GET['page'])) 
{
	$pageLines  = (isset($_SESSION["pageLines"])) ? $_SESSION["pageLines"] : 0;
	$pageCurr   = (isset($_SESSION["pageCurr"]))  ? $_SESSION["pageCurr"]  : 0;
	$pageMax    = (isset($_SESSION["pageMax"]))   ? $_SESSION["pageMax"]   : 0;
	// Determine the new page to hit
	$pageCurr   = engRepPageSettings($_GET['page'], $pageCurr, $pageMax);
}
else
{
	// Go with new page
	$pageLines  = 1000;
	$pageCurr   = 0;
	$pageMax    = -1; // set with count   
}  
// -------- Pagination for Reports ------------


$SSAdv_colors1 = array("#EAF2F4","#FFFFFF");
$SSAdv_k1 = 0;
$SSAdv_m1 = 0;
$SSAdv_change_every1 = 1;

// Default to a x day(s) ago
$varstartdate = date('m/d/Y', strtotime('-2 day'));  // Two or three days should be enough
if (isset($_GET['startdate'])) 
{
	$varstartdate = (get_magic_quotes_gpc()) ? $_GET['startdate'] : addslashes($_GET['startdate']);
}

$varenddate = "";
if (isset($_GET['enddate'])) 
{
	$varenddate = (get_magic_quotes_gpc()) ? $_GET['enddate'] : addslashes($_GET['enddate']);
}

$searchenddate = "";
if (isset($_GET['searchenddate'])) 
{
	$searchenddate = (get_magic_quotes_gpc()) ? $_GET['searchenddate'] : addslashes($_GET['searchenddate']);
}

$varloaded = "";
if (isset($_GET['loaded'])) 
{
	$varloaded = (get_magic_quotes_gpc()) ? $_GET['loaded'] : addslashes($_GET['loaded']);
}


$mLastDate = $varenddate;
if ($mLastDate == '')
{
	$mLastDate = '99/99/9999';
}

$query_rsFileDate = sprintf(
"SELECT 
	MAX(d.call_start_date_web),
	MIN(d.call_start_date_web) 
FROM 
	dictate_call_log d
WHERE  
	d.call_start_date_web >= '$varstartdate' 
AND d.call_start_date_web <= '$mLastDate'");
	//echo ($query_rsFileDate); die;

$rsFileDate = mysql_query($query_rsFileDate) or die(mysql_error());
$row_rsFileDate = mysql_fetch_assoc($rsFileDate);
$totalRows_rsFileDate = mysql_num_rows($rsFileDate);

$searchenddate = $varenddate;
if ($searchenddate == "")  
{
	$searchenddate = ("99/99/9999"); 
}


if ($varloaded = "")  
{
	$varloaded = ("loaded"); 
	$query_rsSearchResultDate = "";
}  
else
{
	$query_fields = (    
"SELECT 
  * ");
	$query_from = (sprintf(
"FROM 
	dictate_file d,
	dictate_call_log l,
	filepath f 
WHERE 
	d.file_date >= CONCAT(SUBSTRING('%s',  7,4), '/', SUBSTRING('%s',  1,2),'/',SUBSTRING('%s',  4,2))
AND d.file_date <= CONCAT(SUBSTRING('%s',  7,4), '/', SUBSTRING('%s',  1,2),'/',SUBSTRING('%s',  4,2))
AND l.call_log_id  = d.call_log_id
AND f.filepath_id  = d.filepath_id
AND d.file_status_transcription = 'Deleted'
AND l.call_end_reason is null
ORDER BY d.file_id DESC", $varstartdate, $varstartdate, $varstartdate, $searchenddate, $searchenddate, $searchenddate));

    // Retrive for pagination style 
    $query_rsSearchResultDate =  $query_fields." ".$query_from.engRepLimit($pageCurr,$pageLines);
	$rsSearchResultDate = mysql_query($query_rsSearchResultDate) or die(mysql_error());
	$row_rsSearchResultDate = mysql_fetch_assoc($rsSearchResultDate);
	$totalRows_rsSearchResultDate = mysql_num_rows($rsSearchResultDate);

	// -------- Pagination for Reports ------------
	// Get the count if there is no page defined
	$pageMax = engRepPageMax($pageMax, $pageLines, $query_from, '');
}

// Save Session variables
$_SESSION["pageLines"] = $pageLines;
$_SESSION["pageCurr"]  = $pageCurr;
$_SESSION["pageMax"]   = $pageMax;
// From here for line number use: ($counter++)+engRepCounter()
//  engRepOptions();  for the |< < page of x > >| options
// -------- Pagination for Reports ------------


//sort column headers for rsSearchResultDate 
$tfm_saveParams = explode(",","startdate,enddate,loaded");
$tfm_keepParams = "";
if($tfm_order == "ASC") 
{
	$tfm_order = "DESC";
}
else
{
	$tfm_order = "ASC";
}

while (list($key,$val) = each($tfm_saveParams)) 
{
	if(isset($_GET[$val]))$tfm_keepParams .= ($val)."=".urlencode($_GET[$val])."&";	
	if(isset($_POST[$val]))$tfm_keepParams .= ($val)."=".urlencode($_POST[$val])."&";
}
$tfm_orderbyURL = $_SERVER["PHP_SELF"]."?".$tfm_keepParams."tfm_order=".$tfm_order."&tfm_orderby=";

?>
<?php
include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script type="text/javascript"> 
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

})
</script>  
<link href="dictation.css" rel="stylesheet" media="screen,,projection" title="default" type="text/css"  /> 
<?php
include($incPath."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Dictation</div></span></a>
</div>

<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-wide">

<table cellpadding="5" border="0">
<tbody>
<tr>
  <td>
	<?php echo(displayContainerOutline('<h2>Recordings Improperly Exited</h2>'));?>
  </td>
</tr> 
</tbody>
</table>

	    <table width="98%" border="0" cellpadding="5">
	      <tr>
	        <td align="left" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td>&nbsp;</td>
                </tr>
                <tr>
                  <td><form method="GET" name="form1" id="form1">
                      <table width="500" border="0" cellspacing="0" cellpadding="2">
                        <tr class="body">
                          <td width="29%">Select date range:</td>
                          <td width="11%">start:</td>
                          <td width="27%"><span class="bodytextBOLD">
                            <input name="startdate" type="text" id="startdate" value="<?php echo $varstartdate; ?>" size="8" />
                            <img src='../images/calendar.gif' border='0' align='top' onclick="displayDatePicker('startdate','','mdy');">
                          </span></td>
                          <td colspan="2">- Choose start date range <a target="_blank"></a></td>
                        </tr>
                        <tr>
                          <td>&nbsp;</td>
                          <td>end:</td>
                          <td><span class="bodytextBOLD">
                            <input name="enddate" type="text" id="enddate" value="<?php echo $varenddate; ?>" size="8" />
                            <img src='../images/calendar.gif' border='0' align='top' onclick="displayDatePicker('enddate','','mdy');">
                          </span></td>
                          <td colspan="2">- Choose end date range</td>
                        </tr>
                        <tr>
                          <td>&nbsp;</td>
                          <td>&nbsp;</td>
                          <td>&nbsp;</td>
                          <td width="15%">&nbsp;</td>
                          <td width="18%">&nbsp;</td>
                        </tr>
                        <tr>
                          <td>&nbsp;</td>
                          <td colspan="2">&nbsp;</td>
                          <td>&nbsp;</td>
                          <td><input type="submit" name="Submit" value="Get Report" /></td>
                        </tr>
                        <tr>
                          <td colspan="3"><b>Note:</b> This report provides file command listings for recordings that were not properly ended.  Only files that are two hours or older will be listed, and will only occur if there was an application error.</td>
                          <td>&nbsp;</td>
                          <td>&nbsp;</td>
                        </tr>
                      </table>
                  </form></td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
		
	    <table width="100%" border="0" cellpadding="3" cellspacing="2">
		  <tr>
			<td colspan="6" class="style6"><input name="loaded" type="hidden" id="loaded" value="<?php echo $varloaded; ?>" /><?php echo $varloaded; ?></td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
		  </tr>
		  <tr>
			<td colspan="6" ><?php engRepOptions(); ?>&nbsp;</td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
			<td>&nbsp;</td>
		  </tr>
		  
		  <tr>        
			<td colspan="10" bgcolor="#29386B"><span class="style13">Recovery Command </span></td>
		  </tr>

        
<?php 
  $counter = 1; 
  $lastId = $row_rsSearchResultDate['file_id'] + 1;
  
  ?>
  <?php do { ?>
<tr class="body">
    <?php 
    // Set the color for the row
    $rowColor = 'bgcolor="#E1E1E1"';
    if ($row_rsSearchResultDate['file_status_transcription'] == 'Deleted')
    {
       $rowColor = 'bgcolor="#A1A1A1"';
    }
       
    if ($totalRows_rsSearchResultDate > 0) 
    { 
      // Show if recordset not empty 

      // Get the download reference       
      $mMessageFile = $row_rsSearchResultDate['dir_loc'].$row_rsSearchResultDate['file_name'];
      // Determine if we should create a link depending on the web upload code
      /*
      if (file_exists($mMessageFile))
      { 
         // Add the download reference 
         $mWavDL   = "&nbsp;<a href=\"".$mMessageFile."\" class=\"style10\">Download</a>";
         $mWavSize = filesize($mMessageFile);
         $mTimeLen = round($mWavSize / $vmailWavBytes); // approximate bytes per second of recording time
         if ($mTimeLen < 60)
         {
            $mTimeDef = "&nbsp;&nbsp;".$mTimeLen." seconds<br>";
         }
         elseif ($mTimeLen < 120)
         {
            $mTimeDef = "&nbsp;&nbsp;> ".round($mTimeLen/60)." minute<br>";
         }
         else
         {
            $mTimeDef = "&nbsp;&nbsp;> ".round($mTimeLen/60)." minutes<br>";
         }
         $mWavLink = "<a href=\"".$mMessageFile."\"".
                     " class=\"style10\">Download</a>";      
      } 
      else
      {
         // There is not a download link... just display as text
         //$mWavLink = "<font color=#555555>".$row_rsSearchResultDate['file_name']."</font>";
         $mTimeDef = "No Recording";
         $mWavLink = "<font color=#555555".
    	                " class=\"style10\">N/A</font>";
         $mWavLink = "<a href=\"".$mMessageFile."\"".
                     " class=\"style10\">N/A</a>";      
         // Testing: $mWavLink = "<button type=\"button\" onclick=\"return playWav('".$mMessageFile."',".$row_rsSearchResultDate['MSG_ID'].",".$mStsDivName.");\">Play</button>".$mWavDL;
      }
           */
      
      // Override our display
      if (1 == 0) {      
      ?>
      <td width="3%" valign="top" <?php echo $rowColor?>><?php echo ($counter++)+engRepCounter(); ?></td>
      <td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['file_id']; ?></td>
      <td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['call_dnis']; ?></td>
      <td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['dictate_physician_id']; ?></td>
      <td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['file_date']; ?></td>
      <td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['file_time']; ?></td>
      <td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['file_conf_num'] ?></td>
      <td valign="top" <?php echo $rowColor?>><div align="left"><?php echo $mTimeDef; ?></div></td>
      <td valign="top" <?php echo $rowColor?>><div align="left"><?php echo $mWavLink; ?></div></td>
      <?php
      }
      else
      {
      ?>
      <?php engRepCounter();
      
      // Only check for files more than two hours old
      if (($row_rsSearchResultDate['file_date'] == date('Y/m/d')) and   
          ($row_rsSearchResultDate['file_time'] > strftime("%H:%M:%S", time()-3600*5)))  // @@@ Need local timezone to be accommodated here
      {
         $mMessageFile = 'Rem - Recording is in progress for '.$row_rsSearchResultDate['call_dnis'].' (Not a problem)';
      }
      else      
      {
         // These could very well be a problem
         $mMessageSend = str_ireplace('_orig','',$row_rsSearchResultDate['file_name']);
         $mMessageFile = "copy vmail\\Volume0000000001\\".$row_rsSearchResultDate['file_name']." \\send\\".$mMessageSend;
      }


      ?>
      <td colspan="10" valign="top" <?php echo $rowColor?>><div align="left"><?php echo $mMessageFile; ?></div></td>
      <?php
      }
      
      
      // Check for catch problems
      $catchErr = '';
      if ($lastId-1 <> $row_rsSearchResultDate['file_id'] )
      {
         $catchErr = 'SYNC ERROR'.' ';
      }
      if (($row_rsSearchResultDate['file_status_transcription'] <> 'Uploaded') and
          ($row_rsSearchResultDate['file_status_transcription'] <> 'Deleted'))
      {
         $catchErr .= '+ Work';
      }
      
      // Draw if needed
      if ($catchErr <> '') 
      {
         if ($catchErr == 'SYNC ERROR')
         {
            $rowColor = 'bgcolor="#F19191"';
         }
         else
         {
            $rowColor = 'bgcolor="#A1F1F1"';
         }
         //echo ('<td valign="top" '.$rowColor.'>'.$catchErr.'</td>');
      }
      
      // For next check
      $lastId = $row_rsSearchResultDate['file_id'];
      
    } // Show if recordset not empty ?>
    <?php } while ($row_rsSearchResultDate = mysql_fetch_assoc($rsSearchResultDate)); ?></tr>

    
      <tr>
        <?php if ($totalRows_rsSearchResultDate == 0) { // Show if recordset empty ?>
          <td colspan="5">No Results Found </td>
          <td></td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td width="38%">&nbsp;</td>
          <?php } // Show if recordset empty ?></tr>
        <td colspan="5" ><?php engRepOptions(); ?>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        </tr>
          
    </table>
	
</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2-wide">
<?php include("menusection.php"); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->
	
<!-- Footer standard -->
</div>	
</div>
<?php 
include($incPath."include/footer.php");
mysql_free_result($rsFileDate);
mysql_free_result($rsSearchResultDate);
?>
