<?php
/*
* TeleFlow Open Dictation
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Includes Section
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php');   
//require_once($websiteLibrary.'httpWorkUnit.php');


/**
 * User not logged in, redirect to main page
 * automatically.
 */
if(!$session->checkLogin())
{
   header("Location: ".$incPath."cr_main.php");
}

 

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "form1")) 
{
	$updateSQL = sprintf("UPDATE dictate_client SET client_name=%s,client_needs_record=%s, client_requires_mrn=%s, client_report_digits=%s, client_no_action_timeout=%s WHERE dictate_client_id=%s",
					   GetSQLValueString($_POST['client_name'], "text"),
					   GetSQLValueString(isset($_POST['checkbox']) ? "true" : "", "defined","'Y'","'N'"),
					   GetSQLValueString(isset($_POST['client_requires_mrn']) ? "true" : "", "defined","'Y'","'N'"),
					   GetSQLValueString($_POST['report_type'], "text"),
					   GetSQLValueString($_POST['client_no_action_timeout'], "int"),
					   // where ...
					   GetSQLValueString($_POST['dictate_client_id'], "int"));

	$Result1 = mysql_query($updateSQL) or die(mysql_error());

	$updateGoTo = "clients.php";
	if (isset($_SERVER['QUERY_STRING'])) {
	$updateGoTo .= (strpos($updateGoTo, '?')) ? "&" : "?";
	$updateGoTo .= $_SERVER['QUERY_STRING'];
	}
	header(sprintf("Location: %s", $updateGoTo));
}

$SSAdv_colors1 = array("#EAF2F4","#FFFFFF");
$SSAdv_k1 = 0;
$SSAdv_m1 = 0;
$SSAdv_change_every1 = 1;


$urlValue_rsClientUpdate = "0";
if (isset($_GET['dictate_client_id'])) 
{
  $urlValue_rsClientUpdate = (get_magic_quotes_gpc()) ? $_GET['dictate_client_id'] : addslashes($_GET['dictate_client_id']);
}

$query_rsClientUpdate = sprintf(
"SELECT * 
FROM 
	dictate_client 
WHERE 
	dictate_client_id = %s", 
GetSQLValueString($urlValue_rsClientUpdate, "int"));

$rsClientUpdate = mysql_query($query_rsClientUpdate) or die(mysql_error());
$row_rsClientUpdate = mysql_fetch_assoc($rsClientUpdate);
$totalRows_rsClientUpdate = mysql_num_rows($rsClientUpdate);

$colname_rsPhysicianList = "-1";
if (isset($_GET['dictate_client_id'])) {
  $colname_rsPhysicianList = (get_magic_quotes_gpc()) ? $_GET['dictate_client_id'] : addslashes($_GET['dictate_client_id']);
}

//$query_rsPhysicianList = sprintf("SELECT * FROM dictate_physician WHERE dictate_client_id = %s ORDER BY physician_last_name ASC", GetSQLValueString($colname_rsPhysicianList, "int"));
$query_rsPhysicianList = sprintf("SELECT * FROM dictate_physician p, ivrconfig i WHERE p.dictate_client_id = %s and physician_status = 'Enabled' ORDER BY p.physician_last_name ASC", GetSQLValueString($colname_rsPhysicianList, "int"));
$rsPhysicianList = mysql_query($query_rsPhysicianList) or die(mysql_error());
$row_rsPhysicianList = mysql_fetch_assoc($rsPhysicianList);
$totalRows_rsPhysicianList = mysql_num_rows($rsPhysicianList);
?>
<?php
include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script type="text/javascript"> 
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

})
</script>  
<link href="dictation.css" rel="stylesheet" media="screen,,projection" title="default" type="text/css"  /> 
<?php
include($incPath."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Dictation</div></span></a>
</div>

<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-wide">

<table cellpadding="5" border="0">
<tbody>
<tr>
  <td>
	<?php echo(displayContainerOutline('<h2>Modify Client Details</h2>'));?>
  </td>
</tr> 
</tbody>
</table>


<TABLE width="99%" border=0 cellPadding=5>
<TBODY>

<TD align=left vAlign=top><table width="100%" border="0" cellspacing="0" cellpadding="0">

    <tr>
      <td><form id="form1" name="form1" method="POST" action="<?php echo $editFormAction; ?>">
	  <table width="85%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="18%">Client ID:</td>
          <td width="26%">
		  
            <label>
            <input name="client_name" type="text" id="client_name" value="<?php echo $row_rsClientUpdate['client_name']; ?>" size="25" />
              </label>          </td>
          <td width="56%">- Name of the Client </td>
        </tr>
        <tr>
          <td><p>DNIS:</p></td>
          <td><?php echo $row_rsClientUpdate['client_dnis']; ?></td>
          <td>- Calling phone number </td>
        </tr>
        <tr>
          <td>Record:</td>
          <td><label>
            <input <?php if (!(strcmp($row_rsClientUpdate['client_needs_record'],"Y"))) {echo "checked=\"checked\"";} ?> type="checkbox" name="checkbox" value="Y" />
          </label></td>
          <td>- Check for recording </td>
        </tr>
        <tr>
          <td>Report Type: </td>
          <td>
          <label><input <?php if (!(strcmp($row_rsClientUpdate['client_report_digits'],"0"))) {echo "checked=\"checked\"";} ?> name="report_type" type="radio" value="0" />
          0</label>
          <label><input <?php if (!(strcmp($row_rsClientUpdate['client_report_digits'],"1"))) {echo "checked=\"checked\"";} ?> name="report_type" type="radio" value="1" /> 
          1</label>
          <label><input <?php if (!(strcmp($row_rsClientUpdate['client_report_digits'],"2"))) {echo "checked=\"checked\"";} ?> name="report_type" type="radio" value="2" /> 
          2</label>
          <label><input <?php if (!(strcmp($row_rsClientUpdate['client_report_digits'],"3"))) {echo "checked=\"checked\"";} ?> name="report_type" type="radio" value="3" /> 
          3</label>
          </td>
          <td>- Number of report type digits</td>
        </tr>
        <tr>
          <td>Chart Number: </td>
          <td><label>
            <input <?php if (!(strcmp($row_rsClientUpdate['client_requires_mrn'],"Y"))) {echo "checked=\"checked\"";} ?> name="client_requires_mrn" type="checkbox" id="client_requires_mrn" value="Y" />
          </label></td>
          <td>- Check to prompt for chart number </td>
        </tr>
        <tr>
          <td>Timeout:</td>
          <td><input name="client_no_action_timeout" type="text" id="client_no_action_timeout" value="<?php echo $row_rsClientUpdate['client_no_action_timeout']; ?>" size="25" /></td>
          <td>- No command dictation timeout (in minutes)</td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <tr>
          <td><input name="dictate_client_id" type="hidden" id="dictate_client_id" value="<?php echo $urlValue_rsClientUpdate; ?>" /></td>
          <td>&nbsp;</td>
          <td><label>
            <input type="submit" name="Submit" value="Modify Details" />
          </label></td>
        </tr>
      </table>
      <input type="hidden" name="MM_update" value="form1">
      </form></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td class="pageheader">Physicians registered for '<?php echo $row_rsClientUpdate['client_name']; ?>':</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
    </tr>
    <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="24%" bgcolor="#29386B"><span class="style4">Last Name </span></td>
        <td width="21%" bgcolor="#29386B"><span class="style4">First Name </span></td>
        <td width="29%" bgcolor="#29386B"><span class="style4">Physician ID </span></td>
        <td width="20%" bgcolor="#29386B"><span class="style4">File Link </span></td>
      </tr>

<?php do { ?>
		<tr bgcolor="<?php
if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0){
$SSAdv_k1++;
}
print $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
$SSAdv_m1++;
?>" class="body">
 <td><a href="updatephysician.php?dp_id=<?php echo $row_rsPhysicianList['dp_id']; ?>"><?php echo $row_rsPhysicianList['physician_last_name']; ?></a></td>
    <td><?php echo $row_rsPhysicianList['physician_first_name']; ?></td>
    <td><?php echo $row_rsPhysicianList['dictate_physician_id']; ?></td>
    <td><a href="<?php echo $row_rsPhysicianList['name_web_dir_loc']; ?><?php echo $row_rsPhysicianList['physician_name_file']; ?>">Physician Name WAV </a></td>
    <?php } while ($row_rsPhysicianList = mysql_fetch_assoc($rsPhysicianList)); ?></tr>
      <tr>
        <td>&nbsp;</td>
        <td></td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>      
      <p>&nbsp;</p>
      <p>&nbsp;</p>
      <p>&nbsp;</p>
      <p>&nbsp;</p>
      <p>&nbsp;</p></td>
  </tr>
</table>
  <div align="right"></div></TD>
</TR></TBODY></TABLE>


</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2-wide">
<?php include("menusection.php"); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->
	
<!-- Footer standard -->
</div>	
</div>
<?php 
include($incPath."include/footer.php");
mysql_free_result($rsClientUpdate);
mysql_free_result($rsPhysicianList);
?>
