<?php
/*
* TeleFlow Open Dictation
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Includes Section
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php');   
//require_once($websiteLibrary.'httpWorkUnit.php');


/**
 * User not logged in, redirect to main page
 * automatically.
 */
if(!$session->checkLogin())
{
   header("Location: ".$incPath."cr_main.php");
}


$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "form1")) 
{
	$updateSQL = sprintf("UPDATE dictate_physician SET physician_last_name=%s, physician_first_name=%s, physician_needs_record=%s WHERE dp_id=%s",
					   GetSQLValueString($_POST['physician_last_name'], "text"),
					   GetSQLValueString($_POST['physician_first_name'], "text"),
					   GetSQLValueString(isset($_POST['physician_needs_record']) ? "true" : "", "defined","'Y'","'N'"),
					   // Where ...
					   GetSQLValueString($_POST['dp_id'], "int"));

	$Result1 = mysql_query($updateSQL) or die(mysql_error());

	$updateGoTo = "updateclient.php?dictate_client_id=".$_POST['dictate_client_id'];  //"physicians.php";

	header(sprintf("Location: %s", $updateGoTo));
}

$SSAdv_colors1 = array("#EAF2F4","#FFFFFF");
$SSAdv_k1 = 0;
$SSAdv_m1 = 0;
$SSAdv_change_every1 = 1;

$urlValue_rsPhysicianUpdate = "0";
if (isset($_GET['dp_id'])) {
  $urlValue_rsPhysicianUpdate = (get_magic_quotes_gpc()) ? $_GET['dp_id'] : addslashes($_GET['dp_id']);
}


$query_rsPhysicianUpdate = sprintf(
"SELECT 
	* 
FROM 
	dictate_client a, 
	dictate_physician p 
WHERE 
	a.dictate_client_id = p.dictate_client_id 
AND p.dp_id = %s", 
	GetSQLValueString($urlValue_rsPhysicianUpdate, "int"));
	
$rsPhysicianUpdate = mysql_query($query_rsPhysicianUpdate) or die(mysql_error());
$row_rsPhysicianUpdate = mysql_fetch_assoc($rsPhysicianUpdate);
$totalRows_rsPhysicianUpdate = mysql_num_rows($rsPhysicianUpdate);
?>
<?php
include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script type="text/javascript"> 
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

})
</script>  
<link href="dictation.css" rel="stylesheet" media="screen,,projection" title="default" type="text/css"  /> 
<?php
include($incPath."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Dictation</div></span></a>
</div>

<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-wide">

<table cellpadding="5" border="0">
<tbody>
<tr>
  <td>
	<?php echo(displayContainerOutline('<h2>Modify Physician Details</h2>'));?>
  </td>
</tr> 
</tbody>
</table>


<TABLE width="99%" border=0 cellPadding=5>
<TBODY>

<TD align=left vAlign=top><table width="100%" border="0" cellspacing="0" cellpadding="0">

    <tr>
      <td><form action="<?php echo $editFormAction; ?>" id="form1" name="form1" method="POST">
	  <table width="80%" border="0" cellspacing="2" cellpadding="0">
        <tr>
          <td width="18%" valign="middle">Last Name:</td>
          <td width="25%" valign="middle">
		  
            <label>
            <input name="physician_last_name" type="text" id="physician_last_name" value="<?php echo $row_rsPhysicianUpdate['physician_last_name']; ?>" size="25" />
              </label>          </td>
          <td width="57%" valign="middle">- Last name of Physician </td>
        </tr>
        <tr>
          <td valign="middle"><p>First Name:</p></td>
          <td valign="middle"><label>
            <input name="physician_first_name" type="text" id="physician_first_name" value="<?php echo $row_rsPhysicianUpdate['physician_first_name']; ?>" size="25" />
          </label></td>
          <td valign="middle">- First name of Physician </td>
        </tr>
        <tr>
          <td valign="middle">Physician ID: </td>
          <td valign="middle"><?php echo $row_rsPhysicianUpdate['dictate_physician_id']; ?></td>
          <td valign="middle">- Unique ID number </td>
        </tr>
        <tr>
          <td valign="middle">Client ID:</td>
          <td valign="middle"><?php echo $row_rsPhysicianUpdate['client_name']; ?></td>
          <td valign="middle">- Client name that Physician is registered to </td>
        </tr>
        <tr>
          <td valign="middle">DNIS:</td>
          <td valign="middle"><label><?php echo $row_rsPhysicianUpdate['client_dnis']; ?></label></td>
          <td valign="middle">- Client DNIS </td>
        </tr>
        <tr>
          <!--<td valign="middle">Status:</td>
          <td valign="middle"><label>
            <input name="physician_status" type="radio" value="Enabled" checked="checked" />
            Enabled&nbsp; 
            <input name="physician_status" type="radio" value="Disabled" />
          Disabled</label></td>
          <td valign="middle">- Status of Physician </td>-->
        </tr>
        <tr>
          <td valign="middle">Record:</td>
          <td valign="middle"><label>
            <input name="physician_needs_record" type="checkbox" id="physician_needs_record" value="Y" <?php if (!(strcmp($row_rsPhysicianUpdate['physician_needs_record'],"Y"))) {echo "checked=\"checked\"";} ?> />
          </label></td>
          <td valign="middle">- Check for announcement recording </td>
        </tr>
        <tr>
          <td valign="middle">&nbsp;</td>
          <td valign="middle">&nbsp;</td>
          <td valign="middle">&nbsp;</td>
        </tr>
        <tr>
          <td valign="middle"><input name="dp_id" type="hidden" id="dp_id" value="<?php echo $urlValue_rsPhysicianUpdate; ?>" /></td>
          <td valign="middle"><input name="dictate_client_id" type="hidden" id="dictate_client_id" value="<?php echo $row_rsPhysicianUpdate['dictate_client_id']; ?>" />&nbsp;</td>
          <td valign="middle"><label>
            <input type="submit" name="Submit" value="Modify Details" />
          </label></td>
        </tr>
      </table>
      
      <input type="hidden" name="MM_update" value="form1">
      </form></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td>&nbsp;</td>
    </tr>
</table>
  <div align="right"></div></TD>
</TR></TBODY></TABLE>


</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2-wide">
<?php include("menusection.php"); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->
	
<!-- Footer standard -->
</div>	
</div>
<?php 
include($incPath."include/footer.php");
mysql_free_result($rsPhysicianUpdate);
?>
