<?php
/*
* xml_teleflow.php
*
* Copyright (C) 2009 connectrelay
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/


// Headers must be provided here, as this is a non-GUI application, and will only be returning XML (or text) 
header('Content-Type: text/xml');
header("Cache-Control: no-cache, must-revalidate");
//A date in the past
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

//  Start like any other program
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath.$sessionphp);
 
 
require_once($websiteLibrary.'calcWorkUnit.php');   
require_once($websiteLibrary.'httpWorkUnit.php');

require_once($websiteLibrary.'teleflow-library.php'); 



// Tables used in this system
define("TABLE_EVENTLOG",  'event_log'); 

/////////////////////////// CMD FUNCTIONS ///////////////////////////////
// NOTE: This is a holder for the functions that are referenced in body
include('xml_teleflow_functions.php');
///////////////////////////CMD FUNCTIONS ///////////////////////////////

/////////////////////////// MAIN ///////////////////////////////
// NOTE: This section is where data is passed. 
// Get the full request for POST
$data         = file_get_contents("php://input");

/////////////////////////// CMD BODY ///////////////////////////////
// NOTE: This section works with the value in $data
include('xml_teleflow_body.php');
/////////////////////////// CMD BODY ///////////////////////////////


/////////////////////////// FINAL ///////////////////////////////
// NOTE: Determine what to return (see Body for values)
// Return results
echo '<?xml version="1.0" encoding="ISO-8859-1"?>';
// Displays out to the screen
echo $domobject->saveHTML();   
?>