<?php
// Responses provided by the PHP program
$responsecode = "";


// Date and Time defaults
$teleflowDate = Date("Y/m/d");
$teleflowTime = Date("H:i:s");
     // yyyy/mm/dd ==> mm/dd/yyyy
$webDate      = Date("m/d/Y");


//echo("<BR><BR>".$data."<BR><BR>");
decho("STARTED at ".teleflowNowDate()." ".teleflowNowTime()." (".$webDate.")<BR>");

// Set up file names
$stmp        = date("Y-m-d_H-i-s");
$fold        = "log/";
// Create the log folder
if (!is_dir($fold))
{
    mkdir($fold);
}
$reqf  = $fold.$cSysName."_".$stmp."_request.xml";
$resf  = $fold.$cSysName."_".$stmp."_response.xml";


// Assume an XML document, and process...
$doc = new DOMDocument();

$request_Command = '';
// Did the user actually send a request?
if ($data <> '')
{
   $doc->loadXML($data);
   // save it for later review
   //$doc->save($reqf);

   // XML Command request
   // -- Find out what the command is (Must be a REQUEST)
   $theFile = $doc->getElementsByTagName('REQUEST')->item(0);

   if ($theFile->hasAttribute('action'))
   {
      $request_Command = $theFile->getAttribute('action');
   }
}

// Create the Result XML document
$domobject = new DOMDocument('1.0', 'utf-8');

// Wrap the request
$elementHolder  = $domobject->createElement("RESPONSE", "");
$elementHolder->setAttribute("action", "Invalid"); 
// Default 

$error   = 'ERROR';
$success = 'SUCCESS';
// Types --
$db      = 'DB';
$cmd     = 'CMD';

// Review the requested Command
if ($request_Command <> "") 
{
	// See if we can select the database
	$db_selected2 = mysql_select_db($db2);  
	if (!$db_selected2)
	{
		$responsecode = "Failed to Connect to Database";
		$elementHolder->setAttribute("action", $request_Command); 
		$elementHolder->setAttribute("result", $error); 
		$elementHolder->setAttribute("type",   $db); 
		// Add verbose TEST 
		$elementHolder->appendChild($domobject->createTextNode($responsecode));
	}
	else
	{
   
      /////////////////////////////////////////////////////////
      if ($request_Command == "Hello")
      /////////////////////////////////////////////////////////
      {
		$responsecode = "Hi back: Database is up. We are here to serve";
				
		$elementSuccess  = $domobject->createElement("SUCCESS");
		$elementSuccess->setAttribute("action", $request_Command); 
		$elementSuccess->setAttribute("result", $success); 
		$elementSuccess->setAttribute("type",   $db); 
		// Add verbose TEST 
		$elementSuccess->appendChild($domobject->createTextNode($responsecode));
		// Add to the complete list
		$elementHolder->appendChild($elementSuccess);		
		
      }


      /////////////////////////////////////////////////////////
      else if ($request_Command == "LogEvent")
      /////////////////////////////////////////////////////////
      {
		$responsecode = "Response";
		$elementHolder->setAttribute("action", $request_Command); 
		// See if the table exists
		$q = "SHOW TABLES LIKE 'event_log'";
		$result = mysql_query($q);
		$row=mysql_fetch_array($result);
		if ($row == FALSE)
		{
			// Create the table
			$qCreate = TableCreate_Event_Log();
			$result = mysql_query($qCreate);
			// What happened?
			if ($result == FALSE) 
			{
				$responsecode = "Failed to Create Table";
				$elementHolder->setAttribute("action", $request_Command); 
				$elementHolder->setAttribute("result", $error); 
				$elementHolder->setAttribute("type",   $db); 
				// Add verbose TEST 
				$elementHolder->appendChild($domobject->createTextNode($responsecode));
			} 
		}
		
		
		// If we are good to go,
		if ($result)
		{
			// If there is missing info, set it up
			$log_date      = GetNonEmptyValue($theFile->getAttribute('log_date'), teleflowNowDate());
			$log_time      = GetNonEmptyValue($theFile->getAttribute('log_time'), teleflowNowTime());
			$evt_port      = GetNonEmptyValue($theFile->getAttribute('evt_port'), -1);
			$log_version   = '400';
			// evt_code here
			$call_start    = GetNonEmptyValue($theFile->getAttribute('call_start'),  -1);
			$call_elapse   = GetNonEmptyValue($theFile->getAttribute('call_elapse'), -1);
			
			// Log the entry
			$qInsert = "			
INSERT INTO event_log
   (evt_date,
    evt_time,
    evt_port,
    log_format_version,
    evt_code,
    evt_start,
    call_duration,
    logging_app,
    site_code,
    region_code,
    evt_type,
    evt_data1,
    evt_data2,
    evt_data3
	)
VALUES
    ('".$log_date."',
     '".$log_time."',
      ".$evt_port.",
     '".$log_version."',
     '".$theFile->getAttribute('evt_code')."',
      ".$call_start .",
      ".$call_elapse.",
     '".$theFile->getAttribute('tf_app')."',
     '".$theFile->getAttribute('site_code')."',
     '".$theFile->getAttribute('region_code')."',
     '".$theFile->getAttribute('evt_type')."',
     '".$theFile->getAttribute('evt_data1')."',
     '".$theFile->getAttribute('evt_data2')."',
     '".$theFile->getAttribute('evt_data3')."'
	)";

			$result = mysql_query($qInsert);
			//echo($qInsert);
			// What happened?
			if ($result == FALSE) 
			{
				$responsecode = "Failed to Insert Record";
				$elementHolder->setAttribute("action", $request_Command); 
				$elementHolder->setAttribute("result", $error); 
				$elementHolder->setAttribute("type",   $db); 
				// Add verbose TEST 
				$elementHolder->appendChild($domobject->createTextNode($responsecode));
				// If debug
				if ($OutPutMode)
				{
					$elementHolder->appendChild($domobject->createElement("DEBUG", $qInsert));			
				}				
			} 
			else
			{
				//  SUCCESSFULLY Inserted log data
				$elementHolder->setAttribute("action", $request_Command); 
				$elementHolder->setAttribute("result", $success); 
				$elementHolder->setAttribute("type",   $db); 
			}
		}
      }

	  
      /////////////////////////////////////////////////////////
      if ($request_Command == "GetEmployeeJobs")
      /////////////////////////////////////////////////////////
      {	
		$responsecode = "Response";
		$elementHolder->setAttribute("action", $request_Command); 

		// See if the user exists
		if (($theFile->hasAttribute('employeeid'))
		&&  ($theFile->getAttribute('employeeid') <> ''))
		{
			$request_EmployeeId = $theFile->getAttribute('employeeid');

			// See if the table exists
			$q = "
SELECT 
   fullname,
   firstname,
   lastname,
   supernum,
   b.job_cd     job_cd,
   b.job_desc   job_desc,
   a.dept_num   dept_num,
   a.division   division,
   a.location   location,
   c.dept_name  dept_name,
   c.org_name   org_name
FROM  
   sr_employee a,
   sr_jobcode b,
   sr_department c
WHERE
    empnum = ".$request_EmployeeId."
and b.job_cd = a.job_cd
and c.department_cd = a.dept_num
and c.location_cd = a.location";

			//echo ($q);
			$result = mysql_query($q);
			$row=mysql_fetch_array($result);
			if ($row == TRUE)
			{
				// Have the data, now respond
				$elementHolder->setAttribute("action", $request_Command); 
				$elementHolder->setAttribute("result", $success); 
				$elementHolder->setAttribute("type",   $db); 
				
				// Add header information to the wrapper
				$elementHolder->setAttribute("fullname",    $row['fullname']);
				$elementHolder->setAttribute("firstname",   $row['firstname']);
				$elementHolder->setAttribute("lastname",    $row['lastname']);
				$elementHolder->setAttribute("supernum",    $row['supernum']);
				
				$totalJobs = 0;
				// Now add each job as an element
				do {
					$totalJobs = $totalJobs + 1;
					$single = $row;
					$elementResult  = $domobject->createElement("EMPLOYEEJOB", $single['job_desc']);
					
					// Add the fields from the database
					$elementResult->setAttribute("count",        $totalJobs);
					$elementResult->setAttribute("job_cd",       $single['job_cd']);
					//$elementResult->setAttribute("job_desc",    $single['job_desc']);
					$elementResult->setAttribute("dept_num",     $single['dept_num']);
					$elementResult->setAttribute("division",     $single['division']);
					$elementResult->setAttribute("location",     $single['location']);
					$elementResult->setAttribute("dept_name",    $single['dept_name']);
					$elementResult->setAttribute("org_name",     $single['org_name']);
					$elementResult->setAttribute("position_name",$single['job_desc']);
					
					$elementHolder->appendChild($elementResult);					
				} while ($row = mysql_fetch_array($result));
				
				
				// Add an attribute for the total jobs found
				$elementHolder->setAttribute("jobtotal",  $totalJobs);
			}
			else
			{
				$responsecode = "EmployeeID not Found";
				$elementHolder->setAttribute("action", $request_Command); 
				$elementHolder->setAttribute("result", $error); 
				$elementHolder->setAttribute("type",   $db); 
				// Add verbose TEST 
				$elementHolder->appendChild($domobject->createTextNode($responsecode));
			}
			
		}
		else
		{
			$result = FALSE;
			
			$responsecode = "EmployeeID not Defined";
			$elementHolder->setAttribute("action", $request_Command); 
			$elementHolder->setAttribute("result", $error); 
			$elementHolder->setAttribute("type",   $db); 
			// Add verbose TEST 
			$elementHolder->appendChild($domobject->createTextNode($responsecode));
		}
      }

      /////////////////////////////////////////////////////////
      else
      /////////////////////////////////////////////////////////
      {
        decho("BAD COMMAND<BR>");
        $elementHolder->setAttribute("action", $request_Command);
        // Final results
        $responsecode = "ERROR: Unknown Command";
        $elementResult  = $domobject->createElement("RESULT", $responsecode);
      }
   }
}
else
{
   decho("NO COMMAND Provided<BR>");
   $elementHolder->setAttribute("action", "NotDefined");
   // Final results
   $responsecode = "ERROR: No Command Provided";
   $elementResult  = $domobject->createElement("RESULT", $responsecode);
}

// Put it all together
//$elementHolder->appendChild($elementResult);
$domobject->appendChild($elementHolder);
// Save to Log dir .. if there was a request
if ($request_Command <> "") 
{
    // No saving for this app.  Its not creating new info really
    //$domobject->save($resf);
}
?>