/**
 * mr_patient.js
 * copyright (c) 2009 connectrelay
 * Written by (teleflow / web access updates) : javakinetic@gmail.com
 * Last Updated: Jan 15, 2009
*/
//  Interact with PHP system using AJAX

// Define the variables we will need to remember for posting
var mr_labid;
var mr_patientid;
var mr_fullname;
var mr_labtype;
var mr_labreason;
var mr_job_cd;
var mr_dept_num;
var mr_location;
var monthName = new Array("January","February","March","April","May","June","July","August", "September","October","November","December");
var dayName   = new Array('Sunday,', 'Monday,', 'Tuesday,', 'Wednesday,', 'Thursday,', 'Friday,', 'Saturday,');

// When user it typing in LabResults section
function updateVerbose()
{
	// If there is not a job selected, go with the definition
	if ($("#txt_dept_num").val() == '')
	{
		mDesc = $("#txt_fullname").val()+' is '+
				$("#txt_labtype").val()+' due to <b>'+
				$("#txt_labreasonv").val()+'</b> from <b>'+
				$("#txt_unknown_job").val()+'</b> for <b>'+
				$("#txt_labdays").val()+'</b> shift(s).  ';
		
		// Only allow submit for some reasons
		if ($("#txt_unknown_job").val() == '')
		{
			$("#submit_labresult").get(0).disabled=true;
		}
		else
		{
			// enable the button
			$("#submit_labresult").get(0).disabled=false;		
		}
	}
	else
	{	
		mDesc = $("#txt_fullname").val()+' is '+
				$("#txt_labtype").val()+' due to <b>'+
				$("#txt_labreasonv").val()+'</b> from his/her '+
				$("#txt_job_description").val()+' for <b>'+
				$("#txt_labdays").val()+'</b> shift(s).  ';
		// enable the button
		$("#submit_labresult").get(0).disabled=false;
	}	
	
	$("#distributionbox").html( mDesc+'<br style="clear:both" />' ); // '<button type="button">Refresh</button>'
	//$("#distributionbox").hide().show();	
}


// Replace / with -
function repslashtodash( name )
{
	name = name.replace(/\//,"-").replace(/\//,"-");
	return name
}
// Replace - with /
function repdashtoslash( name )
{
	name = name.replace(/-/,"/").replace(/-/,"/");
	return name
}

$(document).ready(function()
{
	////////////////////////////////////////////////////////
	// Set up the date picker
	////////////////////////////////////////////////////////
	$(function()
	{
		// FOR labresult Update
		// Kevin Luck's - Date Picker
			
		// FOR Lab Result Report - Back 3 months until today
		myDate = new Date();
		startdate1=addMonth(myDate, -3);
		// Kevin Luck's - Date Picker
		$('.turn-me-into-datepicker-pastonly')
			.datePicker({inline:true, startDate:startdate1.asString(), endDate:new Date().asString()})
			//.dpSetEndDate('01/01/2010')
			// {startDate:'10/10/2008'}
			//.datePicker({minDate: '-2w', maxDate: '+1d'})
			//.datepicker({inline:true})
			.bind(
				'dateSelected',
				function(e, selectedDate, $td)
				{
					//alert("Selected");
					//console.log('You selected ' + selectedDate);
					//alert("hi "+selectedDate);
					//var mr_returndate = new Date();
					//var selDate = selectedDate.getFullYear() + '/' + (Number(selectedDate.getMonth())+1) + '/' + selectedDate.getDate(); 
					var selDate = formatTeleFlowDate(selectedDate.getFullYear(), Number(selectedDate.getMonth())+1, selectedDate.getDate());
					// + ' ' + selectedDate.getHours() + ':' + selectedDate.getMinutes() + ':' + selectedDate.getMilliseconds();

					//alert("hi "+selectedDate.getDay()+dayName[selectedDate.getDay()]+" "+monthName[(Number(selectedDate.getMonth()))]);
					//alert(selDate);
					
					// Build the return date
					mr_returndate=dayName[selectedDate.getDay()]+" "+monthName[(Number(selectedDate.getMonth()))]+" "+selectedDate.getDate();
					// Add it to the update
					$('#txt_updatedate').val(selDate);
					
					$("#returndatebox").addClass('messagereturndate').text(mr_returndate);
					//$("#distributionbox").html( mDesc+'<br style="clear:both" />' ); // '<button type="button">Refresh</button>'
					
					// We have selected a date, so, hide the other stuff
					//$("#radio_options_box").hide();	
					//$("#labresult_submit_box").hide();		
					
					// Give a confirmation of the effort
					//mDesc = $("#txt_fullname").val()+' is going to return to work on <b>'+ mr_returndate+'.</b>';
					//$("#distributionbox").html( mDesc+'<br style="clear:both" />' ); // '<button type="button">Refresh</button>'					
					
					$("#patid_form").hide();
					$("#search_patient_box").hide();
					
					// Run the report
					$("#goreport").trigger('click');
					//alert("here"+$('#txt_updatedate').val());
				}
			);

	});

	////////////////////////////////////////////////////////
	// Go - See if the user id is in the list
	////////////////////////////////////////////////////////
	$("#patid_form").submit(function()
	{
		$("#submit_labresult").get(0).disabled=true;
		$("#update_labresult").get(0).disabled=true;

		//remove all the class add the messagebox classes and start fading
		$("#msgbox").removeClass().addClass('messagebox').text('Validating....').fadeIn(100);
		
	    // Hide other stuff
	    $("#jobs_list_box").hide();			
	    $("#radio_options_box").hide();	
	    $("#labresult_submit_box").hide();		
	    $("#labresult_update_box").hide();		
			  
		//check the patid exists or not from ajax
		///////////////////////////////////
		// Populate the screen
		///////////////////////////////////		
		// NOTE: This function will LOG to labresult2008-10-12.log etc
		$.post("mr_ajax_patient.php",{ patid:$('#patid').val(), gettype:'HTML', nocache_rand:Math.random() },function(data)
        {
		  if(data=='NO') //if correct login detail
		  {
		  	$("#msgbox").fadeTo(200,0.1,function()  //start fading the messagebox
			{ 
			  //add message and change the class of the box and start fading
			  $(this).html('User ID Invalid or Not Active').addClass('messageboxerror').fadeTo(900,1,
	              function()
				  { 
					 //$(this).html(data).fadeIn(10);
				  	 //redirect to secure page
					 //document.location='secure.php';
				  }
			  );

			  // Hide other stuff
			  $("#jobs_list_box").hide();			
			  $("#radio_options_box").hide();	
			  $("#labresult_submit_box").hide();			  
			  $("#labresult_update_box").hide();			
			  
			  
			});
		  }
		  else 
		  {
			// FOUND a Valid ID, show stuff
			$("#patient_list_box").hide();

			// Clear up the screen a bit
			$("#search_form").hide();
	
			
		  	$("#jobs_list_box").show(
				function() //start fading the messagebox
				{ 
					//add message and change the class of the box and start fading
					//$(this).html('Found Something...').addClass('messageboxerror').fadeTo(900,1);
					//$(this).removeClass().addClass('messagebox').text(data).fadeIn(10);
					//$(this).html(data).fadeIn(10);
				}
			);

			
			///////////////////////////////////
			// Now, get the XML for Jobs etc
			///////////////////////////////////			
			// NOTE: This will clear previous job listings... so, that they can be added again
			$("div").filter("#joblisting").remove();
			$("div").filter("#jobsearchlist").remove();

			// Clear the description and search
			$("#txt_unknown_job").val("");
			$("#locationword").val("");
			$("#jobword").val("");
			
			
			$.ajax({ type: "POST", 
						url: "mr_ajax_patient.php", 
						data: { patid:$('#patid').val(), gettype:'XML', nocache_rand:Math.random() }, 
						dataType: "xml", 
						success: function(data){

				// Populate Patient Information
				$(data).find('RESPONSE').each(function(){
					// NOTE: We have two sets of data here
					// PATIENT
					//alert( "hi" );
					$("#txt_firstname").val($(this).attr("firstname"));	
					$("#txt_lastname").val($(this).attr("lastname"));	
					$("#txt_labtype").val('NEGATIVE');
					mr_fullname = $("#txt_firstname").val()+" "+$("#txt_lastname").val();
					
					$("#txt_fullname").val( mr_fullname );

					$("#msgbox").removeClass().addClass('messageboxok').text($("#txt_fullname").val()).fadeIn(1000);
				});
				//alert('HiZ');
				
				}//);
				}
			);

			
			// Show valid
			$("#msgbox").removeClass().addClass('messageboxok').text('User ID valid').fadeIn(100);
			
			// Remember it
			mr_patientid=$('#patid').val();
			
			// Show the options
			$("#tnames").addClass('messagebox').text('Scroll Down').fadeIn(10);
			//$("#labresult_submit_box").show();			
			//$("#radio_options_box").show();			
			
			$("#distributionbox").addClass('messagelabresult').html('');
			$("#distributionbox").show();			
							
          }
				
        });
 		return false; //not to post the  form physically
	});
	
	
	////////////////////////////////////////////////////////
	// Search - Search for patient names
	////////////////////////////////////////////////////////
	$("#search_form").submit(function()
	{
		//remove all the class add the messagebox classes and start fading
		$("#msgbox").removeClass().addClass('messagebox').text('Searching Name...').fadeIn(1000);

	    // Hide other stuff
	    $("#jobs_list_box").hide();			
	    $("#radio_options_box").hide();	
	    $("#labresult_submit_box").hide();		
		$("#labresult_update_box").hide();			
			  							
		///////////////////////////////////
		// Now, get the XML for SearchMatches etc
		///////////////////////////////////			
		// NOTE: This will clear previous job listings... so, that they can be added again
		$("div").filter("#searchlisting").remove();

		$.ajax({ type: "POST", 
					url: "mr_ajax_patient.php", 
					data: { firstname:$('#firstname').val(), 
							lastname:$('#lastname').val(), 
							gettype:'XML', 
							nocache_rand:Math.random() }, 
					dataType: "xml", 
					success: function(data)
			{
				// Get General Reponse Info
				$(data).find('RESPONSE').each(function()
				{
					// NOTE: We have two sets of data here
					//$("#txt_firstname").val($(this).attr("firstname"));	
					//$("#msgbox").removeClass().addClass('messageboxok').text($("#txt_fullname").val()).fadeIn(1000);

					// Did we get something
					if ( $(this).attr('result') == 'SUCCESS')
					{
						$("#tnames").addClass('messagebox').text('Enter Patient Id above').fadeIn(10);
						$("#patient_list_box").show();
					}
					else
					{
						$("#tnames").addClass('messagebox').text('No results found...').fadeIn(10);
					}
					$("#msgbox").removeClass().text('');
					
				});
						
				// Create All the SearchMatches
				mCount=0;
				$(data).find('PATIENTMATCH').each(function()
				{
					//alert( $(this).attr('org_name') );
					//alert('Hi here3');
					mCount=mCount+1;
					// *** Clone node assign ID attribute and fade in
					patnum = $(this).attr('patnum')
					
					var newEl = $("#SearchItemTemplate").clone(true).attr("id", "searchlisting").fadeIn("fast");  // job_cd
					// *** Now fill in the jobs data 
					newEl.find("#td_pat_id").html( " <b>"+$(this).attr('patnum')+"</b>" );
					newEl.find("#td_fullname").html( $(this).attr('firstname')+" "+$(this).attr('lastname')+"" );
					
					// Value
					newEl.find("input").attr("value",          patnum);
					newEl.find("input").attr("attr_pat_id",    patnum);
					//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
					newEl.insertAfter("#lstSearchContainer");
					
				});
				
				if (mCount==1)
				{
					$("#msgbox").removeClass().addClass('messagebox').text('Found '+ mCount +' match').fadeIn(1000);
				}
				else
				{
					$("#msgbox").removeClass().addClass('messagebox').text('Found '+ mCount +' matches').fadeIn(1000);
				}
				//alert('HiZ');
				
			}//);
		});
 		return false; //not to post the  form physically
	});

	
	////////////////////////////////////////////////////////
	// Search - Search for Job Descriptions
	////////////////////////////////////////////////////////
	$("#jobs_form").submit(function()
	{
		///////////////////////////////////
		// Now, get the XML for Jobs etc
		///////////////////////////////////			
		// NOTE: This will clear previous job listings... so, that they can be added again
		$("div").filter("#jobsearchlist").remove();
		$.ajax({ type: "POST", 
				url: "mr_ajax_patient.php", 
				data: { locationword:$('#locationword').val(), 
						jobword:$('#jobword').val(), 
						gettype:'XML', 
						nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data)
				{	
					// Populate Patient Information
					$(data).find('RESPONSE').each(function()
					{
						// Did we get something
						if ( $(this).attr('result') == 'ERROR')
						{
							//alert("Error");
							$("#msgbox").removeClass().addClass('messageboxerror').text('Search provided no Results').fadeIn(10);
						}
						else
						{
							// Create All the Jobs
							mCount=0;
							$(data).find('FOUNDJOB').each(function()
							{
								//alert( $(this).attr('org_name') );
								mCount=mCount+1;
								
								// *** Clone node assign ID attribute and fade in
								job_cd = $(this).attr('job_cd')
								var newEl = $("#JobItemTemplate").clone(true).attr("id", "jobsearchlist").fadeIn("fast");  // job_cd
								// *** Now fill in the jobs data 
								newEl.find("#td_job_cd").text( $(this).attr('position_name') );
								newEl.find("#td_location").html( $(this).attr('dept_name')+" <b>("+$(this).attr('org_name')+")</b>" );
								
								// Value
								newEl.find("input").attr("value",          job_cd);
								newEl.find("input").attr("attr_job_cd",    job_cd);
								newEl.find("input").attr("attr_dept_num",  $(this).attr('dept_num') );
								newEl.find("input").attr("attr_location",  $(this).attr('location') );
								// Verbose psotion
								mPosition=$(this).attr('position_name')+" position in "+$(this).attr('dept_name')+" at "+$(this).attr('org_name');
								newEl.find("input").attr("attr_job_description", mPosition);
								//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
								newEl.insertAfter("#lstPortfolioContainer");
								
						    });
							$("#msgbox").removeClass().addClass('messagebox').text('Found '+ mCount +' matches').fadeIn(1000);
						}
					});					
				}
			}
		);
 		return false; //not to post the  form physically
	});
	
	

	
	////////////////////////////////////////////////////////
	// Lab Result Report  - Refresh for today
	////////////////////////////////////////////////////////
	$("#goreporttoday").click(function()
	{
		//$('#dp_applied').dpSetStartDate('11/11/2008');
		//$('.turn-me-into-datepicker-pastonly')

		$("#search_patient_box").hide();
		$("#patid_form").hide();
		
		// Get now
		var currentTime = new Date();
		var month = currentTime.getMonth() + 1;
		var day = currentTime.getDate();
		var year = currentTime.getFullYear();

		
		// Build the return date
		mr_returndate=dayName[currentTime.getDay()]+" "+monthName[(Number(currentTime.getMonth()))]+" "+currentTime.getDate();
		// Add it to the update
		$('#txt_updatedate').val(formatTeleFlowDate(year, month, day));
		$("#returndatebox").addClass('messagereturndate').text(mr_returndate);
				
		
		$("#goreport").trigger('click');
 		return false; //not to post the  form physically
	});
	
	////////////////////////////////////////////////////////
	// lab result Report  - For a Specific Date
	////////////////////////////////////////////////////////
	$("#goreport").click(function()
	{
		// Show the lab result list
	    $("#lab_list_box").show();	
		//alert('client: '+client_id); //$('#txt_updatedate').val());
		
		///////////////////////////////////
		// Now, get the XML for Jobs etc
		///////////////////////////////////			
		// NOTE: This will clear previous lab result listings... so, that they can be added again
		$("div").filter("#labresultreportentry").remove();
		
		$.ajax({ type: "POST", 
				url: "mr_ajax_patient.php", 
				data: { command:'ListLabResultForDate',
						client_id:client_id,
						//entry_date:repslashtodash($('#txt_updatedate').val()), 
						entry_date:($('#txt_updatedate').val()), 
						gettype:'XML', 
						nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data)
				{	
					// Populate Patient Information
					$(data).find('RESPONSE').each(function()
					{
						// Did we get something
						if ( $(this).attr('result') == 'ERROR')
						{
							//alert("Error");
							$("#msgbox").removeClass().addClass('messageboxerror').text('No entries for this date').fadeIn(10);
						}
						else
						{
							// Create All the Jobs
							mCount=0;
							$(data).find('LABRESULT').each(function()
							{
								//alert( $(this).attr('org_name') );
								mCount=mCount+1;
								
								// *** Clone node assign ID attribute and fade in
								labresult_id = $(this).attr('labresult_id')
								var newEl = $("#LabResultReportItemTemplate").clone(true).attr("id", "labresultreportentry").fadeIn("fast");  // job_cd
								// *** Now fill in the lab result data 
								newEl.find("#td_patient").html( '<span class="infoPatNum">'+$(this).attr('pat_id_human')+"</span> "+
									$(this).attr('pat_first')+' '+$(this).attr('pat_last')+
									'<span class="infoTime">'+"</span> " );
								
								newEl.find("#td_phone").html( '<b>'+$(this).attr('pat_tele_human')+'</b>' );
								newEl.find("#td_phys").html( '<i>'+$(this).attr('phy_last')+'</i>' );
								
															
								// Show details about the labresult
								resultinfo = '';
								if ($(this).attr('lab_result') == 'CONTACT')
								{
									resultinfo = '<span class="infoContact">'+$(this).attr('lab_result')+"</span> ";
								}
								else
								{
									resultinfo = '<span class="infoNormal">'+$(this).attr('lab_result')+"</span> ";
								}
								newEl.find("#td_sts").html( resultinfo );

								
								// Show details about replacement
								callinfo = '';
								if ($(this).attr('lab_call_status') == 'ADD')
								{
									callinfo = '<span class="infoReplaceStatusCall">'+$(this).attr('lab_call_status')+"</span> ";
								}
								else if ($(this).attr('lab_call_status') == 'DONE')
								{
									callinfo = '<span class="infoReplaceStatusDone">'+$(this).attr('lab_call_status')+"</span> ";
								}
								newEl.find("#td_callsts").html( callinfo );

								// Put the name of the table into the radio input, so that we can find it if the user clicks on the radio button input
								newEl.find("input").attr("value", "lab"+$(this).attr('labresult_id'));
								newEl.find("#lab_id").attr("id", "lab"+$(this).attr('labresult_id'));
								
								// Values 
								newEl.find("input").attr("attr_pat_id",				$(this).attr('pat_id') );				
								newEl.find("input").attr("attr_pat_first",			$(this).attr('pat_first') );		
								newEl.find("input").attr("attr_pat_last",			$(this).attr('pat_last') );		
								newEl.find("input").attr("attr_pat_telephone",		$(this).attr('pat_telephone') );
								newEl.find("input").attr("attr_phy_first",			$(this).attr('phy_first') );		
								newEl.find("input").attr("attr_phy_last",			$(this).attr('phy_last') );		
								newEl.find("input").attr("attr_lab_result",			$(this).attr('lab_result') );		
								newEl.find("input").attr("attr_lab_call_status",	$(this).attr('lab_call_status') );
								
								// Remember the Lab ID 
								newEl.find("input").attr("attr_labid",         		$(this).attr('labresult_id') );
								
								// Verbose psotion
								//mPosition=$(this).attr('position_name')+" position in "+$(this).attr('dept_name')+" at "+$(this).attr('org_name');
								//newEl.find("input").attr("attr_job_description", mPosition);
								
								//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
								newEl.insertBefore("#lstPortfolioContainer");
								
						    });
							if (mCount == 1)
							{
								$("#msgbox").removeClass().addClass('messagebox300').text('Found '+ mCount +' entry').fadeIn(1000);
							}
							else
							{
								$("#msgbox").removeClass().addClass('messagebox300').text('Found '+ mCount +' entries').fadeIn(1000);
							}
						}
					});					
				}
			}
		);
 		return false; //not to post the  form physically
	});

	////////////////////////////////////////////////////////
	// Add Lab Result Entry  - For a Specific Patient
	////////////////////////////////////////////////////////
	$("#goaddlabresult").click(function()
	{
		// Hide anything not needed
		$("#search_patient_box").hide();
		// Show the labresult list
	    $("#lab_list_box").show();	

		///////////////////////////////////
		// Now, get the XML for Lab Results etc
		///////////////////////////////////		
		
		// NOTE: This will clear previous labresult listings... so, that they can be added again
		//$("div").filter("#labresultreportentry").remove();
		
		$.ajax({ type: "POST", 
				url: "mr_ajax_patient.php", 
				data: { command:'AddLabResult',
						client_id:client_id,
						pat_id:$('#ppatid').val(), 
						pat_first:$('#pfirst').val(), 
						pat_last:$('#plast').val(), 
						pat_telephone:$('#ptelephone').val(), 
						phy_last:$('#pdoc').val(), 
						lab_result:$('#presult').val(), 
						gettype:'XML', 
						nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data)
				{	
					// Populate Patient Information
					$(data).find('RESPONSE').each(function()
					{
						// Did we get something
						if ( $(this).attr('result') == 'ERROR')
						{
							//alert("Error");
							$("#msgbox").removeClass().addClass('messageboxerror').text('Entry not created for this patient').fadeIn(10);
						}
						else
						{
							// Add to the Lab Results section
							mCount=0;
							$(data).find('LABRESULT').each(function()
							{
								//alert( $(this).attr('org_name') );
								mCount=mCount+1;
								
								// *** Clone node assign ID attribute and fade in
								labresult_id = $(this).attr('labresult_id')
								
								var newEl = $("#LabResultReportItemTemplate").clone(true).attr("id", "labresultreportentry").fadeIn("fast"); 
								// *** Now fill in the labresult data 
								newEl.find("#td_lab").html('<span class="infoPatNum">'+
									$(this).attr('labresult_id')+"</span>"+
									'<span class="infoTime">'+
									$(this).attr('lab_change_time')+"</span>" );

								//divinfo = '<div id="lab'+$(this).attr('labresult_id')+'"></div>';
								
								// See if we can get the div
								newEl.find("tr").attr("id", ("lab"+$(this).attr('labresult_id'))); 
								newEl.find("#lab_id").attr("id", "lab"+$(this).attr('labresult_id'));
								newEl.find("input").attr("value", "lab"+$(this).attr('labresult_id'));
								
								if ($(this).attr('lab_result') == 'NORMAL')
								{
									reasoninfo = '<span class="infoNormal">'+$(this).attr('lab_result')+"</span> ";
								}
								else
								{
									reasoninfo = '<span class="infoContact">'+$(this).attr('lab_result')+"</span> ";
								}
								newEl.find("#td_patinfo").html( "<b>"+$(this).attr('pat_id')+":</b> "+$(this).attr('pat_id')+" "+reasoninfo );
								//newEl.find("#td_location").html( $(this).attr('dept_name')+" <b>("+$(this).attr('org_name')+")</b>" );
								
								// Values 
								newEl.find("input").attr("attr_patnum",        $(this).attr('patnum')   );
								newEl.find("input").attr("attr_job_cd",        $(this).attr('job_cd')   );
								newEl.find("input").attr("attr_dept_num",      $(this).attr('dept_num') );
								newEl.find("input").attr("attr_location",      $(this).attr('location') );
								newEl.find("input").attr("attr_location_memo", $(this).attr('lab_location_memo') );
								newEl.find("input").attr("attr_dayofweek",     $(this).attr('dayofweek') );
								newEl.find("input").attr("attr_timeofday2400", $(this).attr('timeofday2400') );
								// Verbose psotion
								//mPosition=$(this).attr('position_name')+" position in "+$(this).attr('dept_name')+" at "+$(this).attr('org_name');
								//newEl.find("input").attr("attr_job_description", mPosition);
								
								//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
								newEl.insertBefore("#lstPortfolioContainer");
								
						    });
							if (mCount == 1)
							{
								$("#msgbox").removeClass().addClass('messagebox300').text('Found '+ mCount +' entry').fadeIn(1000);
							}
							else
							{
								$("#msgbox").removeClass().addClass('messagebox300').text('Found '+ mCount +' entries').fadeIn(1000);
							}
						}
					});					
				}
			}
		);
 		return false; //not to post the  form physically
	});	

	////////////////////////////////////////////////////////
	// lab result Report  - For a Specific Patient
	////////////////////////////////////////////////////////
	$("#goreportpatient").click(function()
	{
		// Show the labresult list
	    $("#lab_list_box").show();	

		///////////////////////////////////
		// Now, get the XML for Jobs etc
		///////////////////////////////////			
		// NOTE: This will clear previous labresult listings... so, that they can be added again
		$("div").filter("#labresultreportentry").remove();
		$.ajax({ type: "POST", 
				url: "mr_ajax_patient.php", 
				data: { patnum:$('#patid').val(), 
						//date:$('#txt_updatedate').val(), 
						gettype:'XML', 
						nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data)
				{	
					// Populate Patient Information
					$(data).find('RESPONSE').each(function()
					{
						// Did we get something
						if ( $(this).attr('result') == 'ERROR')
						{
							//alert("Error");
							$("#msgbox").removeClass().addClass('messageboxerror').text('No entries for this patient').fadeIn(10);
						}
						else
						{
							// Create All the Jobs
							mCount=0;
							$(data).find('LABRESULT').each(function()
							{
								//alert( $(this).attr('org_name') );
								mCount=mCount+1;
								
								// *** Clone node assign ID attribute and fade in
								job_cd = $(this).attr('job_cd')
								var newEl = $("#LabResultReportItemTemplate").clone(true).attr("id", "labresultreportentry").fadeIn("fast");  // job_cd
								// *** Now fill in the labresult data 
								newEl.find("#td_lab").html( '<span class="infoPatNum">'+$(this).attr('labresult_id')+"</span> "+$(this).attr('lab_humandate')+' <span class="infoTime">'+$(this).attr('lab_change_time')+"</span> " );
								divinfo = '<div id="abs'+$(this).attr('labresult_id')+'"></div>';
								
								
								// See if we can get the div
								newEl.find("tr").attr("id", ("abs"+$(this).attr('labresult_id'))); 
								newEl.find("#lab_id").attr("id", "abs"+$(this).attr('labresult_id'));
								newEl.find("input").attr("value", "abs"+$(this).attr('labresult_id'));
								
								if ($(this).attr('absreason') == 'ILLNESS')
								{
									reasoninfo = '<span class="infoIllness">'+$(this).attr('absreason')+"</span> ";
								}
								else if ($(this).attr('absreason') == 'INJURY')
								{
									reasoninfo = '<span class="infoInjury">'+$(this).attr('absreason')+"</span> ";								
								}
								else
								{
									reasoninfo = '<span class="infoPersonal">'+$(this).attr('absreason')+"</span> ";
								}
								newEl.find("#td_patinfo").html( "<b>"+$(this).attr('patnum')+":</b> "+$(this).attr('patname')+" "+reasoninfo );
								//newEl.find("#td_location").html( $(this).attr('dept_name')+" <b>("+$(this).attr('org_name')+")</b>" );
								
								// Values 
								newEl.find("input").attr("attr_patnum",        $(this).attr('patnum')   );
								newEl.find("input").attr("attr_job_cd",        $(this).attr('job_cd')   );
								newEl.find("input").attr("attr_dept_num",      $(this).attr('dept_num') );
								newEl.find("input").attr("attr_location",      $(this).attr('location') );
								newEl.find("input").attr("attr_location_memo", $(this).attr('lab_location_memo') );
								newEl.find("input").attr("attr_dayofweek",     $(this).attr('dayofweek') );
								newEl.find("input").attr("attr_timeofday2400", $(this).attr('timeofday2400') );
								// Verbose psotion
								//mPosition=$(this).attr('position_name')+" position in "+$(this).attr('dept_name')+" at "+$(this).attr('org_name');
								//newEl.find("input").attr("attr_job_description", mPosition);
								
								//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
								newEl.insertBefore("#lstPortfolioContainer");
								
						    });
							if (mCount == 1)
							{
								$("#msgbox").removeClass().addClass('messagebox300').text('Found '+ mCount +' entry').fadeIn(1000);
							}
							else
							{
								$("#msgbox").removeClass().addClass('messagebox300').text('Found '+ mCount +' entries').fadeIn(1000);
							}
						}
					});					
				}
			}
		);
 		return false; //not to post the  form physically
	});

	
	

	
	/*
	//now call the ajax also focus move from 
	$("#patid").blur(function()
		{
			$("#patid_form").trigger('submit');
		}
	);
	//now call the ajax also focus move from 
	$("#lastname").blur(function()
		{
			$("#search_form").trigger('submit');
		}
	);	
	//now call the ajax also focus move from 
	$("#password").blur(function()
		{
			$("#login_form").trigger('submit');
		}
	);
	*/
	
	// Show Search when enter the pat id
	$("#patid").focus(function(){
		// Clear up the screen a bit
		$("#search_form").show();
	});
	
	
	// User clicked GO on name
	$("#go").click(function()
	{
		$("#login_form").trigger('submit');
	});

	// User clicked PATIENT section 
	$("#gopatients").click(function()
	{
		$("#patid_form").show();
		$("#search_form").show();
	});
	

	
	// Search Patient Selector 
	$("input[@name='searchpat']").click(function(){
		// Get the elment
		mElem=$("input[@name='searchpat']:checked");
		// Populate the values
		$("#patid").val(mElem.attr("value"));
		//alert(mElem.attr("attr_pat_id"));
	});  	
	
	
 	
	
	
	// Show detail about an labresult
	$("input[@name='labresultlistitem']").click(function()
	{
		// Get the elment
		$("div").filter("#labresultreportdetail").hide();
		$("div").filter("#labresultreportdetail").remove();
		mElem=$("input[@name='labresultlistitem']:checked");
		
		// alert("Alert "+mElem.attr("value")+'  job:'+mElem.attr("attr_job_cd") );
		// *** Clone node assign ID attribute and fade in
		var newEl = $("#LabResultReportDetailTemplate").clone(true).attr("id", "labresultreportdetail").fadeIn("fast");  // job_cd

		// Start with the information we have
		// -- Put a few breaks in front to let CSS wrap the whole thing with the box
		mDesc = '<br />received a LAB RESULT of'+
				' job (<b>'+$(this).attr('attr_job_cd')+'</b>) '+
				$(this).attr("attr_location_memo")+' and transferred to telephone number:<br /><br />';

		mr_labid=$(this).attr('attr_labid');
				
		// We can get information about the transfer here
		/*
		$.ajax({ type: "POST", 
					url: "mr_ajax_patient.php", 
					data: { empid:    mElem.attr("attr_empnum"), 
							dept_num: mElem.attr("attr_dept_num"), 
							location: mElem.attr("attr_location"), 
							job_cd:   mElem.attr("attr_job_cd"),
							dayofweek1to7 : mElem.attr("attr_dayofweek"),
							timeofday2400 : mElem.attr("attr_timeofday2400"),
							gettype:  'XML', 
							nocache_rand:Math.random() }, 
					dataType: "xml", 
					success: function(data){

				// Create All the transfer entries
				$mShift="";
				dayofwk	= -1;
				$(data).find('EMPLOYEETRANSFER').each(function(){
					//alert( $(this).attr('org_name') );
					
					// *** Clone node assign ID attribute and fade in
					dayofwk   = $(this).attr('dayofwk');
					starttime = $(this).attr('starttime');
					telephone = $(this).attr('xferto');
					ext       = $(this).attr('xferext');
					mDesc = mDesc +	'<b>'+telephone+' x '+ext+'</b> (defined by distribution entry: '+dayofwk+' (1=Sunday, 7=Saturday) at '+starttime+' hours.<br />';
							
				});
				// Put a message that something is amiss if the day did not shift
				if (dayofwk == -1)
				{
					mDesc = mDesc +	'<b>EXCEPTION: No shift entries were found for this person</b><br /><br />';				
				}
				
				// Add the replace worker button
				mDesc = mDesc +	'';
							
				// Drop the list to the page
				//$("#distributionbox").html( mDesc );				
				// *** Now fill in the absence data 
				newEl.find("#td_detail").html( '<p class="messageabsence">'+mDesc+'</p>' );
			}//);
		});				
		*/
		
		newEl.insertAfter("#"+mElem.attr("value"));	
											

	});  	
	
	// If the user typed a description
	$("#txt_unknown_job").keyup(function()
		{
		//$("#rad_unknown").get(0).checked=true;
		$("#rad_unknown").get(0).click();
		updateVerbose();		
		}
	);

	// User clicked PATIENT section 
	$("#goreplace").click(function()
	{
		// We can get information about the transfer here
		/*
		$.ajax({ type: "POST", 
					url: "mr_ajax_patient.php", 
					data: { absid:    mr_labid,
							empid:    mElem.attr("attr_empnum"), 
							testtel:  $("#txt_testcalltel").val(),
							testname: $("#txt_testcallname").val(),
							dept_num: mElem.attr("attr_dept_num"), 
							location: mElem.attr("attr_location"), 
							job_cd:   mElem.attr("attr_job_cd"),
							dayofweek1to7 : mElem.attr("attr_dayofweek"),
							timeofday2400 : mElem.attr("attr_timeofday2400"),
							gettype:  'XML', 
							nocache_rand:Math.random() }, 
					dataType: "xml", 
					success: function(data){

				// Create All the transfer entries
				$mShift="";
				dayofwk	= -1;
				
				$(data).find('EMPLOYEETRANSFER').each(function(){
					//alert( $(this).attr('org_name') );
					
					// *** Clone node assign ID attribute and fade in
					dayofwk   = $(this).attr('dayofwk');
					starttime = $(this).attr('starttime');
					telephone = $(this).attr('xferto');
					ext       = $(this).attr('xferext');
					mDesc = mDesc +	'<b>'+telephone+' x '+ext+'</b> (defined by distribution entry: '+dayofwk+' (1=Sunday, 7=Saturday) at '+starttime+' hours.<br />';
							
				});

				alert('A replacement is now being sought for Absence '+mr_labid);
							
			}//);
		});	
		*/
			
 		return false; //not to post the  form physically
	});	
}
);
