<?php
/*
Use this section to customize wording for your system, or change to another language all together
*/

////// Phrases //////
// -- Note: include/cr_function.php - providePhrase('cr', 100) uses these array (could be replaced by any other system easily)
// -- providePhrase('cr', 180)
$sys_static_text = array();

// === Logon Management ===
// Legal 
$sys_static_text['cr'][1] = 'XYZ Corporation'; 
$sys_static_text['cr'][2] = 'XYZ'; 
// User sign on (cr_main.php)
$sys_static_text['cr'][70] = 'Username'; 
$sys_static_text['cr'][71] = 'Username (edit)';
$sys_static_text['cr'][72] = 'Real Name';
$sys_static_text['cr'][80] = 'Sign In';
$sys_static_text['cr'][81] = 'Email Address';
$sys_static_text['cr'][82] = 'Password';
$sys_static_text['cr'][83] = '<font size="2"><a href="cr_passwordreset.php">Forgot Password?</a></font>';
$sys_static_text['cr'][84] = '<font size="2">Remember me&nbsp;&nbsp;</font>';
$sys_static_text['cr'][85] = 'Retype Password';
$sys_static_text['cr'][86] = 'Set Password'; // Button
$sys_static_text['cr'][87] = 'To access the client section'; // Part 1
$sys_static_text['cr'][88] = 'click here to login'; // Part 2

// Company registration
$sys_static_text['cr'][100] = 'Company Registration';
$sys_static_text['cr'][101] = 'If you would like to sign up and administer a
		'.$appMarketingName.' account for your company, clinic or 
		department, <a href="'.$webSignUpPage.'">Sign-Up here!</a>';
$sys_static_text['cr'][102] = 'Trial / Complete Registration';
// Legal and terms
$sys_static_text['cr'][120] = 'Policies & Legal';
$sys_static_text['cr'][121] = 'Terms of Service Agreement';
$sys_static_text['cr'][122] = 'Privacy Policy';
$sys_static_text['cr'][123] = 'I have read the'; // .. Terms of service
$sys_static_text['cr'][124] = '"Terms of Service"';
$sys_static_text['cr'][125] = ', and agree to them.'; 
$sys_static_text['cr'][126] = 'Review Privacy Policy'; 

// User registration
$sys_static_text['cr'][140] = 'User Registration';
$sys_static_text['cr'][141] = 'If you are not registered for a company registered on this 
		system, <b><a href="cr_register.php">Sign-Up here!</a></b></td>';
$sys_static_text['cr'][142] = 'Free Sign Up! Credit card not required.';
// Logged in - Titles
$sys_static_text['cr'][160] = 'Login';
$sys_static_text['cr'][161] = 'Sign Up';
$sys_static_text['cr'][162] = 'Client Access';  // Menu title
$sys_static_text['cr'][163] = 'Custom Applications & Useful Links';
$sys_static_text['cr'][164] = 'to your account, or...';
$sys_static_text['cr'][165] = 'to your account';
$sys_static_text['cr'][166] = 'Client Section';
// Logged in Welcome (header_divs_afterbody.php)
$sys_static_text['cr'][166] = '<h2>Welcome <b>';  // Part 1
$sys_static_text['cr'][167] = '</b>&nbsp;&nbsp;</h2>'; // Part 2
$sys_static_text['cr'][168] = 'Your user id is: ';
$sys_static_text['cr'][169] = 'Login';  // Menu title
$sys_static_text['cr'][170] = 'Logout';  // Menu title
$sys_static_text['cr'][171] = 'Back to Main';  // Menu title
$sys_static_text['cr'][172] = 'Admin Center';  // Menu title
$sys_static_text['cr'][173] = 'View Account';  // Menu title
// Lock Out Message
$sys_static_text['cr'][180] = 'The system is currently unavailable for maintenance purposes. 
		Please note that when the system comes back on line, the login page will return.';
// Sign up continuation with Twitter
$sys_static_text['cr'][200] = '<b>NEXT STEP:</b> It\'s time to set up your communications and 
		authenticate with twitter in order to voice tweet using '.$appMarketingName.'.  
		That\'s why you signed up, so click on the following link:';
$sys_static_text['cr'][201] = 'Set Communications and Authenticate with Twitter.';
$sys_static_text['cr'][202] = '<img width="155" height="36" src="images/twitter_logo.png" alt="twitter.com"/>';
$sys_static_text['cr'][203] = '<b>LAST STEP:</b> You need to authenticate with twitter in 
		order to voice tweet using '.$appMarketingName.'. When you are ready, click on the following link:';
$sys_static_text['cr'][204] = 'Authenticate with Twitter.';
$sys_static_text['cr'][205] = '<img width="155" height="36" src="images/twitter_logo.png" alt="twitter.com"/>';
// Other uses for telephone numbers
$sys_static_text['cr'][210] = 'For additional services you need to ';  // Part 1
$sys_static_text['cr'][211] = 'set your telephone numbers.';  // Part 2
// Menu errors
$sys_static_text['cr'][250] = 'Could not select database: Menus are off-line.';
// Assistant (future)
$sys_static_text['cr'][300] = '<h3>'.$appMarketingName.' Assistant</h3>';
$sys_static_text['cr'][301] = '&bull;&nbsp;You currently have no actionable commands.';
$sys_static_text['cr'][302] = '((future))';
// Documents and files section
$sys_static_text['cr'][350] = 'Documents and File Section';
$sys_static_text['cr'][351] = 'To review, manage, and download documents and files, click <a href="cr_filereview.php">here.</a>';
$sys_static_text['cr'][352] = 'To upload a new document or file, click <a href="cr_fileupload.php">here.</a>';
// === General Errors ===
$sys_static_text['cr'][500] = 'Error Displaying Information'; 
$sys_static_text['cr'][501] = 'error(s) found'; 
$sys_static_text['cr'][502] = 'error found'; 
$sys_static_text['cr'][503] = 'errors found'; 
$sys_static_text['cr'][504] = 'Error creating web link'; 
// Database errors
$sys_static_text['cr'][510] = 'We\'re sorry, but the database does not appear to be currently available.'; 
$sys_static_text['cr'][511] = 'Please check back in a short while'; 
// Database.php
$sys_static_text['cr'][520] = 'ERROR: Unable to connect to database';
$sys_static_text['cr'][521] = 'ERROR: Server Access Error';
$sys_static_text['cr'][522] = 'ERROR: SQL statement failure - Review database error log';
$sys_static_text['cr'][523] = 'ERROR: Encyption system missing key file';
// cr_adminprocess
$sys_static_text['cr'][600] = 'There must be at least one administator';
$sys_static_text['cr'][601] = 'Username not entered';
$sys_static_text['cr'][602] = 'Username does not exist';
$sys_static_text['cr'][603] = 'Company code not entered';
$sys_static_text['cr'][604] = 'Company code already exists';
// cr_process
$sys_static_text['cr'][620] = 'User could not be emailed';
$sys_static_text['cr'][621] = 'Username could not be created';
$sys_static_text['cr'][622] = 'Username not entered';
$sys_static_text['cr'][623] = 'Username does not exist';
// session
$sys_static_text['cr'][640] = 'Username not entered';
$sys_static_text['cr'][641] = 'Username email address is not valid';
$sys_static_text['cr'][643] = 'LOCKOUT: ';  // Reason provided by database->securityAccessCheck
$sys_static_text['cr'][644] = 'Username not found';
$sys_static_text['cr'][645] = 'Invalid password';
$sys_static_text['cr'][646] = 'Account not yet confirmed (see email)';
$sys_static_text['cr'][647] = 'Account not currently active';
$sys_static_text['cr'][649] = 'User record not located';
$sys_static_text['cr'][650] = 'Unable to locate user';
$sys_static_text['cr'][651] = 'Unable to unlock';
$sys_static_text['cr'][652] = 'User id is not currently active';
$sys_static_text['cr'][653] = 'User id not located as a client';
$sys_static_text['cr'][654] = 'Unlock user/code mismatch or expiry';
$sys_static_text['cr'][655] = 'Last name not entered';
$sys_static_text['cr'][656] = 'Last name above 20 characters';
$sys_static_text['cr'][657] = 'Last name not alphanumeric';
$sys_static_text['cr'][658] = 'First name not entered';
$sys_static_text['cr'][659] = 'First name above 20 characters';
$sys_static_text['cr'][660] = 'First name not alphanumeric';
$sys_static_text['cr'][661] = 'Unable to email (system issue)';
$sys_static_text['cr'][662] = 'Database Error 1 - Contact Support';
$sys_static_text['cr'][663] = 'Database Error 2 - Contact Support';
$sys_static_text['cr'][664] = 'Email address not found';
$sys_static_text['cr'][665] = 'Email and names do not match';
$sys_static_text['cr'][666] = 'Email not entered';
$sys_static_text['cr'][667] = 'Email invalid';
$sys_static_text['cr'][668] = 'Email address already in use';
$sys_static_text['cr'][669] = 'Email address already in use for another client on this system';
$sys_static_text['cr'][670] = 'Last name not entered';
$sys_static_text['cr'][671] = 'Last name above 20 characters';
$sys_static_text['cr'][672] = 'Last name not alphanumeric';
$sys_static_text['cr'][673] = 'First name not entered';
$sys_static_text['cr'][674] = 'First name above 20 characters';
$sys_static_text['cr'][675] = 'First name not alphanumeric';
$sys_static_text['cr'][676] = 'Telephone number must be 10 digits';
$sys_static_text['cr'][677] = 'Telephone number not numeric';
$sys_static_text['cr'][678] = 'Virtual Extension not entered';
$sys_static_text['cr'][679] = 'Virtual Extension above 10 digits';
$sys_static_text['cr'][680] = 'Virtual Extension has been taken.  Suggestion: Add a number to make it unique. eg: Jenny2';
$sys_static_text['cr'][681] = 'Current Password not entered';
$sys_static_text['cr'][682] = 'Current Password incorrect';
$sys_static_text['cr'][683] = 'New Password too short';
$sys_static_text['cr'][684] = 'New Password not alphanumeric';
$sys_static_text['cr'][685] = 'New Password not entered';
$sys_static_text['cr'][686] = 'Password not entered';
$sys_static_text['cr'][687] = 'Password too short';
$sys_static_text['cr'][688] = 'Password not alphanumeric';
$sys_static_text['cr'][689] = 'Passwords do not match';
$sys_static_text['cr'][690] = 'Pass number too short';
$sys_static_text['cr'][691] = 'Pass number not numeric';
// === Sub Programs for System Management ===
// Administration (cr_admin.php)
$sys_static_text['cr'][1000] = 'Super Adminstrators';
$sys_static_text['cr'][1001] = 'Company Adminstrators';
$sys_static_text['cr'][1002] = 'Standard Users';
$sys_static_text['cr'][1003] = 'Users Pending Authorization';
$sys_static_text['cr'][1010] = '<b>NOTE:</b> No Subcompanies Currently Exist';
$sys_static_text['cr'][1020] = 'Select User';
$sys_static_text['cr'][1021] = 'Time Banned';
$sys_static_text['cr'][1050] = 'Administration Center';
$sys_static_text['cr'][1051] = 'Administration Menu';
$sys_static_text['cr'][1052] = 'Client Administration';
$sys_static_text['cr'][1053] = 'Manage User Access';
$sys_static_text['cr'][1054] = 'Return to the';  // Administration page - part 1
$sys_static_text['cr'][1055] = 'page.';  // Administration page - part 2
$sys_static_text['cr'][1060] = 'SUPER ADMIN';
$sys_static_text['cr'][1061] = 'Access any client as an Administrator';
$sys_static_text['cr'][1062] = 'Unblock Lockout';
$sys_static_text['cr'][1063] = 'Provide Access Locked Users an Unlock Code';
$sys_static_text['cr'][1064] = 'TeleFlow Servers';
$sys_static_text['cr'][1065] = 'Monitor server functions for each port/line';
$sys_static_text['cr'][1070] = 'Update User Level';
$sys_static_text['cr'][1071] = '<b>(1)</b> = General access  <b>(9)</b> = Admin level';
$sys_static_text['cr'][1072] = 'Level';
$sys_static_text['cr'][1073] = 'Update Level'; // Button
$sys_static_text['cr'][1080] = 'Delete User';
$sys_static_text['cr'][1081] = 'Delete User'; // Button
$sys_static_text['cr'][1090] = 'Add / Invite User';
$sys_static_text['cr'][1091] = 'To invite a user to sign up with'.$appMarketingName.' and be a part of'; // .. of [company]
$sys_static_text['cr'][1092] = ', enter their name and email address.';
$sys_static_text['cr'][1100] = 'User\'s Email Address';
$sys_static_text['cr'][1101] = 'User\'s First Name';
$sys_static_text['cr'][1102] = 'Middle Initial';
$sys_static_text['cr'][1103] = 'User\'s Last Name';
$sys_static_text['cr'][1104] = 'Send Invite'; // Button
$sys_static_text['cr'][1110] = 'Delete Inactive Users';
$sys_static_text['cr'][1111] = 'This will delete all users (not administrators), who have not logged 
	in to the site within a certain time period. You specify the days spent inactive.';
$sys_static_text['cr'][1112] = 'Days';
$sys_static_text['cr'][1113] = 'Delete All Inactive';
$sys_static_text['cr'][1120] = 'Ban User';
$sys_static_text['cr'][1121] = 'Ban User'; // Button
$sys_static_text['cr'][1122] = 'Banned Users Table Contents';
$sys_static_text['cr'][1130] = 'Delete Banned User';
$sys_static_text['cr'][1131] = 'Delete Banned User';  // Button
$sys_static_text['cr'][1140] = 'Companies Administered by';
$sys_static_text['cr'][1141] = 'Last created company:';
$sys_static_text['cr'][1142] = 'You need to create an Admin for it';
$sys_static_text['cr'][1150] = 'Add Company';
$sys_static_text['cr'][1151] = 'This section is for adding Company entries only.  Adding a Company requires that you also set up a user to administer it.';
$sys_static_text['cr'][1152] = 'Code';
$sys_static_text['cr'][1153] = 'Company Name';
$sys_static_text['cr'][1154] = 'Add Company'; // Button
// Admin User Invite (cr_admin_invite.php)
$sys_static_text['cr'][1200] = 'Finished!';
$sys_static_text['cr'][1201] = 'Another user invited to '.$appMarketingName;
$sys_static_text['cr'][1202] = 'Invitation Sent!';
$sys_static_text['cr'][1203] = 'An email was sent to the user you have invited.  They have been provided the instructions to
  activate their account in an email. Because a link is included in the email, there is a chance that 
  it will be filtered to their "spam" folder.  Because of this, you might want to follow up with them
  if their account has not been activated in the next few days.';
$sys_static_text['cr'][1204] = 'Invitation Ready - Now You Must Send!';
$sys_static_text['cr'][1205] = 'The invite link that the user you want to invite has been created.  
  You must send the copy link below to the user by email or other means.  Once the user opens that link
  if their browser, their account will then be active.';
$sys_static_text['cr'][1207] = 'User Created!';
$sys_static_text['cr'][1208] = 'The invite link below is normally what would be emailed to users in order to authenticate them.
  Normally this would be emailed, but you have that setting currently set to off.  In order to login, copy this link
  in to your browser, and your account will then be active.';
  
// Client sign up by user invite  
$sys_static_text['cr'][1210] = $appMarketingName.' has received your account information, and has sent out an 
	email to you.&nbsp; You will find a additional information about this service, and an account 
	verification link which, once confirmed, will provide you with additional capabilities.';
$sys_static_text['cr'][1211] = '<span class="important">Please note:</span> Some filters will send this 
email to your <span class="important">SPAM or JUNK</span> folder.&nbsp; 
Please check your email account carefully for this email.';
$sys_static_text['cr'][1212] = 'If you do not receive an email within 10 minutes, please email
<a href="mailto:'.$webMailToSupport.'?subject=ACTIVATION HELP">support</a>, and we will 
provide you with your login information by the next business day.';

// User invite (cr_invite.php)
$sys_static_text['cr'][1300] = 'Password Selection';
$sys_static_text['cr'][1301] = 'Choose Your Password';
$sys_static_text['cr'][1302] = 'Enter Your Password for '.$appMarketingName;
$sys_static_text['cr'][1303] = 'Double enter your new password in the fields below';
$sys_static_text['cr'][1304] = 'Request Error';
$sys_static_text['cr'][1305] = 'Reset Request not Granted';
$sys_static_text['cr'][1306] = 'Unable to Confirm Account for '.$appMarketingName;
$sys_static_text['cr'][1307] = 'Due to a problem with this process, we cannot provide you with a password selection for this account.
  Please check that you have the URL exactly the same is it was sent in your email.  It must 
  be identical in order for the account to enable a password reset. If this remains a problem, 
  please email support.';
$sys_static_text['cr'][1308] = 'If your account has been previously activated, sign on at '; // .. link
$sys_static_text['cr'][1309] = 'Be sure to remember your new password';
$sys_static_text['cr'][1310] = $appMarketingName.' Activation Complete';
$sys_static_text['cr'][1311] = 'Your Account Has Been Activated';
$sys_static_text['cr'][1312] = 'Sign on with your new password at'; // Sign on at - Part 1
$sys_static_text['cr'][1313] = 'page.';// Sign on at - Part 2
$sys_static_text['cr'][1314] = 'Check your email for additional information!';

// Client signup (cr_signup_step1.php etc)
$sys_static_text['cr'][1400] = 'Administrator Client';
$sys_static_text['cr'][1401] = 'Client';
$sys_static_text['cr'][1402] = 'Sign up';
$sys_static_text['cr'][1412] = 'The database does not appear to be currently available for client creation';
$sys_static_text['cr'][1413] = 'Attempting for ';
$sys_static_text['cr'][1414] = 'The database does not appear to be currently available for user creation';
$sys_static_text['cr'][1415] = 'We understand that this is probably very frustrating as you have just typed in a fair amount of information.';
$sys_static_text['cr'][1420] = 'This application is yet not active on this system, and requires a system administrator to set up.';
$sys_static_text['cr'][1430] = 'Create Administrator'; 
$sys_static_text['cr'][1431] = 'Your new installation should be ready in a few minutes.  Let\'s create you as the administrator, and get some basic details into the database.';
$sys_static_text['cr'][1432] = 'Continue to administration user setup'; 
$sys_static_text['cr'][1435] = 'Create Client'; 
$sys_static_text['cr'][1436] = 'Your new installation should be ready in a few minutes.  First, we need to gather details about your company.';
$sys_static_text['cr'][1437] = 'Continue to Trial'; 
// Form entry
$sys_static_text['cr'][1500] = 'Form Entry Points';
$sys_static_text['cr'][1501] = '&bull; Your email address and personal information are confidential and will not be sold or rented.<br />
	&bull; Your Password must be at least '.SYSTEM_PASSWORDMINLENGTH.' character long, and may contain the alphabet (a-z, A-Z), numbers (0-9) and special characters (!,@,# etc).<br />
	&bull; Once your trial expires, you will asked if you would like to subscribe to our products, and be billed monthly based on the solution features you choose.<br />';
$sys_static_text['cr'][1502] = '';
$sys_static_text['cr'][1503] = '';
// Universal Signup System - see: UniveralSignUp_CompanyDetails in  cr_signup_forms
$sys_static_text['cr'][1550] = 'Company';  // Description of organisation (eg: firm, office, practice, hospital)
$sys_static_text['cr'][1551] = 'Your company name';
$sys_static_text['cr'][1552] = 'Tell us about your company';
$sys_static_text['cr'][1560] = 'Office telephone number';
$sys_static_text['cr'][1561] = 'Local time zone';
$sys_static_text['cr'][1562] = 'Observe Daylight Savings Time?';
$sys_static_text['cr'][1563] = 'First name (Contact)';
$sys_static_text['cr'][1564] = 'Last name (Contact)';
$sys_static_text['cr'][1565] = 'Middle initial (Contact)';
$sys_static_text['cr'][1566] = 'Email (Your new username / sign-on)';
$sys_static_text['cr'][1567] = 'Retype email';
$sys_static_text['cr'][1568] = 'Create Password (At least 6 characters)';
$sys_static_text['cr'][1569] = 'Retype Password ';
$sys_static_text['cr'][1570] = 'Promotional Code (REQUIRED for Trial)';
$sys_static_text['cr'][1571] = 'How did you hear about us';
$sys_static_text['cr'][1572] = '<option selected="selected">Choose One:</option>
	<option value="colleague">Colleague</option>
	<option value="online_art">Online Article</option>
	<option value="email">Email</option>
	<option value="post_mail">Direct Mail</option>
	<option value="mag_article">Magazine Article</option>
	<option value="news_article">Newspaper Article</option>
	<option value="search">Search Engine</option>
	<option value="word_mouth">Word of Mouth</option>
	<option value="site">Internet Site</option>
	<option value="online_ad">Online Ad</option>
	<option value="blog">Blog</option>
	<option value="other">Other</option>';
$sys_static_text['cr'][1573] = 'Receive '.$appMarketingName.' newsletters via email?';
$sys_static_text['cr'][1580] = '30 seconds...';  // Indicates that extra time may be needed
// User authentication
$sys_static_text['cr'][1600] = 'Activation Completed!';
$sys_static_text['cr'][1601] = 'Your Account has been Confirmed';
$sys_static_text['cr'][1602] = 'The next step is to start using '.$appMarketingName;
$sys_static_text['cr'][1603] = 'Your account is confirmed, and you can sign on at the '; //... part 1
$sys_static_text['cr'][1604] = ' page.'; // part 2
$sys_static_text['cr'][1605] = 'This account in now confirmed, and you will be able to sign on with the email address and password you selected.';
$sys_static_text['cr'][1610] = 'Previously Activated';
$sys_static_text['cr'][1611] = 'Your Account has been Confirmed ';
$sys_static_text['cr'][1612] = 'The next step is to start using '.$appMarketingName;
$sys_static_text['cr'][1613] = 'Your account is already confirmed. You can sign on at the'; //... part 1
$sys_static_text['cr'][1614] = ' page.'; // part 2
$sys_static_text['cr'][1615] = 'This account was previously confirmed. You do not need to do anything more to start using this system.';
$sys_static_text['cr'][1620] = 'Activation Too Late';
$sys_static_text['cr'][1621] = 'Your Confirmation Expired ';
$sys_static_text['cr'][1622] = 'You need to sign up again for '.$appMarketingName;
$sys_static_text['cr'][1623] = 'You can sign up again on the '; // part 1
$sys_static_text['cr'][1624] = ' page.'; // part 2
$sys_static_text['cr'][1625] = 'We did not receive the account confirmation request soon enough, and cannot activate this account.
You must confirm the account within 24 hours of signing up.  If this remains a problem, please email support.';
$sys_static_text['cr'][1630] = 'Activation Mismatch';
$sys_static_text['cr'][1631] = 'Your Account Cannot be Confirmed';
$sys_static_text['cr'][1632] = 'Unable to confirm account for '.$appMarketingName;
$sys_static_text['cr'][1633] = 'You can sign up on the '; // part 1
$sys_static_text['cr'][1634] = ' page.'; // part 2
$sys_static_text['cr'][1635] = 'Due to a mismatch in the activation URL, we cannot activate this account.
Please check that you have the URL exactly the same is it was sent in your email.  It must 
be identical in order for the account to be activate.  If this remains a problem, and you want
to use this email address as your account, please email support.';
$sys_static_text['cr'][1640] = 'Parameters Missing';
$sys_static_text['cr'][1641] = 'Your Account Cannot be Confirmed';
$sys_static_text['cr'][1642] = 'Unable to Confirm Account for '.$appMarketingName;
$sys_static_text['cr'][1643] = 'You can sign up on the '; // part 1
$sys_static_text['cr'][1644] = ' page.'; // part 2
$sys_static_text['cr'][1645] = 'Due to missing parameters in the activation URL, we cannot activate this account.
Please check that you have the URL exactly the same is it was sent in your email.  It must 
be identical in order for the account to be activate.  If this remains a problem, and you want
to use this email address as your account, please email support.';
$sys_static_text['cr'][1650] = 'Activation Error';
$sys_static_text['cr'][1651] = 'Your Account was not Confirmed';
$sys_static_text['cr'][1652] = 'Unable to Confirm Account for '.$appMarketingName;
$sys_static_text['cr'][1653] = 'You can sign up on the '; // part 1
$sys_static_text['cr'][1654] = ' page.'; // part 2
$sys_static_text['cr'][1655] = 'Due to a problem with this process, we cannot activate this account.
Please check that you have the URL exactly the same is it was sent in your email.  It must 
be identical in order for the account to be activate.  If that does not work, please try again 
next business day.  If this remains a problem, and you want to use this email address as your 
account, please email support.';


//   echo(providePhrase('cr', 1090));
?>