<?php
// Will check for the files that need to be found in order to assume the test has completed
// - NOTE: All code must be contained to this file... at least until the system tests to see that the code does exist

require("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath."include/session.php");
$_SESSION['IncPath'] = $incPath;
require_once($websiteLibrary.'calcWorkUnit.php'); 


function output($pLine)
{
	echo($pLine."<br />\n");
}

// NOTE: If you see nothing, it may be because you have PHP set to show no errors
// - find the php.ini files (using phpinfo();)
// - display_errors = On
// Restart Apache / IIS

output('<h2>TeleFlowRelay Install - Emailer Test</h2>');
output('SUCCESS: Required includes found');
output('TESTING: Testing email connection and send to '.EMAIL_ADMIN_ADDR.' from account '.EMAIL_STMP_USER.' at '.EMAIL_SMTP);


//Start Swift
$smtp =& new Swift_Connection_SMTP(EMAIL_SMTP);
$smtp->setUsername(EMAIL_STMP_USER);
$smtp->setpassword(EMAIL_STMP_PASS);
$smtp->attachAuthenticator(new Swift_Authenticator_LOGIN());

$swift =& new Swift($smtp);
 
//Create the message
$message =& new Swift_Message("TeleFlowRelay Test Email", "This email was sent from: ".getHostComputerName());
 
//Now check if Swift actually sends it
if ($swift->send($message, EMAIL_ADMIN_ADDR, EMAIL_FROM_ADDR))
{
	output('SUCCESS: Email sent');
	output("SUCCESS: System Installation Test 3 passed all tests.");
}
else
{
	output('FAILURE: Email server is not available or configured correctly');
}
output(' ');
output('<b>** COMPLETE **</b>');
output(' ');

output('To continue configuring the system and a default administration user, 
		<a href="'.$incPath.'/cr_signup/cr_signup_step1.php">click here</a>.');



?>