<?php 
/*
* StaffRelay
*  Copyright (c) 2008 ConnectRelay - by Vern Baker
*   http://staffrelay.com
*
* Written by (teleflow / web access updates) : javakinetic@gmail.com
* Last Updated: Oct 15, 2008
*/
// Determine relative location for paths
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath.$sessionphp);

require_once($websiteLibrary.'calcWorkUnit.php'); 
// Zip classes
require_once($websiteLibrary.'zipWorkUnit.php'); 





// This is a secure page, so redirect if needed
/*
if ($cGlobalSecure) 
{
  redirectToHTTPS();
}
*/

/////////////////////////// BARCODE FUNCTIONS ///////////////////////////////
// NOTE: This is a holder for the functions that are referenced in body
include('xml_barcodes_cmd_functions.php');
/////////////////////////// BARCODE FUNCTIONS ///////////////////////////////

// Create the data here.
// NOTE: See xml_staffcmd.php for an example of calling directly

// Determine the command sent
$command 		= htmlspecialchars($_POST['command'],ENT_QUOTES);


// Get a list of Lab Results
if ($command == 'Hello')
{
	// build the data block
	$data   = '<REQUEST 
	action="'.$command.'"></REQUEST>';	
}
// Get a list of Lab Results
else if ($command == 'GenerateBarCode')
{
	// Get the expected parameters
	$barcode 	= htmlspecialchars($_POST['barcode'],ENT_QUOTES);
	
	// See if we need to send extra information
	if (isset($_POST['zipfilename']))
	{
		// build the data block
		$data   = '<REQUEST 
		action="'.$command.'" 
		barcode="'.$barcode.'"
		zipfilename="'.$_POST['zipfilename'].'"></REQUEST>';		
	}
	else
	{
		// build the data block
		$data   = '<REQUEST 
		action="'.$command.'" 
		barcode="'.$barcode.'"></REQUEST>';	
	}
}

// HTML and DEBUG
//echo $data;
$mTestingMode = TRUE;

// Log it to a text file as backup or debug
if ($mTestingMode == TRUE)
{
	$textFile = $incPath.SYSTEM_LOGFILES."bc_ajax_barcode-".Date('Y-m-d').".log";
	$fh = fopen($textFile, 'a') or die("can't open file");
	//echo($textFile	);
	$stringData = $data."\n";
	fwrite($fh, $stringData);
	$stringData = "-- Created: ".Date('G:i:s')."\n\n";
	fwrite($fh, $stringData);
	fclose($fh);
}

/////////////////////////// STAFFCMD BODY ///////////////////////////////
// NOTE: This section works with the value in $data
include('xml_barcodes_cmd_body.php');
/////////////////////////// STAFFCMD BODY ///////////////////////////////

// Load the data from the xml_staffcmd_body
$xmldata = $domobject->saveHTML();


/* KEEP HERE FOR AN EXAMPLE
$result = '<table width="100%" border="0" cellpadding="1">';
$result .='
	<tr>
	  <td colspan="3"><span class="pageheader"><h3>TRANSFER CALL</h3></span></td>
	</tr>';
$result .='</table>';
$result = '<table width="100%" border="0" cellpadding="1">';
$xml = simplexml_load_string($xmldata);
foreach($xml->children() as $child)
{
	if ($child->getName() == "SUCCESS")
	{
		$confirmid='';
		$xferto='';
		foreach($child->attributes() as $a => $b)
		{
			if ($a == "confirmid")
			{
			   //echo $a,'="',$b,"\"</br>";
			   $confirmid = $b;
			}
			if ($a == "xferto")
			{
			   //echo $a,'="',$b,"\"</br>";
			   $xferto = $b;
			}
		}
	}
}
*/


// XML
header('Content-Type: text/xml');	
echo $xmldata;
?>