<?php 
// Contents for page named  [name]_contents.php 
echo (displayContainerOutline('<h2>Create Cheap Barcodes</h2>'));

echo (displayContainerShaded("
<h3>1. Why are your barcodes so cheap?</h3>
<p class=\"pquest\">A better question is why do those other sites charge you $15 to $89 for a single code?  Our site 
is fully automated from code assignment to payment processing to barcode generation.  There is no 
reason those other places should charge so much.</p>

<h3>2. What's the difference between your UPC codes and others I have seen out on the internet?</h3>
<p>There are no differences. Our parent corporation is a member of the GS1 organization and has 
paid for the rights to various GS1 prefixes which give us hundreds of thousands of Unique UPC Codes 
that we can use as we like including licensing them to you.</p>

<h3>3. Why don't I just join the GS1 myself?</h3>
<p>If you need thousands of codes for your own use, then we recommend that you DO join yourself.  You will save 
money in the long run this way.  But if you only need a few hundred or fewer barcodes, then you can save a lot 
of money and even more hassle by getting your codes from us.  GS1 registration can take days and will be very 
expensive.  But with us, you can get the codes you need instantly and very economically.</p>

<h3>4. What do I get for my money?</h3>
<p>Upon receipt of your payment, you will receive your genuine GS1 registered UPC barcodes, graphics for each 
one of your barcodes in GIF, JPG and PNG formats, and a certificate of authenticity. </p>

<h3>5. What else do I get?</h3>
<p>As an optional free service, you can register your product and website (if applicable) with us for inclusion 
in our worldwide UPC database of products.  This can be extremely valuable for companies concerned about Search 
Engine Optimization (SEO) style marketing for their websites.</p>

<h3>6. Are there any other costs?</h3>
<p>There are no additional upfront costs, but as we must renew and pay our GS1 dues annually, there is a $1.00 annual 
renewal fee per UPC code.  You will receive an email from us automatically when it is time to renew.</p>

<h3>7. What happens if I don't renew?</h3>
<p>If you don't renew, your UPC Code will be marked as expired in our system, and after a certain length of 
time to ensure that renewal was not overlooked, the UPC codes will be made available to other licensees. </p>

<h3>8. How do I use my new UPC Bar Codes?</h3>
<p>There are lots of ways.  You can use the included graphics files directly in your package designs.  When 
setting up with a retailer, you will be required to provide data files on your products, including your new 
UPC codes.  On Amazon, you simply type in your 12 digit UUC-12 UPC code into the inventory files you use to 
load your products on their site.</p>

<h3>9. Are there any retailers that will not accept these UPC codes?</h3>
<p>To our knowledge, there is only one company that will not accept these codes, and that is Wal-Mart.  Wal-Mart 
requires all of their suppliers to be registered themselves with the GS1, and to have their own prefix.  Sublicensing 
UPC Codes is not sufficient.  If Wal-Mart is going to buy your products, congratulations!  But you will need your 
own GS1 registration to deal with them.</p>
"));

echo (displayContainerShaded("
<p>Do you need FREE Barcodes created for numbers you already own? 
See <a href=\"http://free-upc-barcodes.com\">free-upc-barcodes</a>.</p>
"));
