<?php 
// Contents for page named  [name]_contents.php 
echo (displayContainerOutline('<h2>Free Barcodes - Generate Them Here!</h2>'));

echo (displayContainerShaded("
<p>
Need to print out some barcodes?  Need a barcode image to place in your product designs?  Use our free tool to generate 12 
digit UPC Barcodes that you can download and use however you like!  Simply type in any 12 digit number in the box below, 
click \"Go\" and the barcode is instantly created for you. 
</p>
"));
 
echo (displayContainerOutline('<h2>Information about UPC Barcodes</h2>'));
 
echo (displayContainerShaded("  
<p>
UPC bar codes are everywhere!  Almost every product you buy in a retail store and online has a UPC bar code. A bar code 
is a unique number that has been assigned by the GS1 organization for the exclusive use of the member company.  
When a company buys these numbers, they can assign them to their products and be assured that they are the only 
ones in world that can use that number to sell their product.  It has been estimated that bar codes have been placed on 
over 85 trillion items.
</p>
 
<p>
In our age of automation and Just in Time logistics, most retailers will not consider selling a product without a 
UPC bar code.  Even ecommerce retailers such as Amazon.com are now requiring UPC codes to list products on their site.
</p>
 
<p>
A GS1 registered UPC barcode can appear in a number of different formats.  The core of these numbers is the same, 
and is 11 digits in length.  The most commonly used barcode in most of the world is called the UUC-12, which is the 11 
unique digits of the barcode, plus a check digit at the end to ensure that the number is correct.  The UUC-12 is the 
barcode commonly found on individual products.  Other formats include the GTIN, which is the same number, but with two 
leading zeros making it 14 digits in length.  Finally, the EU is beginning to use a 13 digit variation of the UPC code 
called an EAN.  EAN based systems are backwards compatible with the 12 digit UUC-12 barcodes, so most people needing a 
barcode should use that format.
</p>
 
<p>
Our Free UPC Barcode generation tool does not create a valid GS1 UPC, as you can fill in whatever digits you like into 
barcode generator including those already assigned.  We created this tool as a free service for people that already 
own a valid GS1 UPC code, or for people that think they might need a code and need to design the UPC into their product 
packaging.  The tool is also extremely useful for people that need to print barcode labels for a variety of purposes 
such as tracking inventory.  NOTE: If you are interested in our label printing service, please email us for details.
</p>
 
<p>
If you need a valid and unique GS1 registered UPC bar code for your product, please email us for details.
</p>
"));


echo (displayContainerOutline('<h2>Other Questions</h2>'));
 
echo (displayContainerShaded("  
<h3>Does your tool generate a valid bar code that I can use on my product?</h3>

<p>Possibly; If you already own the UPC number, then typing that number into our UPC Barcode Generator will 
give you a valid UPC barcode that you can then put on your product.  But it is very important that you do not 
simply enter 12 random digits and send your product out for sale.  First of all, the UPC will likely fail the internal 
checksum when it is scanned.  Even if it did pass, the code is almost certainly the property of some other company.  
Using someone else's UPC code on your product could lead to serious liability issues with your retailers.
</p>

<h3>But I need a valid code. Where can I get one?</h3>

<p>We can supply them.  Thats what we do.<p>

<h3>What type of barcode does your tool generate?</h3>

<p>Our free barcode generation tool creates a 12 digit UUC-12 code in the UPCA format.<p>

<h3>Can your tool generate other formats?</h3>

<p>No, most people just need a UUC-12 code.  Only Europe is trying to move towards EAN 13 digit codes, 
and their systems can still read UUC-12.  This one should be all most people need.
<p>

<h3>I have seen barcode generating programs on the internet for various different prices.  Does your tool really 
generate my codes for free? </h3>

<p>Absolutely! <p>

<h3>I need to print out a big pile of bar code labels to put on my products.  Can your tool do this for me? </h3>

<p>No, our tool just generates the codes one at a time, but if you need to print 100 of them, just put it on a label 
template and run them off your printer.  We have a printing service for people who would like to 
receive their barcodes in the mail.  If this service would be of interest, please let us know.
<p>
"));
?>
