<?php

function Fld($pData)
{
	echo ('<td>'.$pData.'&nbsp;&nbsp;</td>');
}

function FldBold($pData)
{
	echo ('<td><b>'.$pData.'&nbsp;</b></td>');
}

function DisplayDollars($pDollar)
{
	setlocale(LC_MONETARY, 'en_US');
	//return  money_format('%i', $pDollar);
	return '$'.number_format($pDollar,2);
}

// Find the highest purchased barcode
function ListSoldBarCodeClient($pBarcodePurchaseFile, $pClient)
{
	// Determine what the index file should be named
	$mTextFile = $pBarcodePurchaseFile;

	$ic_buffer  = 1024*16;
	$ic_recs    = 0;
	$ic_row		= 0;

	echo ('Cheap-UPC-BarCode Purchase Report for: <b>'.$pClient.'</b><br />');
	echo ('To generate images for the barcodes below, visit:<br />');
	echo ('<b>www.cheap-upc-barcode.com</b><br />');
					
	// Open or create the index file
	if (File_Exists($mTextFile))
	{
		$handleIdx  = fopen($mTextFile, "r");  // Open for Read
		// Load the index
		do
		{
			$buffer = fgets($handleIdx, $ic_buffer);

			$parts = explode(",", $buffer);
			// AddLogRow($ic,ftell($handle),'Row',substr($buffer,0,23),substr($buffer,26,200));
			// echo ($parts[1]."\n");
			if ($parts[1] > $foundBarCode) 
			{
				$foundBarCode = $parts[1];
			}
			
			//echo ($parts[5]. $pClient);
			
			// only put if the client is found
			if  (stripos($parts[5], $pClient)) 
			{
				$ic_row++;
				if ($ic_row == 1)
				{
					// Drop some heading information
					echo ('Licensee: <b>'.$parts[5].'</b><br />');
					echo ('Initial Purchase Date: <b>'.substr($parts[0],0,10).'</b><br />');
					echo ('Initial Quantity: <b>'.$parts[3].'</b><br />');
					echo ('Initial Payment: <b>'.DisplayDollars($parts[4]).'</b><br />');
					// Start the table
					echo ('<table border="1"  border="1" cellpadding="0" cellspacing="0">');
					echo ('<tr>');
					echo FldBold('Purchase Date').FldBold('Barcode').FldBold('Generate').FldBold('Licensee');
					echo ('</tr>');
				}
				
				$mGen='bc_barcode_create.php?barcode='.$parts[1]; //.$parts[2]; - must not have check sum
				echo ('<tr>');
				echo Fld(substr($parts[0],0,10)).Fld($parts[1].$parts[2]).Fld('<a href='.$mGen.'>Click</a>').Fld($parts[5]);
				echo ('</tr>');
			}
			
			
			$ic_recs++;
		} while (!feof($handleIdx));
		fclose($handleIdx);
	}    
	
	// End table if needed
	if ($ic_row > 0)
	{
		echo Fld('<br />Total Barcodes');
		echo FldBold('<br />'.$ic_row);
		echo Fld('');
		echo ('</table>');
	}
	echo ('-- Report End --<br /><br />');
} // GetNextBarCode


// Load up parameters passed from CLI
// eg:  thisprogram.php --File=Hello.txt
// $parms = (getArgs($_SERVER['argv']));
// echo $parms['hello']
// output:  Hello.txt
function getArgs($args) {
 $out = array();
 $last_arg = null;
    for($i = 1, $il = sizeof($args); $i < $il; $i++) {
        if( (bool)preg_match("/^--(.+)/", $args[$i], $match) ) {
         $parts = explode("=", $match[1]);
         $key = preg_replace("/[^a-z0-9]+/", "", $parts[0]);
            if(isset($parts[1])) {
             $out[$key] = $parts[1];   
            }
            else {
             $out[$key] = true;   
            }
         $last_arg = $key;
        }
        else if( (bool)preg_match("/^-([a-zA-Z0-9]+)/", $args[$i], $match) ) {
            for( $j = 0, $jl = strlen($match[1]); $j < $jl; $j++ ) {
             $key = $match[1]{$j};
             $out[$key] = true;
            }
         $last_arg = $key;
        }
        else if($last_arg !== null) {
         $out[$last_arg] = $args[$i];
        }
    }
 return $out;
}

///////////// MAIN ///////////////

$mMode = 'CLI';
$parms = (getArgs($_SERVER['argv']));
$mClient  		= $parms['client'];
if (($mClient == ''))
{
	$mMode = 'WEB';
	$mClient 		= $_GET['client'];
}	

// Final test
if (($mClient == ''))
{
	echo ('Must pass client parameter');
	die;
}	


// Find important files
$dir = 'barcodes/';
$mPurchaseDir = 'purchase/';
$mPurchaseFile = $mPurchaseDir.'barcodes_purchased.csv';

// C:\xampp\php\php.exe bc_barcode_create.php --barcode=62858610152 --quantity=2 --payment=19.95 --client="Bob's Space"	
//decho $mBarCode."\n";

// Run the report
$mBarCode = ListSoldBarCodeClient($mPurchaseFile, $mClient);
