<?php
/**
 * cr_passwordreest.php
 * 
 * Provides the user with an option to reset their password
 *
 * by: vbaker@engenic.com
 * Last Updated: March 6, 2007
 */
$incPath = '';
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");
require_once($websiteLibrary.'calcWorkUnit.php');   


// Return to the main page if the user selected a reset
if ((isset($_SESSION['regsuccess']))) 
{
	if ($_SESSION['regsuccess'] == true)
	{
		unset($_SESSION['regsuccess']);
		header(sprintf("Location: %s", "cr_passwordreset2.php"));      
	}
}



?>
<?php 
include("include/header.php"); 
// JavaScript goes here + + +
?>
<script language="javascript">
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{	
	<?php include('cr_javascript_graphics.php'); ?>
}
)
</script>
<?php
include("include/header_divs.php"); 
?>

<div id="topbar">
<?php 
echo CheckCurrentMenu($appSysUri, currentPage(), 'Password Reset',  $incPath.$webCSSMenuGraphic);
echo CheckMenuText('Reset Your '.$appMarketingName.' Password');
?>
</div>

<div id="frontpage">
<div id="maintext">

<!-- Header standard -->
<TABLE cellPadding=5 border=0>
<TBODY>
<TR>
<TD>
<?php 
// See if a company code is being passed
$companycode = $appCompanySvcCode;  // was '' 
$form->setValue("company", $companycode);
?>

<form action="cr_process.php" method="POST">

<table width="750" align="left" border="0" cellspacing="0" cellpadding="3">

<tr>
  <td width="180">&nbsp;</td>
  <td width="180">&nbsp;</td>
  <td width="10">&nbsp;</td>
  <td width="180">&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td colspan="3">This process will send an email to your <?php echo $appMarketingName;?> account email address. 
  To reset your password, click on the link included within, and you will be taken a page where you can
  select a new password. 
  <br />
  <br />
  If you came to this page in error,
  you can sign on at the <a href="cr_main.php"><u>Client Access</u></a> page.</td>
  <td>&nbsp;</td>
  <td><div align="right"><img src="images/30second-setup.gif" width="87" height="50" /></div></td>
</tr>

<tr>
  <td>&nbsp;</td>
  <td colspan="4"><h2>Account Definition</h2></td>
</tr>

<tr>
  <td><span class="style5">Email Address </td>
  <td><input type="text" name="email" maxlength="50" size="30" value="<?php echo $form->value("email"); ?>"></td>
  <td>&nbsp;</td>
  <td><?php echo $form->error("email"); ?></td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td>&nbsp;</td>
  <td colspan="4"><h2>Name on Account </h2></td>
</tr>

<tr>
  <td>&nbsp;</td>
  <td colspan="4">The names must match for a reset</td>
</tr>


<tr>
  <td><span class="style5">First Name</td>
  <td><input type="text" name="namefirst"  maxlength="25"  size="20" value="<?php echo $form->value("namefirst"); ?>"></td>
  <td>&nbsp;</td>
  <td><?php echo $form->error("namefirst"); ?></td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td><span class="style5">Middle</td>
  <td><input type="text" name="namemiddle" maxlength="1"   size="1"  value="<?php echo $form->value("namemiddle"); ?>"></td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
  <td><span class="style5">Last Name</td>
  <td><input type="text" name="namelast"   maxlength="50"  size="20" value="<?php echo $form->value("namelast"); ?>"></td>
  <td>&nbsp;</td>
  <td><?php echo $form->error("namelast"); ?></td>
  <td>&nbsp;</td>
</tr>


<tr>
  <td colspan="5">&nbsp;</td>
</tr>


<tr>
  <td>&nbsp;</td>
  <td colspan="2" align="left">
  <input type="hidden" name="resetpass" value="1">
  <input type="submit" value="Request Password Reset"></td>
  <td colspan="2"><h3>Check your email</h3>
  </td>  
</tr>

<tr>
  <td colspan="5">&nbsp;
</td>
</tr>

</table>
</form>


<?php


?>
</TD>
</TR>
</TBODY>
</TABLE>


<!-- Footer standard -->
</div>	
</div>
<?php 
include("include/footer.php");
?>