<?php
/*
* xml_media_publish.php
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Samples
// <REQUEST action="Hello" client_id="1"></REQUEST>
// -- Gives --
// <RESPONSE action="Hello"><SUCCESS action="Hello" result="SUCCESS" type="DB">Greetings: Database is up, and we are here to serve</SUCCESS></RESPONSE>

// <REQUEST action="MediaFileCreateNew" client_id="2" app_type_name="TWITYAX" media_file_type="RECORDING" ivr_computer_name="EUROPA" ivr_port="12" called_number="6046396391" calling_number="6046170310"></REQUEST>
// -- Gives --
// <RESPONSE action="MediaFileCreateNew"><SUCCESS action="MediaFileCreateNew" result="SUCCESS" type="DB" media_file_id="4" ...




header('Content-Type: text/xml');
header("Cache-Control: no-cache, must-revalidate");
//A date in the past
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath.$sessionphp);

require_once($websiteLibrary.'calcWorkUnit.php');     
require_once($websiteLibrary.'httpWorkUnit.php');
require_once($websiteLibrary.'mediaWorkUnit.php');

/////////////////////////// XML_MEDIA_PUBLISH FUNCTIONS ///////////////////////////////
// NOTE: This is a holder for the functions that are referenced in body
include('xml_media_publish_functions.php');
/////////////////////////// XML_MEDIA_PUBLISH FUNCTIONS ///////////////////////////////

/////////////////////////// MAIN ///////////////////////////////
// NOTE: This section is where data is passed. 
// Get the full request for POST
$data         = file_get_contents("php://input");
//$data         = file_get_contents("test_sendtest.xml");  // Debug

// See if we are GETTING
//$get_cmd=htmlspecialchars($_GET['cmd'],ENT_QUOTES);
// Log it to a text file as backup
$stringData = $data."\n"."-- User attempted XML for: ".Date('G:i:s')."\n\n";
LogTextToFile($incPath.SYSTEM_LOGFILES."XML_media_publish_".Date('Y-m-d').".log", $stringData);


/////////////////////////// XML_MEDIA_PUBLISH BODY ///////////////////////////////
// NOTE: This section works with the value in $data
include('xml_media_publish_body.php');
/////////////////////////// XML_MEDIA_PUBLISH BODY ///////////////////////////////



/////////////////////////// FINAL ///////////////////////////////
// NOTE: Determine what to return (see Body for values)
// Return results
// Displays out to the screen
/*
echo '<?xml version="1.0" encoding="ISO-8859-1"?>';
*/
$xmldata = $domobject->saveHTML();   

header('Content-Type: text/xml');	
echo $xmldata;
//mysql_free_result($voicemail);
?>