<?php
/*
* xml_publish.php
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Samples
// <REQUEST action="Hello"></REQUEST>
// -- Will give:  <RESPONSE action="Hello"><RESULT>Hi back: We are here to serve</RESULT></RESPONSE>
//
// <REQUEST action="Delete" MsgId="9509"></REQUEST>
// -- Will give: <RESPONSE action="Delete"><Message Delete="Success">1</Message></RESPONSE>
// -- or <RESPONSE action="Delete"><Message Delete="Fail" Reason="MsgId Not Found">0</Message></RESPONSE>
//
// <REQUEST action="Save" MsgId="9509"></REQUEST>
// -- Will give: <RESPONSE action="Save"><Message Saved="Success">1</Message></RESPONSE>
// -- 
//
// <REQUEST action="LastMsgId" UserId="2" MsgId="9510"></REQUEST>
// --  <response action="LastMsgId"><Message Result="NothingNew">9510</Message></response>
// --  <response action="LastMsgId"><Message Result="NewMessage">9515</Message></response>
//
//
header('Content-Type: text/xml');
header("Cache-Control: no-cache, must-revalidate");
//A date in the past
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
require($incPath.$sessionphp);

require_once($websiteLibrary.'calcWorkUnit.php');     
require_once($websiteLibrary.'httpWorkUnit.php');     

/////////////////////////// STAFFCMD FUNCTIONS ///////////////////////////////
// NOTE: This is a holder for the functions that are referenced in body
include('xml_recordingpublish_functions.php');
/////////////////////////// STAFFCMD FUNCTIONS ///////////////////////////////


/////////////////////////// MAIN ///////////////////////////////
// NOTE: This section is where data is passed. 
// Get the full request for POST
$data         = file_get_contents("php://input");
//$data         = file_get_contents("test_sendtest.xml");  // Debug

// See if we are GETTING
//$get_cmd=htmlspecialchars($_GET['cmd'],ENT_QUOTES);
// Log it to a text file as backup
$stringData = $data."\n"."-- User attempted XML for: ".Date('G:i:s')."\n\n";
LogTextToFile($incPath.SYSTEM_LOGFILES."XML_publish_".Date('Y-m-d').".log", $stringData);


/////////////////////////// STAFFCMD BODY ///////////////////////////////
// NOTE: This section works with the value in $data
include('xml_recordingpublish_body.php');
/////////////////////////// STAFFCMD BODY ///////////////////////////////



/////////////////////////// FINAL ///////////////////////////////
// NOTE: Determine what to return (see Body for values)
// Return results
// Displays out to the screen
/*
echo '<?xml version="1.0" encoding="ISO-8859-1"?>';
*/
$xmldata = $domobject->saveHTML();   

header('Content-Type: text/xml');	
echo $xmldata;
//mysql_free_result($voicemail);
?>