<?php
$oauthPath = "../oauth/";
include_once($oauthPath ."TwitterOauth.php"); 
include_once($oauthPath ."TwitterUpdateStatus.php");

// Responses provided by the PHP program
$responsecode = "";


// Date and Time defaults
$teleflowDate = Date("Y/m/d");
$teleflowTime = Date("H:i:s");
     // yyyy/mm/dd ==> mm/dd/yyyy
$webDate      = Date("m/d/Y");


//echo("<BR><BR>".$data."<BR><BR>");
//decho("STARTED at ".teleflowNowDate()." ".teleflowNowTime()." (".$webDate.")<BR>");

// Set up file names
$stmp        = date("Y-m-d_H-i-s");
$fold        = "log/";
// Create the log folder
if (!is_dir($fold))
{
    mkdir($fold);
}
$reqf  = $fold.$cSysName."_".$stmp."_request.xml";
$resf  = $fold.$cSysName."_".$stmp."_response.xml";


// Assume an XML document, and process...
$doc = new DOMDocument();

// Get the session user name.  Note: will be "Guest" (GUEST_NAME) if no one has signed on
$request_UserName = $_SESSION['username'];

$request_Command = '';
// Did the user actually send a request?
if ($data <> '')
{
	$doc->loadXML($data);
	// save it for later review
	//$doc->save($reqf);

	// XML Command request
	// -- Find out what the command is (Must be a REQUEST)
	$theFile = $doc->getElementsByTagName('REQUEST')->item(0);

	if ($theFile->hasAttribute('action'))
	{
		$request_Command  = $theFile->getAttribute('action');
		// "username" only needs to be send if testing is being done... other wise its a session variable
		if ($theFile->getAttribute('username') <> "")
		{
			$request_UserName = $theFile->getAttribute('username');
		}
		
		// Get the client_id
		$mClient_id = $theFile->getAttribute('client_id');
	}
}

//echo 'Here'.$mClient_id;

// Create the Result XML document
$domobject = new DOMDocument('1.0', 'utf-8');

// Wrap the request
$elementHolder  = $domobject->createElement("RESPONSE", "");
$elementHolder->setAttribute("action", "invalid"); //$request_Command); 
// Default 

$error   = 'ERROR';
$success = 'SUCCESS';
// Types --
$db      = 'DB';
$cmd     = 'CMD';

// Review the requested Command
if ($request_Command <> "") 
{
	if (!allowAccessForIPListOrLocalIPs($cLocationAccess ))
	{
		// We cannot allow this request to go through
		$mIP = getClientIpAddress();
		$responsecode = "Failed request due to access control blocking ".$mIP;
		$elementHolder->removeAttribute("action");
		$elementHolder->setAttribute("action", $request_Command); 
		$elementHolder->setAttribute("result", $error); 
		$elementHolder->setAttribute("type",   $db); 
		$elementHolder->setAttribute("ipaddress",    $mIP);
		// Add verbose TEST 
		$elementHolder->appendChild($domobject->createTextNode($responsecode));
		
	}
	else
	{
		// We are good to go
		$elementHolder->setAttribute("action", $request_Command); 



	/*
	// See if we can select the database 
	// - Try first with the client ID, and then go to the username for in session usages
	if ($mClient_id <> '')
	{
		$db_selected2  = $database->selectClientDatabaseByMasterClientId($mClient_id);
	}
	else
	{
		$db_selected2  = $database->selectClientDatabaseByUsername($request_UserName);
	}
	
	// Fail to connect to database
	if (!$db_selected2)
	{
		$responsecode = "Failed to Connect to Database for ".$request_UserName;
		$elementHolder->setAttribute("action", $request_Command); 
		$elementHolder->setAttribute("result", $error); 
		$elementHolder->setAttribute("type",   $db); 
		// Add verbose TEST 
		$elementHolder->appendChild($domobject->createTextNode($responsecode));
	}
	else
	{
	*/
   
      /////////////////////////////////////////////////////////
      if ($request_Command == "Hello")
      /////////////////////////////////////////////////////////
      {
		$responsecode = "Greetings: Database is up, and we are here to serve";
				
		$elementSuccess  = $domobject->createElement("SUCCESS");
		$elementSuccess->setAttribute("action", $request_Command); 
		$elementSuccess->setAttribute("result", $success); 
		$elementSuccess->setAttribute("type",   $db); 
		// Add verbose TEST 
		$elementSuccess->appendChild($domobject->createTextNode($responsecode));
		// Add to the complete list
		$elementHolder->appendChild($elementSuccess);		
		
      }

      /////////////////////////////////////////////////////////
      if ($request_Command == "Sleep")
      /////////////////////////////////////////////////////////
      {
		$seconds      = GetNonEmptyValue($theFile->getAttribute('seconds'), -1);
		$responsecode = "Sleeping for ".$seconds." seconds.";
		//sleep for x seconds
		sleep($seconds);

				
		$elementSuccess  = $domobject->createElement("SUCCESS");
		$elementSuccess->setAttribute("action", $request_Command); 
		$elementSuccess->setAttribute("result", $success); 
		$elementSuccess->setAttribute("type",   $db); 
		// Add verbose TEST 
		$elementSuccess->appendChild($domobject->createTextNode($responsecode));
		// Add to the complete list
		$elementHolder->appendChild($elementSuccess);		
		
      }
	  	  
	/////////////////////////////////////////////////////////
	if (($request_Command == "PostTwitter"))
	/////////////////////////////////////////////////////////
	{
		// Defaults
		$mMedia_directory 	= '';
		if ($theFile->hasAttribute('media_directory'))
		{
			$mMedia_directory = $theFile->getAttribute('media_directory');			
		}
						
		if (($theFile->hasAttribute('name')))
		{
			$mName      = $theFile->getAttribute('name');	
		}
		
		if($theFile->hasAttribute('client_id'))
		{
			$mClientID = $theFile->getAttribute('client_id'); 
		}
		
		$mMsg = "Hear my twitYAX!";
		$mMsg2 = "(Get your own now! http://twityax.com)";
		if($theFile->hasAttribute('msg'))
		{
			$mMsg = $theFile->getAttribute('msg'); 
		}
		
		$isTwitYax = 0; 
		if ($theFile->hasAttribute('oauth_key1'))
		{
			$access_token = $theFile->getAttribute('oauth_key1'); 
			
			if($theFile->hasAttribute('oauth_key2'))
			{
				$access_secret = $theFile->getAttribute('oauth_key2');	
				$isTwitYax = 1; 
			}

			// Build the file to post
			$filepath = CLIENT_MEDIA_AREA."/client_".zeroFill($mClientID,5)."/" . $mMedia_directory . "/" . $mName;
			$filepath = rawurlencode($filepath); 

			//. $serverRootPath .  ."127.0.0.1/". 
			$mFullMessage = $mMsg." ".
							"http://twityax.com/player.php?file=".$filepath." ".
							$mMsg2;
			$handleTwitter = new TwitterUpdateStatus($mFullMessage,
											$access_token,
											$access_secret);			
											
			if($handleTwitter->HTTPStatus() == 200 && $isTwitYax == 1)
			{
				$responsecode = "Saving ".$mName;
				$elementSuccess  = $domobject->createElement("SUCCESS");
				$elementSuccess->setAttribute("action", $request_Command); 
				$elementSuccess->setAttribute("result", $success); 
				$elementSuccess->setAttribute("type",   $db); 
				$elementSuccess->setAttribute("tweetStatus", "1"); //added this to indicate a successfull status update.

			}
			else if($handleTwitter->HTTPStatus() != 200 && $isTwitYax == 1)
			{
				$responsecode = "Error Failed to Update Twitter Account Status";
				$elementSuccess  = $domobject->createElement("FAILURE");
				$elementSuccess->setAttribute("action", $request_Command); 
				$elementSuccess->setAttribute("result", $success); 
				$elementSuccess->setAttribute("type",   $db); 
				$elementSuccess->setAttribute("tweetStatus", "0"); //added this to indicate a successfull status update. 

			}
			/*		
			if ($isTwitYax == 1)
			{
				$responsecode = "Test Run ".$mName;
				$elementSuccess  = $domobject->createElement("SUCCESS");
				$elementSuccess->setAttribute("action", $request_Command); 
				$elementSuccess->setAttribute("result", $success); 
				$elementSuccess->setAttribute("type",   $db); 
				$elementSuccess->setAttribute("tweetStatus", "1"); //added this to indicate a successfull status update. 
			}*/
		}
		// Add verbose TEST 
		$elementSuccess->appendChild($domobject->createTextNode($responsecode));
		// Add to the complete list
		$elementHolder->appendChild($elementSuccess);		
	}


	/////////////////////////////////////////////////////////
	if (($request_Command == "PostMediaToTwitter"))
	/////////////////////////////////////////////////////////
	{
		// Defaults
		$mmedia_file_id	= '';
		if ($theFile->hasAttribute('media_file_id'))
		{
			$mmedia_file_id = $theFile->getAttribute('media_file_id');			
		}

		$mmedia_owner_u_id	= '';
		if ($theFile->hasAttribute('media_owner_u_id'))
		{
			$mmedia_owner_u_id = $theFile->getAttribute('media_owner_u_id');			
		}
		
		$mClientID = '';
		if($theFile->hasAttribute('client_id'))
		{
			$mClientID = $theFile->getAttribute('client_id'); 
		}
		
		$mMedia_file_directory 	= '';
		if ($theFile->hasAttribute('media_file_directory'))
		{
			$mMedia_file_directory = $theFile->getAttribute('media_file_directory');			
		}

		$mName      = '';
		if (($theFile->hasAttribute('media_file_name')))
		{
			$mName      = $theFile->getAttribute('media_file_name');	
		}
		
		$mMsg = "Hear my twitYAX!";
		$mMsg2 = "(Get your own now! http://twityax.com)";
		if($theFile->hasAttribute('msg'))
		{
			$mMsg = $theFile->getAttribute('msg'); 
		}

		if (($mClientID <> '') && 
			($mmedia_file_id <> '') &&
			($mmedia_owner_u_id <> ''))
		{
			// Return the file name to something we can look up
			// - Note: the file transfer status should be indexed to make lookups fast
			$database->selectClientDatabaseByMasterClientId($mClientID);
			$req_user_info = $database->getUserIdData($mmedia_owner_u_id);
			if ($req_user_info)
			{
				// Change the transfer type			
				// $access_token
				$mOauthKey1 = $req_user_info['u_oauth_access_key'];
				// $access_secret
				$mOauthKey2 = $req_user_info['u_oauth_secret_access_key'];
				
			}
		
			// Build the file to post
			$filepath = CLIENT_MEDIA_AREA."/client_".zeroFill($mClientID,5)."/".$mMedia_file_directory."/".$mName;
			$filepath = rawurlencode($filepath); 
			
			//. $serverRootPath .  ."127.0.0.1/". 
			$mFullMessage = $mMsg." ".
							"http://twityax.com/player.php?file=".$filepath." ".
							$mMsg2;
			$handleTwitter = new TwitterUpdateStatus($mFullMessage,
											$mOauthKey1,
											$mOauthKey2);			
											
			if($handleTwitter->HTTPStatus() == 200)
			{
				$responsecode = "Saving ".$mName;
				$elementSuccess  = $domobject->createElement("SUCCESS");
				$elementSuccess->setAttribute("action", $request_Command); 
				$elementSuccess->setAttribute("result", $success); 
				$elementSuccess->setAttribute("type",   $db); 
				$elementSuccess->setAttribute("tweetStatus", "1"); //added this to indicate a successfull status update.

			}
			else if($handleTwitter->HTTPStatus() != 200)
			{
				$responsecode = "Error Failed to Update Twitter Account Status";
				$elementSuccess  = $domobject->createElement("FAILURE");
				$elementSuccess->setAttribute("action", $request_Command); 
				$elementSuccess->setAttribute("result", $success); 
				$elementSuccess->setAttribute("type",   $db); 
				$elementSuccess->setAttribute("tweetStatus", "0"); //added this to indicate a successfull status update. 

			}
		}
		
		// Add verbose TEST 
		$elementSuccess->appendChild($domobject->createTextNode($responsecode));
		// Add to the complete list
		$elementHolder->appendChild($elementSuccess);		
	} // PostMediaToTwitter
			
	/////////////////////////////////////////////////////////
	if (($request_Command == "FileUpload") ||
		($request_Command == "FileUploadTwitYax"))
	/////////////////////////////////////////////////////////
	{
		// Defaults
		$mMedia_owner_u_id	= 0;
		$mMedia_id			= 0;
		$mMedia_type		= '';
		$mMedia_directory 	= '';
		
		$mClientID = 0;
		if($theFile->hasAttribute('client_id'))
		{
			$mClientID = $theFile->getAttribute('client_id'); 
		}		
		
		if ($theFile->hasAttribute('media_directory'))
		{
			$mMedia_directory = $theFile->getAttribute('media_directory');			
		}
			
		if ($theFile->hasAttribute('media_type'))
		{
			// We may need to manipulate files, and will need to based one what the data type is
			$mMedia_type = $theFile->getAttribute('media_type');			
		}

		$mMsg = "Hear my twitYAX!";
		$mMsg2 = "(Get your own now! http://twityax.com)";
		if($theFile->hasAttribute('msg'))
		{
			$mMsg = $theFile->getAttribute('msg'); 
		}
					
		if (($theFile->hasAttribute('name')))
		{
			$mName      = $theFile->getAttribute('name');	

			// If we have received a GSM, that will be promoted to WAV format
			if ($mMedia_type == 'GSM')
			{
				$mName = str_replace('_GSM', '', $mName);			
			}

			
			//$element = $theFile->documentElement;
			$mContent = '';
			foreach ($theFile->childNodes as $value)
			{
				if ($value->nodeName == 'FileContents')
				{
					//echo $value->nodeName . "  is the name of the node ......whose content value is ...... " .  
					$mContents = $value->nodeValue;
				}
			}

			// Did anything come along?
			if (strlen($mContents) > 0)
			{
				// Determine the names of the files
				$uploadroot = $incPath.CLIENT_MEDIA_AREA;
				// Does it exist?
				if (!is_dir($uploadroot))
				{
					// Does now
					mkdir($uploadroot);
				}				

				// Location of the client
				$uploadpath = $uploadroot.'/client_'.zeroFill($mClient_id,5); //.'/recordings';
				// Does it exist?
				if (!is_dir($uploadpath))
				{
					// Does now
					mkdir($uploadpath);
				}				
				// Location of the client recordings
				$uploadpath .= '/'.$mMedia_directory;
				// Does it exist?
				if (!is_dir($uploadpath))
				{
					// Does now
					mkdir($uploadpath);
				}				

				$mLocalFilename = $uploadpath.'/'.$mName;
					
				// Remove if exists
				if (file_exists($mLocalFilename))
				{
					unlink($mLocalFilename);
				}
				
				
				// Save the file to the appropriate place.  Check the client information
				$mFileSize = -1;
				if ($handle = fopen($mLocalFilename, "wb")) // windows MUST have a 'b' for binary
				{
					fwrite($handle, base64_decode($mContents));
					fclose($handle);
					
					// Get the file size
					clearstatcache();
					$mFileSize = (filesize($mLocalFilename));
				}
				
				// Assume twityax if we have an oauth_key
				$isTwitYax = 0; 
				if ($theFile->hasAttribute('oauth_key1'))
				{
					$access_token = $theFile->getAttribute('oauth_key1'); 
					
					if($theFile->hasAttribute('oauth_key2'))
					{
						$access_secret = $theFile->getAttribute('oauth_key2');	
						$isTwitYax = 1; 
					}
					//access_token -> "57459848-0g1PayErQOcldJ8nPL6QJrCv8cqMSKq9dBomhfpfp"
					//access_secret->bbRrMzwcOKfrsML7X6LAfbt1rTg38QMZI6e3Cv7s
					/*
					$handleTwitter = new TwitterUpdateStatus("twitYax Voice Tweet: ".$mLocalFilename,
													$access_token,
													$access_secret);							
					*/
					//access_token -> "57459848-0g1PayErQOcldJ8nPL6QJrCv8cqMSKq9dBomhfpfp"
					//access_secret->bbRrMzwcOKfrsML7X6LAfbt1rTg38QMZI6e3Cv7s
					//http://twityax.com/cr_client_media/client_00002/2009-08-24/TWITYAX_2_RECORDING_39_20090824164853_012_6046396391_6046170310.mp3
					$filepath = CLIENT_MEDIA_AREA."/client_".zeroFill($mClientID,5)."/" . $mMedia_directory . "/" . $mName;
					$filepath = rawurlencode($filepath); 

					//. $serverRootPath .  ."127.0.0.1/". 
					$mFullMessage = $mMsg." ".
									"http://twityax.com/player.php?file=".$filepath." ".
									$mMsg2;
					$handleTwitter = new TwitterUpdateStatus($mFullMessage,
													$access_token,
													$access_secret);			
											
					if($handleTwitter->HTTPStatus() == 200 && $isTwitYax == 1)
					{
						$responsecode = "Saving ".$mName;
						$elementSuccess  = $domobject->createElement("SUCCESS");
						$elementSuccess->setAttribute("action", $request_Command); 
						$elementSuccess->setAttribute("result", $success); 
						$elementSuccess->setAttribute("type",   $db); 
						$elementSuccess->setAttribute("tweetStatus", "1"); //added this to indicate a successfull status update. 
						$elementSuccess->setAttribute("contentsize",	strlen($mContents));
						$elementSuccess->setAttribute("filesize",   	$mFileSize);
					}
					else if($handleTwitter->HTTPStatus() != 200 && $isTwitYax == 1)
					{
						$responsecode = "Error Failed to Update Twitter Account Status";
						$elementSuccess  = $domobject->createElement("FAILURE");
						$elementSuccess->setAttribute("action", $request_Command); 
						$elementSuccess->setAttribute("result", $success); 
						$elementSuccess->setAttribute("type",   $db); 
						$elementSuccess->setAttribute("tweetStatus", "0"); //added this to indicate a successfull status update. 
						$elementSuccess->setAttribute("contentsize",	strlen($mContents));
						$elementSuccess->setAttribute("filesize",   	$mFileSize);
					}
				
				}
				
				// A twityax was not sent, so show this as the save
				if($isTwitYax == 0)
				{
					$responsecode = "Saving ".$mName;
					$elementSuccess  = $domobject->createElement("SUCCESS");
					$elementSuccess->setAttribute("action", $request_Command); 
					$elementSuccess->setAttribute("result", $success); 
					$elementSuccess->setAttribute("type",   $db); 
					$elementSuccess->setAttribute("tweetStatus", "1"); //added this to indicate a successfull status update. 
					$elementSuccess->setAttribute("contentsize",	strlen($mContents));
					$elementSuccess->setAttribute("filesize",   	$mFileSize);			
				}				
			}
			else
			{
				$responsecode = "Error: File empty";			
				
				$elementSuccess  = $domobject->createElement("FAILURE");
				$elementSuccess->setAttribute("action", $request_Command); 
				$elementSuccess->setAttribute("result", $error); 
				$elementSuccess->setAttribute("type",   $db); 
				$elementSuccess->setAttribute("contentsize",   strlen($mContents));
			}
					
			// Add verbose TEST 
			$elementSuccess->appendChild($domobject->createTextNode($responsecode));
			// Add to the complete list
			$elementHolder->appendChild($elementSuccess);		
		}
		else
		{
			// Error - File does not exist			
			$responsecode = 'Parameters incorrect or missing';
			$elementFailure  = $domobject->createElement("FAILURE");
			$elementFailure->setAttribute("action", $request_Command); 
			$elementFailure->setAttribute("result", $error); 
			$elementFailure->appendChild($domobject->createTextNode($responsecode));			
			$elementHolder->appendChild($elementFailure);					
		}
	}


	  
	/////////////////////////////////////////////////////////
	else if ($request_Command == "LogEvent")
	/////////////////////////////////////////////////////////
      {
		$responsecode = "Response";
		$elementHolder->setAttribute("action", $request_Command); 
		// See if the table exists
		$q = "SHOW TABLES LIKE 'event_log'";
		$result = mysql_query($q);
		$row=mysql_fetch_array($result);
		if ($row == FALSE)
		{
			// Create the table
			$qCreate = TableCreate_Event_Log();
			$result = mysql_query($qCreate);
			// What happened?
			if ($result == FALSE) 
			{
				$responsecode = "Failed to Create Table";
				$elementHolder->setAttribute("action", $request_Command); 
				$elementHolder->setAttribute("result", $error); 
				$elementHolder->setAttribute("type",   $db); 
				// Add verbose TEST 
				$elementHolder->appendChild($domobject->createTextNode($responsecode));
			} 
		}
		
		
		// If we are good to go,
		if ($result)
		{
			// If there is missing info, set it up
			$log_date      = GetNonEmptyValue($theFile->getAttribute('log_date'), teleflowNowDate());
			$log_time      = GetNonEmptyValue($theFile->getAttribute('log_time'), teleflowNowTime());
			$evt_port      = GetNonEmptyValue($theFile->getAttribute('evt_port'), -1);
			$log_version   = '400';
			// evt_code here
			$call_start    = GetNonEmptyValue($theFile->getAttribute('call_start'),  -1);
			$call_elapse   = GetNonEmptyValue($theFile->getAttribute('call_elapse'), -1);
			
			// Log the entry
			$qInsert = "			
INSERT INTO event_log
	(evt_date,
	evt_time,
	evt_port,
	log_format_version,
	evt_code,
	evt_start,
	call_duration,
	logging_app,
	site_code,
	region_code,
	evt_type,
	evt_data1,
	evt_data2,
	evt_data3,
	evt_timestamp
	)
VALUES
	('".$log_date."',
	 '".$log_time."',
	  ".$evt_port.",
	 '".$log_version."',
	 '".$theFile->getAttribute('evt_code')."',
	  ".$call_start .",
	  ".$call_elapse.",
	 '".$theFile->getAttribute('tf_app')."',
	 '".$theFile->getAttribute('site_code')."',
	 '".$theFile->getAttribute('region_code')."',
	 '".$theFile->getAttribute('evt_type')."',
	 '".$theFile->getAttribute('evt_data1')."',
	 '".$theFile->getAttribute('evt_data2')."',
	 '".$theFile->getAttribute('evt_data3')."',
	 ".time()."	 
	)";

			$result = mysql_query($qInsert);
			//echo($qInsert);
			// What happened?
			if ($result == FALSE) 
			{
				$responsecode = "Failed to Insert Record";
				$elementHolder->setAttribute("action", $request_Command); 
				$elementHolder->setAttribute("result", $error); 
				$elementHolder->setAttribute("type",   $db); 
				// Add verbose TEST 
				$elementHolder->appendChild($domobject->createTextNode($responsecode));
				// If debug
				if ($OutPutMode)
				{
					$elementHolder->appendChild($domobject->createElement("DEBUG", $qInsert));			
				}				
			} 
			else
			{
				//  SUCCESSFULLY Inserted log data
				$elementHolder->setAttribute("action", $request_Command); 
				$elementHolder->setAttribute("result", $success); 
				$elementHolder->setAttribute("type",   $db); 
			}
		}
      }
	
	} // if allowed to access
}
else
{
   //decho("NO COMMAND Provided<BR>");
   $elementHolder->setAttribute("action", "NotDefined");
   // Final results
   $responsecode = "ERROR: No Command Provided";
   $elementResult  = $domobject->createElement("RESULT", $responsecode);
}

// Put it all together
//$elementHolder->appendChild($elementResult);
$domobject->appendChild($elementHolder);
// Save to Log dir .. if there was a request
if ($request_Command <> "") 
{
    // No saving for this app.  Its not creating new info really
    //$domobject->save($resf);
}
?>