<?php
/**
 * cc_archiver.php
 * copyright (c) 2010 connectrelay
 * Written by (teleflow / web access updates) : vbaker@engenic.com
 * Last Updated: April 8, 2010
*/
// Determine relative location for paths
require_once("cr_reference.php"); 
require_once($incPath.'LocalSettings.php'); 
//require($incPath."include/session.php");
//require($incPath."include/session_nodb.php");
require($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php'); 
require_once($websiteLibrary.'fileWorkUnit.php'); 
include('cc_library.php');

// Take the logged in client id
$mClient_id = $session->sessionActiveClientSecurity();

include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<style type="text/css">
@import url(../include/callcapture.css);
</style>

<script type="text/javascript" src="/library_js/jquery.jmp3.js?1"></script>
<script type="text/javascript">
var monthName = new Array("January","February","March","April","May","June","July","August","September","October","November","December");
var dayName   = new Array('Sun,', 'Mon,', 'Tue,', 'Wed,', 'Thu,', 'Fri,', 'Sat,');
// Remember the dates

var mDate = new Date();

var datePick1Desc = dayName[mDate.getDay()]+" "+monthName[(Number(mDate.getMonth()))]+" "+mDate.getDate();					
var datePick1Date = teleflowNowDate();
var mMinDays = 45;
		
var minPick1  = 45;	

var reportPage = 1;
var reportLast = 1;

// Return a clock time
function getClockTime(hour, minute)
{
   var ap = "am";
   if (hour   > 11) { ap = "pm";             }
   if (hour   > 12) { hour = hour - 12;      }
   if (hour   == 0) { hour = 12;             }
   if (hour   < 10) { hour   = hour;   }
   if (minute < 10) { minute = "0" + minute; }
   var timeString = hour +
                    ':' +
                    minute +
					''+
                    ap;
   return timeString;
} // function getClockTime()



function UpdateReport(pPageNo)
{
	// Selected server (location)
	var	serverSelect = '';
	var selected = $("#location_code option:selected"); 
	serverSelect = selected.val();	
	
	selectedDate=$('#datepicker-pastonly-1').datepicker("getDate");
	var month = selectedDate.getMonth();
	var day = selectedDate.getDate();
	var year = selectedDate.getFullYear();	
	var countToDate = formatTeleFlowDate(year, month+1, day);
	
	$.ajax({ type: "POST", 
				url: "cc_ajax_command.php", 						
				data: { action:		"CountMediaFilesOlderThanDate",
						client_id:	$('#client_id').val(), 
						include_table:'CALLCAPTURE',
						date_min:	countToDate,
						server:		serverSelect,
						gettype:'XML', nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data){

			// Find the total
			$(data).find('TOTALRESULT').each(function()
			{
				//alert( $(this).attr('media_file_id') );
				mCount = $(this).attr('total');
			});			

			// Update with the details
			ReportDisplayOption(mCount);
			
		},
		error: function (xhr, desc, exceptionobj) 
		{
			//alert(xhr.responseText);					
		}				
		}
	);		
}  // UpdateReport


// Display the update button, and fire off
function ReportDisplayOption(pTotal)
{
	if (pTotal == 0)
	{
		mMsg = 'There are currently no recordings available for purging';
		$("#purgequestion").removeClass().addClass('messagemakeselection').html(mMsg);
		$("#purgebutton").hide();
	}
	else
	{
		mMsg = 'Confirm you want to purge approximately '+pTotal+' recordings';
		$("#purgequestion").removeClass().addClass('messagemakeselection').html(mMsg);		
		$("#purgebutton").show();
	}
	
	$("#purgequestion").show();
	
} // ReportDisplayOption



// Do the command to run the purging of files from the server computer
function RunPurgeProcess()
{
	$("#spinner").show();
	$("#purgebutton").hide();

	// Selected server (location)
	var	serverSelect = '';
	var selected = $("#location_code option:selected"); 
	serverSelect = selected.val();	
	
	selectedDate=$('#datepicker-pastonly-1').datepicker("getDate");
	var month = selectedDate.getMonth();
	var day = selectedDate.getDate();
	var year = selectedDate.getFullYear();	
	var countToDate = formatTeleFlowDate(year, month+1, day);
	
	$.ajax({ type: "POST", 
				url: "cc_ajax_command.php", 						
				data: { action:		"PurgeMediaFilesOlderThanDate",
						client_id:	$('#client_id').val(), 
						include_table:'CALLCAPTURE',
						date_min:	countToDate,
						server:		serverSelect,
						gettype:'XML', nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data){

			// Find the total
			$(data).find('TOTALRESULT').each(function()
			{
				//alert( $(this).attr('media_file_id') );
				mCount = $(this).attr('total');
			});			

			mMsg = 'The system purged a total of '+mCount+' recordings from '+serverSelect+'.';
			$("#purgequestion").removeClass().addClass('messagereturndate').html(mMsg);
			
			$("#spinner").hide();			
			
		},
		error: function (xhr, desc, exceptionobj) 
		{
			//alert(xhr.responseText);					
			mMsg = 'ERROR: An error occured which prevented the purge from occurring.';
			$("#purgequestion").removeClass().addClass('messagemakeselection').html(mMsg);		

			$("#spinner").hide();
		}				
		}
	);		


}

// Get the locations needed for the report
function PopulateLocationCodes()
{
	// Add options to the dropdown for the locations
	$.ajax({ type: "POST", 
				url: "cc_ajax_command.php", 						
				data: { action:		"GetLocationCodes",
						client_id:	$('#client_id').val(), 
						gettype:'XML', nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data){

			// Populate Recordings Information
			$(data).find('LOCATIONRESULT').each(function(){
				// Append that values
				$('#location_code').append(
					$('<option></option>').val($(this).attr('cc_server_name')).html($(this).attr('cc_server_desc'))
				);
			});
			
		},
		error: function (xhr, desc, exceptionobj) 
		{
			//alert(xhr.responseText);					
		}
	});		

}  // PopulateLocationCodes


// Make sure we are okay to run the report
function TestOkay()
{
	//selectedDate=$.datepicker.parseDate('yy-mm-dd',date);
	var mDaysAge = 0;
	selectedDate=$('#datepicker-pastonly-1').datepicker("getDate");
	if(selectedDate)
	{
		sr_returndate=dayName[selectedDate.getDay()]+" "+monthName[(Number(selectedDate.getMonth()))]+" "+selectedDate.getDate();
		datePick1Desc=sr_returndate;
		
		var d1 = new Date();
		
		var currentTime = new Date();
		var month = selectedDate.getMonth();
		var day = selectedDate.getDate();
		var year = selectedDate.getFullYear();
		
		var d2 = new Date(year, month, day);
		var day = 1000*60*60*24;
		var mDaysAge = Math.ceil((d2.getTime()-d1.getTime())/(day));
	}
	
	// Selected server (location)
	var	serverSelect = '';
	var selected = $("#location_code option:selected"); 
	if (selected.text() !== '')
	{
		serverSelect = 'on '+selected.text();	
	}

	
	mMsg = 'Purge all recordings '+serverSelect+' up to '+datePick1Desc+' ('+(0-mDaysAge)+' days)';
	$("#returndatebox").removeClass().addClass('messagereturndate').html(mMsg);

	// Enable the button
	$("#goreport").get(0).disabled=false;
	
}


$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

	// First time through
	$.mask.definitions['1']='[0123456789,-]'; // Uppercase
	$.mask.definitions['A']='[ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz ,-:0123456789]'; // Uppercase
		
	// Add locations
	PopulateLocationCodes();

	// Set the date to the slider first time
	//$('#datepicker-pastonly-1').datepicker("setDate", -45);

	
	////////////////////////////////////////////////////////
	// Set up the date pickers etc
	////////////////////////////////////////////////////////
	$(function()
	{
		// Slider
		$('#slider').slider({
			range: false,
			min: mMinDays,
			max: 365,  // a year max
			value: mMinDays, 
			change: function(event, ui) 
			{ 
				// Update the calendar
				mValue = $(this).slider('option', 'value');
				minPick1 = 0 - mValue;
				$('#datepicker-pastonly-1').datepicker("setDate", minPick1);
				
				
				// Run the report
				TestOkay();
			},
			slide: function(event, ui) 
			{ 
				// Get option
				mValue = $(this).slider('option', 'value');
				minPick1 = 0 - mValue;
				$('#datepicker-pastonly-1').datepicker("setDate", minPick1);

				// Run the report
				TestOkay();
			}
		});
					
	
		// First selection
		// Past only, 1 year back
		$('#datepicker-pastonly-1').datepicker({
			dateFormat: 'yy-mm-dd',  // is actually yyyy-mm-dd
			maxDate: -45,
			minDate: -365,
			onSelect: function(date) 
			{
				// Update the slider with the correct number
				var mDaysAge = 0;
				selectedDate=$('#datepicker-pastonly-1').datepicker("getDate");
				if(selectedDate)
				{
					sr_returndate=dayName[selectedDate.getDay()]+" "+monthName[(Number(selectedDate.getMonth()))]+" "+selectedDate.getDate();
					datePick1Desc=sr_returndate;
					
					var d1 = new Date();
					
					var currentTime = new Date();
					var month = selectedDate.getMonth();
					var day = selectedDate.getDate();
					var year = selectedDate.getFullYear();
					
					var d2 = new Date(year, month, day);
					var day = 1000*60*60*24;
					var mDaysAge = Math.ceil((d2.getTime()-d1.getTime())/(day));
					var mSetDays = 0-mDaysAge;
					// Slider value change
					//alert('Here '+(0-mDaysAge));
					$('#slider').slider( "option", "value", mSetDays);
				}
				
				
				// Run the report
				TestOkay();
			}
		});
	
		
		// Run the reprt
		$("#goreport").click(function()
		{
			reportPage = 1;
			UpdateReport(reportPage);
		});

		// Run the purge process
		$("#gopurge").click(function()
		{
			RunPurgeProcess();
		});

	});	
	
	//$("#continuesignup").attr("disabled", "true"); // Disable it 
	TestOkay();
	
});
</script>
<?php 
include($incPath."include/header_divs.php"); 


// Start - TOP MENU 
// Default names that are replaced from the database
$mDefaultDisplay 	= 'CallCapture';
$mDefaultDesc 		= 'Archive Call Recordings';
$database->getApplicationNameForWebpage($thisWebPage, $mDefaultDisplay, $mDefaultDesc);
?>
<div id="topbar">
<?php
echo CheckCurrentMenu($appSysUri, $thisWebPage, $mDefaultDisplay,  $incPath .$webCSSMenuGraphic);
echo CheckMenuText($mDefaultDesc);
?>
</div>
<?php
include($incPath."include/contact_links.php");
// END - TOP MENU



// Determine the names of the files
$uploadroot = $incPath.CLIENT_FILE_AREA;
// Does it exist?
if (!is_dir($uploadroot))
{
	// Does now
	mkdir($uploadroot);
}

$uploadpath = $uploadroot.'/client_'.zeroFill($mClient_id,5);
// Does it exist?
if (!is_dir($uploadpath))
{
	// Does now
	mkdir($uploadpath);
}


// Delete recordings that are a day old to keep the drive clean
$fileExts = array();
$fileExts[] = 'mp3';
$fileExts[] = 'wav';
$mTotal = deleteOldFiles($incPath.CLIENT_MEDIA_AREA, $fileExts, 12*3600);
//echo $mTotal;


$filecreate = "";	
$report_list = "";
// Report requested?
if(isset($_POST['goreport']))
{
/*  abs_timestamp,*/
/*  abs_change_type,*/
/* c.division   division,*/

	// Determine the min and max range
	if ($_POST['txt_updatedate2'] > $_POST['txt_updatedate'] )
	{
		$mDateMin = $_POST['txt_updatedate'];
		$mDateMax = $_POST['txt_updatedate2'];
	}
	else
	{
		$mDateMin = $_POST['txt_updatedate2'];
		$mDateMax = $_POST['txt_updatedate'];
	}

	
}


?>
<div id="frontpage" >
<div id="maintext">


<?php
// ******************************
// ********* MAIN SECTION
// ******************************
?>
<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-full">
<?php // include(str_replace('.', '_contents.', $filename = array_pop(explode('/', $_SERVER['PHP_SELF'])))); 
	//displayClientNameInDiv($mClient_id);
	$mFldgmt_duration_type = 1;
	$mFldgmt_direction_type = 1;
	$mFldgmt_location_code = 1;
?>

	<div id="portfolio_items_full">
	<div class="mini_portfolio_item">
	<div class="block_inside">

	<?php // Portfolio Contents Section ?>
	<form method="post" action="" id="reportdate_form">
	<input name="client_id"  		id="client_id"  		value="<?php echo($mClient_id);?>" type="hidden" readonly="">
	<input name="txt_updatedate"  	id="txt_updatedate" 	value="" type="hidden" readonly="">
	<input name="txt_updatedate2" 	id="txt_updatedate2"	value="" type="hidden" readonly="">			
	<span id="absence_reportdate_box">
	<div align="left">
		<!--
		-->
		<table id="" width="100%" cellpadding="1" border="0">
		<tbody>
		
		<tr>
		  <!-- Note: ROWSPAN=x Rows need filling with columns -->
		  <TH ROWSPAN=10 width="140px">
  			<div id="datepicker-pastonly-1" class="ui-datepicker"></div>
		  </TH>
		</tr>
		
		<!-- ROW 7 -->		
		<tr>
		  <td>
			CallCapture Server
		  </td>
		  
		  <td>
				<select name="location_code" id="location_code">
				</select>				
		  </td>
		
		  <td>
			&nbsp;
		  </td>			  

		</tr>				

		
		<!-- Regular -->		
		<tr>
		  <td>
			Purge to date selection slider
		  </td>			  
		  <td>
			&nbsp;
		  </td>
		  <td>
			&nbsp;
		  </td>
		</tr>
		
		<tr>
		  <td colspan="2">
			<div id="slider"></div>
		  </td>			  
		  <td>
			<div class="buttondiv_right">
				<input name="goreport" id="goreport" disabled="true" class="mybutton" type="button" value="Review"/> 
			</div>
		  </td>			  
		</tr>

		<tr>
		  <td>
			&nbsp;<span id="returndatebox" class="messagemakeselection">Select Start Date on 1st Calendar</span>			
		  </td>			  
		  <td>
			&nbsp;
		  </td>			  
		  <td>
			&nbsp;
		  </td>
		</tr>



		<tr>
		  <td colspan="3">
			&nbsp;
		  </td>			  
		</tr>

		<tr>
		  <td colspan="3">
			&nbsp;
		  </td>			  
		</tr>

		<tr>
		  <td colspan="3">
			&nbsp;
		  </td>			  
		</tr>

		<tr>
		  <td colspan="3">
			&nbsp;
		  </td>			  
		</tr>

		<tr>
		  <td colspan="3">
			&nbsp;
		  </td>			  
		</tr>


		</tbody>
		</table>		
		
				
		
	</div>
	</span>
	</form>

	<?php // End of Portfolio Section ?>
	</div>
	</div>
	</div>

	
	<?php // Media Contents Section ?>
	<div id="portfolio_items_full">
	<div class="mini_portfolio_item">
	<div class="block_inside">
		<div>
		<span id="spinner" style="display:none"><img src="../images/ajax-spinner.gif" /></span>
		<span id="purgequestion" style="display:none" class="messagemakeselection"></span>			
		<span id="purgebutton" style="display:none">
			<br />
			<br />
			<input name="gopurge" id="gopurge"class="mybutton" type="button" value="Purge"/> 		
		</span>
		</div>		
	</div>
	</div>
	</div>

	
</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->


</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->



<!-- Footer standard -->
</div> <!-- maintext -->
</div> <!-- frontpage -->
<?php 
include($incPath."include/footer.php");
?>