<?php
// Remove email identifiers so that robots have a harder time picking up emails
function provideEmailSemi($pEmailOriginal)
{
	$mEParts = explode('@',$pEmailOriginal);
	$mOrg	 = explode('.',$mEParts[1]);
	$mEmail = $mEParts[0].'____REMOVE____@'.$mOrg[0].'____THESE____.'.$mOrg[1];
	return $mEmail;
}

// Add graphics in place to make things harder to reads
function provideEmailClick($pMailTo, $pSubject, $pCrPath)
{
	$mEParts = explode('@',$pMailTo);
	$mOrg	 = explode('.',$mEParts[1]);
	$mEmail = provideEmailSemi($pMailTo);
	
	// Put some basic extentions in 
	if 		($mOrg[1] == 'org') $mImage = 'cw_symbol3.gif';  // Not, I specifically did NOT call names with .com, org etc.
	elseif 	($mOrg[1] == 'com') $mImage = 'cw_symbol1.gif';
	elseif 	($mOrg[1] == 'ca')  $mImage = 'cw_symbol4.gif';
	
	$mAt  = '<img height="14" width="12" border="0" src="'.$pCrPath.'images/cw_symbol2.gif"/>';
	$mExt = '<img height="14" width="27" border="0" src="'.$pCrPath.'images/'.$mImage.'"/>';
	$mEdisp = $mEParts[0].$mAt.$mOrg[0].$mExt;
	
	$emailHTML = '<span vertical-align=top><a href="mailto:'.$mEmail.'?subject='.$pSubject.'">'.$mEdisp.'</a></span>';
	//echo $emailHTML ;
	return $emailHTML; //'no email here'; //$emailHTML;
}

// Provide a phrase back to paste into a page
// -- Note: This system will read the phrases array from the localsettings_appearance.php file
function providePhrase($pSystem, $pPhraseId)
{
	global $sys_static_text;
	$mPhrase = $sys_static_text[$pSystem][$pPhraseId];
	if ($mPhrase == '')
	{
		$mPhrase = 'MISSING_STATIC_TEXT: '.$pSystem.'-'.$pPhraseId;
	}
	return $mPhrase;
}
?>