<?php
/*
* TeleFlow Open Dictation
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Includes Section
// Includes Section
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php');   


/**
 * User not logged in, redirect to main page
 * automatically.
 */
if(!$session->checkLogin())
{
   header("Location: ".$incPath."cr_main.php");
}



function tfm_cleanOrderBy($theValue, $defaultSort) 
{
	if (preg_match("/^[\w,]{1,50}\s+(asc|desc)\s*$/i",$theValue, $matches)) 
	{
		return $matches[0];
	}
	return $defaultSort;
}


$tfm_orderby =(!isset($_GET["tfm_orderby"]))?"file_date DESC, file_time DESC":$_GET["tfm_orderby"];
$tfm_order =(!isset($_GET["tfm_order"]))?"ASC":$_GET["tfm_order"];
$sql_orderby = $tfm_orderby." ".$tfm_order;

//echo "<br>".$sql_orderby."<br><br>";
if ($sql_orderby == "file_date ASC")
{
	$sql_orderby = tfm_cleanOrderBy($sql_orderby, "file_date ASC, file_time ASC");
	$sql_orderby = $sql_orderby.", file_time ASC";
} 
else 
{
	$sql_orderby = tfm_cleanOrderBy($sql_orderby, "file_date DESC, file_time DESC");
	$sql_orderby = $sql_orderby.", file_date DESC, file_time DESC";
}
//echo "<br>".$sql_orderby."<br><br>";


// -------- Pagination for Reports ------------
// Note: Don't forget at the start of this program:  session_start(); 
// Was a page parameter passed
if (isset($_GET['page'])) 
{
	$pageLines  = (isset($_SESSION["pageLines"])) ? $_SESSION["pageLines"] : 0;
	$pageCurr   = (isset($_SESSION["pageCurr"]))  ? $_SESSION["pageCurr"]  : 0;
	$pageMax    = (isset($_SESSION["pageMax"]))   ? $_SESSION["pageMax"]   : 0;
	// Determine the new page to hit
	$pageCurr   = engRepPageSettings($_GET['page'], $pageCurr, $pageMax);
}
else
{
	// Go with new page
	$pageLines  = 100;
	$pageCurr   = 0;
	$pageMax    = -1; // set with count   
}  
// -------- Pagination for Reports ------------


$SSAdv_colors1 = array("#FFFFFF", "#EAF2F4");
$SSAdv_k1 = 0;
$SSAdv_m1 = 0;
$SSAdv_change_every1 = 1;


$file_conf_num = "";
if (isset($_GET['file_conf_num'])) 
{
	$file_conf_num = (get_magic_quotes_gpc()) ? $_GET['file_conf_num'] : addslashes($_GET['file_conf_num']);
}

$varloaded = "";
if (isset($_GET['loaded'])) 
{
	$varloaded = (get_magic_quotes_gpc()) ? $_GET['loaded'] : addslashes($_GET['loaded']);
}


$sqlorderby_rsSearchResultDate = "file_conf_num";
if (isset($sql_orderby)) 
{
	$sqlorderby_rsSearchResultDate = $sql_orderby;
}

if ($varloaded == "")  
{
	$varloaded = ("loaded"); 
	$query_rsSearchResultDate = "";
}  
else
{
	// First, update File Transfer to Pending
	$updateSQL = sprintf("UPDATE dictate_file SET file_status_transcription='%s' WHERE file_conf_num=%s", "Pending", $file_conf_num);
	$Result1 = mysql_query($updateSQL) or die(mysql_error());

	//  Select Dictations
	$query_fields = (    
"SELECT 
* ");
	$query_from = (sprintf(
"FROM 
 dictate_file d,
 dictate_physician c, 
 dictate_client a, 
 filepath f
WHERE 
  d.file_conf_num = %s
AND d.dictate_client_id = a.dictate_client_id
AND d.filepath_id = f.filepath_id 
AND c.dp_id = d.dp_id
ORDER BY {$sqlorderby_rsSearchResultDate}", $file_conf_num));

	// Retrieve for pagination style 
	$query_rsSearchResultDate = $query_fields." ".$query_from.engRepLimit($pageCurr,$pageLines);
	$rsSearchResultDate = mysql_query($query_rsSearchResultDate) or die(mysql_error());
	$row_rsSearchResultDate = mysql_fetch_assoc($rsSearchResultDate);
	$totalRows_rsSearchResultDate = mysql_num_rows($rsSearchResultDate);

	// -------- Pagination for Reports ------------
	// Get the count if there is no page defined
	$pageMax = engRepPageMax($pageMax, $pageLines, $query_from, '');
}

// Save Session variables
$_SESSION["pageLines"] = $pageLines;
$_SESSION["pageCurr"]  = $pageCurr;
$_SESSION["pageMax"]   = $pageMax;
// From here for line number use: ($counter++)+engRepCounter()
//  engRepOptions();  for the |< < page of x > >| options
// -------- Pagination for Reports ------------


//End Special List Recordset


//sort column headers for rsSearchResultDate 
$tfm_saveParams = explode(",","file_conf_num,loaded");
$tfm_keepParams = "";
if($tfm_order == "ASC") 
{
	$tfm_order = "DESC";
} 
else
{
	$tfm_order = "ASC";
}

while (list($key,$val) = each($tfm_saveParams)) 
{
	if(isset($_GET[$val]))$tfm_keepParams .= ($val)."=".urlencode($_GET[$val])."&";	
	if(isset($_POST[$val]))$tfm_keepParams .= ($val)."=".urlencode($_POST[$val])."&";
}
$tfm_orderbyURL = $_SERVER["PHP_SELF"]."?".$tfm_keepParams."tfm_order=".$tfm_order."&tfm_orderby=";
?>
<?php
include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script type="text/javascript"> 
//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

})
</script>  
<link href="dictation.css" rel="stylesheet" media="screen,,projection" title="default" type="text/css"  /> 
<?php
include($incPath."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Dictation</div></span></a>
</div>

<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-wide">

<table cellpadding="5" border="0">
<tbody>
<tr>
  <td>
	<?php echo(displayContainerOutline('<h2>Retransfer (via Secure FTP) Audio Files</h2>'));?>
  </td>
</tr> 
</tbody>
</table>

    
<TABLE width="99%" border=0 cellPadding=5>
<TBODY>
<TD align=left vAlign=top><table width="99%" border="0" cellspacing="0" cellpadding="0">
    <tr>
    <td>
    <br>
    Select the Confirmation Number of the Dictation to retransfer.
    <br>&nbsp;</td>
    </tr>
    <td>    
    
    
<form name="form1" method="GET">
<table width="80%" border="0" cellspacing="3" cellpadding="0">

      <tr>
        <td>Confirmation #: </td>
        <td colspan="2"><label>
          <input name="file_conf_num" type="text" id="file_conf_num" value="<?php echo $file_conf_num ?>" size="20"/>
        </label></td>
        <td>- Enter 6 digit conf. #&nbsp;  </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td><input name="loaded" type="hidden" id="loaded" value="<?php echo $varloaded; ?>" /></td>
        <td colspan="2">&nbsp;</td>
        <td><input type="submit" name="Submit" value="Retransfer" /></td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
</table>
</form>   
	  <table width="650" border="0" cellpadding="3" cellspacing="2">
      <tr>        
        <td width="3%" bgcolor="#29386B" class="style8 style4"><span class="style11">#</span></td>
        <td width="7%" bgcolor="#29386B"><span class="style13">File ID </span></td>
        <td width="11%" bgcolor="#29386B"><span class="style13">DNIS</span></td>
        <td width="8%" bgcolor="#29386B"><span class="style13">Phys. ID</span></td>
        <td width="10%" bgcolor="#29386B"><span class="style13">Call Date</span></td>
        <td width="10%" bgcolor="#29386B"><span class="style13">Call Time</span></td>
        <td width="8%"  bgcolor="#29386B"><span class="style13">Conf.#</span></td>
        <td width="11%" bgcolor="#29386B"><span class="style13">File Status</span></td>
        <td width="11%" bgcolor="#29386B"><span class="style13">Web Status</span></td>
      </tr>

<?php 
$counter = 1;
if ($query_rsSearchResultDate != "") 
{
  do 
  { 
?>
<tr class="body">
<?php

	// Determine status and set the color for the row
	$statusWeb  = $row_rsSearchResultDate['file_status_web'];
	$statusFile = $row_rsSearchResultDate['file_status_transcription'];
	$confNum    = $row_rsSearchResultDate['file_conf_num'];

	$rowColor = 'bgcolor="#E1E1E1"';
	if ($row_rsSearchResultDate['file_status_transcription'] == 'Deleted')
	{
		// Deleted is set for new files too, so check call end reason to see if it blank
		if ($row_rsSearchResultDate['call_end_reason'] == '')
		{
			$rowColor = 'bgcolor="#CCFFCC"';
			$statusFile = 'Dictating';
			$statusWeb  = 'Dictating';
			$confNum    = '';
		}
		else
		{
			$rowColor = 'bgcolor="#A1A1A1"';
		}
	}
	else if ($row_rsSearchResultDate['file_status_transcription'] == 'Pending')
	{
		// Make it the blue color
		$rowColor = 'bgcolor="#A1F1F1"';
	}
  
	// Alternate colours
	if($SSAdv_m1%$SSAdv_change_every1==0 && $SSAdv_m1>0)
	{
		$SSAdv_k1++;
	}
	$bgcolor = $SSAdv_colors1[$SSAdv_k1%count($SSAdv_colors1)];
	$SSAdv_m1++;

	if ($totalRows_rsSearchResultDate > 0)
	{ 
?>
		<td width="3%" valign="top" <?php echo $rowColor?>><?php echo ($counter++)+engRepCounter(); ?></td>
		<td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['file_id']; ?></td>
		<td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['call_dnis']; ?></td>
		<td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['dictate_physician_id']; ?></td>
		<td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['file_date']; ?></td>
		<td valign="top" <?php echo $rowColor?>><?php echo $row_rsSearchResultDate['file_time']; ?></td>
		<td valign="top" <?php echo $rowColor?>><?php echo $confNum; ?></td>
		<td valign="top" <?php echo $rowColor?>><div align="left"><?php echo $statusFile ?></div></td>
		<td valign="top" <?php echo $rowColor?>><div align="left"><?php echo $statusWeb ?></div></td>
<?php 
	} 
  } while (($rsSearchResultDate != "") and ($row_rsSearchResultDate = mysql_fetch_assoc($rsSearchResultDate)));
} // if 
?>
		<tr>
<?php //echo "Total: ".$totalRows_rsSearchResultDate;?>
<?php 
		if (($query_rsSearchResultDate != "") &&
			(($totalRows_rsSearchResultDate == 0) and ($rsSearchResultDate != "")))  
		{ // Show if recordset empty 
?>
		  <td colspan="3" bgcolor="#FFCCCC">ERROR: Dictation not located.</td>
		  <td>&nbsp;</td>
		  <td>&nbsp;</td>
		  <td>&nbsp;</td>
		  <td>&nbsp;</td>
<?php 
		} // Show if recordset empty 
?>
		</tr>
    </table>
	
	</td>
  </tr>
</table>
<div align="right"></div></TD>
</TR></TBODY></TABLE>

</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2-wide">
<?php include("menusection.php"); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->
	
<!-- Footer standard -->
</div>	
</div>
<?php 
include($incPath."include/footer.php");
if ($query_rsSearchResultDate != "")
{
	mysql_free_result($rsSearchResultDate);
}
?>
