<?php
// TFRegister program... will validate an order and return a registration code to tfregister.exe
/*
Version: 1.1
1.1
-- Include option for Product identification

1.0
-- Accept MAC provided by Sharit using TeleFlowKeyGen



/*
==How To Purchase==
This section descripts the steps person must take in order to purchase TeleFlow / CT Developer on line. 

===Purchase Online===
Either through a weblink:

:<tt>http://www.ivrsoft.com/order.htm</tt>

Note:  TFRegister has 

A person will go to Shareit.com / Element 5, and enter:
* [Product number]
** HYPE: 300187104
** Standard: 300187105
** Enterprise: 300187107
* [Quantity] 
* [Email]

Once this information is entered, along with a credit card, an email from Shareit.com / Element 5 will be returned that will include:
* element 5 Order number: 173140975
* Key Code

The order number is a number created by Element 5.  The Key Code is created by TeleFlowKeyGen.exe which was provided to Shareit by Pingram.




===TeleFlow Registration===
Once the order number and key code is received, the same infomration must 

 A client enters the following at 


HTTP request example:  


http://127.0.0.1/TeleFlow/tfregister.php?a=1&b=99991231&c=186070135&d=mueller@test.net&f=A46228A489DCEE203AC039A2C87A53D9

===History===
http://127.0.0.1/tfregister.php?a=1&b=99991231&c=186070135&d=mueller@test.net&f=A46228A489DCEE203AC039A2C87A53D9


*/   
   
// Start progrm      
//require_once('constants/database.php');        


// Note: Testing
//echo "Get:".$_GET['a']."<br>";   
//echo "Get:".$_GET['b']."<br>";   
//echo "Get:".$_GET['c']."<br>";   
//echo "Get:".$_GET['d']."<br>";   
//echo "Get:".$_GET['e']."<br>";   

$licensesnum  =             $_GET['a'];
$expirydate   =             $_GET['b'];   
$ordernum     =             $_GET['c'];   
$email        =             $_GET['d'];   
$productid    =             $_GET['e'];     // Added Version 1.1
$ordermd5     =             $_GET['f'];   
$compmac      = strtoupper( $_GET['g'] );   

// Lets make sure the user has a valid purchase entry
// @@@ Should check against a database, and ensure only 1 (or 2) licenses

/*
  // generate the key
  Buffer :=  WideValue('QUANTITY')+     // number of ports, eg: '24'
             '99991231'+                // No Expiry - '99991231'
             lowercase(WideValue('PURCHASE_ID'))+
             lowercase(WideValue('EMAIL'))+
             cPurchaseBASE+#0;
  key := GetMD5(@Buffer[1], Length(Buffer) - 1);
*/                                                                   

// This hash comes from the TeleFlowKeyGen.exe program at Shareit                  "54616D6D794D634D616E75"
$tfpurch_v10 = strtoupper(md5($licensesnum.$expirydate.$ordernum.$email.           "54616D6D794D634D616E75"));
$tfpurch_v11 = strtoupper(md5($licensesnum.$expirydate.$ordernum.$email.$productid."54616D6D794D634D616E75"));

/* DEBUG ONLY
echo "Md5:".$ordermd5."<br>";
echo "Md5:".$tfpurch."<br>";
echo $expirydate."--".$ordernum."--".$licensesnum."<br>";
*/

// Do they match?  If not, then we cannot validate

// Check 1/2 - See if basic was purchased (not including the Product id) from V1.0 KeyGen
if ($tfpurch_v10 == strtoupper($ordermd5))
{
    // We are good to go
   
    // Generate the License code   -- This hash is compiled in TFServer
    $tfcomb = $licensesnum.$compmac.$expirydate.$ordernum."4F736B61725F4F56455221";
    $tfhash =  strtoupper(md5( $tfcomb ));
   
    //echo "<html>".$tfcomb."<br>".$expirydate."--".$ordernum."--".$licensesnum."--".$compmac."--".$tfhash."</html>";   
    echo $tfhash;
}
else
{
    // Check 2/2 - See if a purchase came through using V1.1
    if ($tfpurch_v11 == strtoupper($ordermd5))
    {
       // We are good to go
       
       // Generate the License code   -- This hash is compiled in TFServer
       $tfcomb = $licensesnum.$compmac.$expirydate.$ordernum."4F736B61725F4F56455221";
       $tfhash =  strtoupper(md5( $tfcomb ));
       
       //echo "<html>".$tfcomb."<br>".$expirydate."--".$ordernum."--".$licensesnum."--".$compmac."--".$tfhash."</html>";   
       echo $tfhash;
    }
    else
    {
       echo "INVALID";
    } 
}
   
?>
