<?php
/*
* TeleFlow OpenVoiceMail
*
* Copyright (C) 2008 engenic (engenic.com)
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
* http://www.gnu.org/copyleft/gpl.html
*/
// Includes Section
require_once("cr_reference.php");
require_once($incPath.'LocalSettings.php'); 
include($incPath."include/session.php");

require_once($websiteLibrary.'calcWorkUnit.php');   

/**
 * User not logged in, redirect to main page
 * automatically.
 */
if(!$session->checkLogin())
{
   header("Location: ".$incPath."cr_main.php");
}


  



// -------- Pagination for Reports ------------
// Note: Don't forget at the start of this program:  session_start(); 
// Was a page parameter passed
if (isset($_GET['page'])) 
{
  $pageLines  = (isset($_SESSION["pageLines"])) ? $_SESSION["pageLines"] : 0;
  $pageCurr   = (isset($_SESSION["pageCurr"]))  ? $_SESSION["pageCurr"]  : 0;
  $pageMax    = (isset($_SESSION["pageMax"]))   ? $_SESSION["pageMax"]   : 0;
  // Determine the new page to hit
  $pageCurr   = engRepPageSettings($_GET['page'], $pageCurr, $pageMax);
}
else
{
  // Go with new page
  $pageLines  = 10;
  $pageCurr   = 0;
  $pageMax    = -1; // set with count   
}  
// -------- Pagination for Reports ------------


$SSAdv_colors1 = array("#EAF2F4","#FFFFFF");
$SSAdv_k1 = 0;
$SSAdv_m1 = 0;
$SSAdv_change_every1 = 1;

// Default age 
$cAgeDays = '-14 day';

// LIST of STATUS
$cNew     = "New";
$cDELETE  = "DELETE";
$cSaved   = "Saved";
$cPURGED  = "PURGED";

// Modified Status
$cHeard   = "Heard";


// Default to a x day(s) ago
$varstartdate = date('Y-m-d', strtotime($cAgeDays));
if (isset($_GET['startdate'])) {
  $varstartdate = (get_magic_quotes_gpc()) ? $_GET['startdate'] : addslashes($_GET['startdate']);
}

$varenddate = "";
if (isset($_GET['enddate'])) {
  $varenddate = (get_magic_quotes_gpc()) ? $_GET['enddate'] : addslashes($_GET['enddate']);
}

$varstatus = "";
if (isset($_GET['status'])) {
  $varstatus = (get_magic_quotes_gpc()) ? $_GET['status'] : addslashes($_GET['status']);
}

$searchenddate = "";
if (isset($_GET['searchenddate'])) {
  $searchenddate = (get_magic_quotes_gpc()) ? $_GET['searchenddate'] : addslashes($_GET['searchenddate']);
}

$varloaded = "";
if (isset($_GET['loaded'])) {
  $varloaded = (get_magic_quotes_gpc()) ? $_GET['loaded'] : addslashes($_GET['loaded']);
}


$query_rsFileDate = sprintf(
"SELECT 
   MAX(sent_date), 
   MIN(sent_date) 
FROM 
   mailbox_message 
WHERE  
    sent_date >= '$varstartdate' 
AND sent_date <= '$varenddate'");
$rsFileDate = mysql_query($query_rsFileDate) or die(mysql_error());
$row_rsFileDate = mysql_fetch_assoc($rsFileDate);
$totalRows_rsFileDate = mysql_num_rows($rsFileDate);

$searchenddate = $varenddate;
if ($searchenddate == "")  
{
	$searchenddate = ("9999-99-99"); 
}

// Make sure we are searching for a status
if ($varstatus == "")
{
  $varstatus = $cNew;
}

// Get the user u_id
$req_user_info = $database->getUserInfo($_SESSION['username']);

// This prevents an immediate load... but, override it
if ($varloaded = "")  
{  // This should be an ==, but will keep it at = because it works right
	$varloaded = ("loaded"); 
	$query_rsSearchResultDate = "select 0 is null";
}  
else
{
   $query_fields = (    
"SELECT        
	s.msg_id             AS MSG_ID,                    
	msg_status,
	sender_ani,
	sender_dnis,
	g.group_name         AS group_name,  
	g.group_description  AS group_description,      
	s.heard_once_yn      AS heard_once_yn,
	s.sent_date      AS sent_date,
	s.sent_time      AS sent_time,                
	b.mbx_num        AS MBX_NUM,                           
	f.dir_loc        AS MSG_DIR_LOC,                       
	m.msg_name       AS MESSAGE
");
   
   $query_from = (sprintf(
"FROM                                                      
	mailbox b, 
	mailbox_message s,  
	message m,       
	filepath f,
	group_detail g                                        
WHERE
-- Leave start date here (it's intentional)
    sent_date >= '%s'
and sent_date <= '%s'
and s.mbx_id = b.mbx_id 
and g.mbx_id = s.mbx_id
and m.msg_id = s.msg_id
and m.filepath_id = f.filepath_id 
and s.mbx_msg_status in ('%s')              
and g.group_id in (select group_id from vo_user_group where u_id = '%s')"               
, $varstartdate, $searchenddate, $varstatus, $req_user_info['u_id']));

    // Retrive for pagination style 
    $query_rsSearchResultDate =  $query_fields." ".$query_from.engRepLimit($pageCurr,$pageLines);
	
	//echo $query_rsSearchResultDate; die;	
}    

$rsSearchResultDate = mysql_query($query_rsSearchResultDate) or die(mysql_error());
$row_rsSearchResultDate = mysql_fetch_assoc($rsSearchResultDate);
$totalRows_rsSearchResultDate = mysql_num_rows($rsSearchResultDate);

/////////////////////////////////////////////////
//Debug
/////////////////////////////////////////////////
//echo($query_rsSearchResultDate);

// -------- Pagination for Reports ------------
// Get the count if there is no page defined
$pageMax = engRepPageMax($pageMax, $pageLines, $query_from, '');
// Save Session variables
$_SESSION["pageLines"] = $pageLines;
$_SESSION["pageCurr"]  = $pageCurr;
$_SESSION["pageMax"]   = $pageMax;
// From here for line number use: ($counter++)+engRepCounter()
//  engRepOptions();  for the |< < page of x > >| options
// -------- Pagination for Reports ------------


//sort column headers for rsSearchResultDate 
$tfm_saveParams = explode(",","startdate,enddate,status,loaded");
$tfm_keepParams = "";
if (!isset($tfm_order))
{
	$tfm_order = "DESC";
}

if ($tfm_order == "ASC") 
{
	$tfm_order = "DESC";
}
else
{
	$tfm_order = "ASC";
}

while (list($key,$val) = each($tfm_saveParams)) 
{
	if(isset($_GET[$val]))$tfm_keepParams .= ($val)."=".urlencode($_GET[$val])."&";	
	if(isset($_POST[$val]))$tfm_keepParams .= ($val)."=".urlencode($_POST[$val])."&";
}
$tfm_orderbyURL = $_SERVER["PHP_SELF"]."?".$tfm_keepParams."tfm_order=".$tfm_order."&tfm_orderby=";

?>
<?php
include($incPath."include/header.php"); 
// JavaScript goes here + + +
?>
<script type="text/javascript"> 

var seconds=5;

//  Set up jQuery - Now is a good timeto see if it will fly / load up the libraries
$(document).ready(function()
{
	<?php include($incPath.'cr_javascript_graphics.php'); ?>

	// Cancel buttons
	$("#cancel").click(function()
	{	
		window.location = "cr_main.php"
	}); 

	// Cancel buttons
	$("#edit").click(function()
	{	
		window.location = "cr_useredit.php"
	});
	
	document.MsgTimer.NewMessageTimer.value='5'; 
	document.MsgTimer.LastMsgID.value='0'; 
	document.MsgTimer.MessageSts.value=''; 
	
	// Start it running
	MessageCheck();	
	
})
</script>   
<script language="javascript"> 
function MM_callJS(jsStr) { //v2.0
  return eval(jsStr)
}
//-->
</script>   

<script language="javascript"> 
// Count down and check
function MessageCheck()
{ 
  if (document.MsgTimer.MessageSts.value == "NewMessage") 
  { 
    // In case we are playing a message or something, lets no reload... just pop up a message
    // document.location.reload();
    document.MsgTimer.MessageSts.value=''; 
    alert ("A new voice message has arrived. Click 'Refresh' to view.")
  }
  else if (document.MsgTimer.MessageSts.value ==  "NothingNew") 
  { 
  } 

  seconds-=1;
  if (seconds == 0)
  {
    seconds = 60;  // Test every 60 seconds
    
    // Do a search against the main system 
    xmlHttp=GetXmlHttpObject();
    if (xmlHttp==null)
    {
      //alert ("Browser does not support HTTP Request")
      return
    }
    
    if (xmlHttp!=null)
    {  
      var url="xml_voicecmd.php";
      xmlHttp.onreadystatechange=state_Change;
      xmlHttp.open("POST",url,false);
      mRequest='<REQUEST action="LastMsgId" UserId="2" MsgId="';
      mRequest=mRequest.concat(document.MsgTimer.LastMsgID.value);
      mRequest=mRequest.concat('"></REQUEST>');
      xmlHttp.send(mRequest);
    }
  }
  document.MsgTimer.NewMessageTimer.value=seconds;
  setTimeout("MessageCheck()",1000);
} 
// Run the counter
MessageCheck();
</script> 


<script language="javascript"> 
// Play a voice message
function playWav(nm, pMsg_id, pStsDiv) 
{ 
   // Indicate a heard
   document.getElementById(pStsDiv).innerHTML='<div class="MessageHeard">Heard</div>';

   // Play message
   document.getElementById("forEmbed").innerHTML="<embed name=\"Wav1\" id=\"Wav1\" src=\""+nm+"\" type=\"audio/wav\" autostart=\"true\" loop=\"false\" width=\"0\" height=\"0\" enablejavascript=\"true\">";
   obj = document.embeds['Wav1']; 
   if(obj.Play)
   {
      obj.Play()
   }
   // Put XML call here to send a request the message be set to herad
   loadXMLDoc('xml_voicecmd.php', '<REQUEST action="Heard" MsgId="'+pMsg_id+'"></REQUEST>');

   return true; 
} 

// Stop playing current voice message
function stopWav(nm) 
{ 
   obj = document.embeds['Wav1']; 
   if(obj.Stop) 
   {
      obj.Stop(); 
   }
   return true; 
} 

// Rewind and play current voice message
function rewWav(nm) 
{  
   obj = document.embeds['Wav1']; 
   if(obj.Rewind)
   {
      obj.Rewind(); 
   }
   return true; 
} 
</script> 


<script language="javascript"> 
// Delete a voice message by its id
function deleteMsg(pMsg_id, pCmdDiv, pStsDiv) 
{ 
   // Change the status
   document.getElementById(pStsDiv).innerHTML='<div class="MessageDeleted">Deleted</div>';

   // Put XML call here to send a request to delete the message
   loadXMLDoc('xml_voicecmd.php', '<REQUEST action="Delete" MsgId="'+pMsg_id+'"></REQUEST>');
   
   return true; 
} 

// Save a voice messsage by its id
function saveMsg(pMsg_id, pCmdDiv, pStsDiv) 
{ 
   // Change the status
   document.getElementById(pStsDiv).innerHTML='<div class="MessageSaved">Saved</div>';
   
   // Put XML call here to send a request to delete the message
   loadXMLDoc('xml_voicecmd.php', '<REQUEST action="Save" MsgId="'+pMsg_id+'"></REQUEST>');
   
   return true; 
} 
</script> 


<script type="text/javascript">
function loadXMLDoc(pUrl, pXml)
{
  xmlHttp=GetXmlHttpObject();
  if (xmlHttp==null)
  {
    alert ("Browser does not support HTTP Request")
    return
  } 
  
  if (xmlHttp!=null)
  {  
    xmlHttp.onreadystatechange=state_Change;
    xmlHttp.open("POST",pUrl,false);
    xmlHttp.send(pXml);
  }
}

  
// Create an HTTP XML Object
function GetXmlHttpObject()
{ 
  var objXMLHttp=null
  if (window.XMLHttpRequest)
  {
    objXMLHttp=new XMLHttpRequest()
  }
  else if (window.ActiveXObject)
  {
    objXMLHttp=new ActiveXObject("Microsoft.XMLHTTP")
  }
  return objXMLHttp
}

function state_Change()
{
  if (xmlHttp.readyState==4)
  {// 4 = "loaded"
    if (xmlHttp.status==200)
    {// 200 = OK
      // This works... the XML approach
      // document.getElementById("txtHint").innerHTML="A"+xmlHttp.responseText+"B";
   
      // The XML approach
      var xmlDoc=xmlHttp.responseXML;  // responseText
      //mValue = xmlDoc.getElementsByTagName("response")[0].childNodes[0].nodeValue;
      mValue = xmlDoc.getElementsByTagName("response").item(0).attributes.getNamedItem("action").value;
      if (mValue == 'Delete')
      {
         mValue = xmlDoc.getElementsByTagName("Message").item(0).attributes.getNamedItem("DELETE").value;
         document.getElementById("LastMessage").innerHTML="Deleted "+mValue;
      }
      else if (mValue == 'Save')
      {
         mValue = xmlDoc.getElementsByTagName("Message").item(0).attributes.getNamedItem("Saved").value;
         document.getElementById("LastMessage").innerHTML="Saved "+mValue;
      }
      else if (mValue == 'LastMsgId')
      {
         mValue = xmlDoc.getElementsByTagName("Message").item(0).attributes.getNamedItem("Result").value;
         mMsgNo = xmlDoc.getElementsByTagName("Message")[0].childNodes[0].nodeValue;
         // Get the last message number for the first cycle
         if (document.MsgTimer.LastMsgID.value == 0)
         {
            document.MsgTimer.LastMsgID.value=mMsgNo;
         }
         else
         {
            // All following cycles, check for new messages?
            document.MsgTimer.MessageSts.value=mValue;
            document.MsgTimer.LastMsgID.value=mMsgNo;
         }
      }
      else
      {
         // Error 
      }
    }
    else
    {
      alert("Problem retrieving XML data");
    }
  }
}
</script>

<style type="text/css">
<!--
.style8 {color: #FFFFFF}
.style11 {
	font-size: 8pt;
	font-weight: bold;
}
.style13 {
	color: #FFFFFF;
	font-size: 8pt;
	font-weight: bold;
}
.style14 {font-size: 8pt}
.style15 {color: #FFFFFF; font-size: 8pt; }
-->
</style>
<?php
include($incPath."include/header_divs.php"); 
?>
<div id="topbar">
    <a class="active"><span><div id="bartitle">Messages</div></span></a>
	<?php
	if (!$session->logged_in)
	{
	?>
		<a><span>Login to your account, or </span></a>
		<a class="active" href="register.php"><span>Sign Up</span></a>
	<?php
	}
	?>
</div>

<div id="hidden" style="display: none;">
<form name="MsgTimer">
<input type="text" size="8" id="NewMessageTimer" name="NewMessageTimer" value="10">
<input type="text" size="8" id="LastMsgID" name="LastMsgID" value="0">
<input type="text" size="8" id="MessageSts" name="MessageSts" value="">
</form> 
</div>


<div id="frontpage">
<div id="maintext">

<!--------------------------->
<!-- Liquid Start -->
<!--------------------------->
<div class="colmask rightmenu">
<div class="colleft-wide">
<!--------------------------->
<!-- Column 1 start -->
<!--------------------------->
<div class="col1-wide">
	<table cellpadding="5" border="0">
	<tbody>
	<tr>
	  <td>
		<?php echo(displayContainerOutline('<h2>Department Voice Messages</h2>'));?>
	  </td>
	</tr> 
	</tbody>
	</table>
	
	<table width="98%" border="0" cellpadding="5">
	<tr>
	<td align="left" valign="top">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
		<td>
			<form method="GET" name="form1" id="form1">
			<table width="570" border="0" cellspacing="0" cellpadding="2">
				<tr class="body">
				  <td width="29%"><b>Select date range</b></td>
				  <td width="11%">Start</td>
				  <td width="27%"><span class="bodytextBOLD">
					<input name="startdate" type="text" id="startdate" value="<?php echo $varstartdate; ?>" size="8" />
					<img src='../images/calendar.gif' border='0' align='top' onclick="displayDatePicker('startdate');">
				  </span></td>
				  <td colspan="2">- Choose start date range <a target="_blank"></a></td>
				</tr>
				<tr>
				  <td>&nbsp;</td>
				  <td>End</td>
				  <td><span class="bodytextBOLD">
					<input name="enddate" type="text" id="enddate" value="<?php echo $varenddate; ?>" size="8" />
					<img src='../images/calendar.gif' border='0' align='top' onclick="displayDatePicker('enddate');">
				  </span></td>
				  <td colspan="2">- Choose end date range</td>
				</tr>
				<tr>
				  <td>&nbsp;</td>
				  <td>&nbsp;</td>
				  <td><span class="bodytextBOLD">
					  <input name="status" type="radio" id="status" value="New" checked="checked">New
					  <input name="status" type="radio" id="status" value="Saved">Saved</span></td>
				  <td width="15%">&nbsp;</td>
				  <td width="18%"><input type="submit" name="Submit" value="Refresh" /></td>
				</tr>
			</table>
			</form>
		</td>
		</tr>
		</table>
	</td>
	</tr>
	</table>
		
	<?php echo(displayContainerOutlineHeader()); ?>
	<table width="650" border="0" cellpadding="3" cellspacing="2">
    <tr>
        <td colspan="2" ><?php engRepOptions(); ?>&nbsp;</td>
        <td colspan="2" ><div id="LastMessage"></div></td>
        <td colspan="4">
           <button type="button" onclick="return stopWav();">Stop</button> 
           <button type="button" onclick="return rewWav();">Replay</button> 
           <input name="loaded" type="hidden" id="loaded" value="<?php echo $varloaded; ?>" /><?php echo $varloaded; ?>
        </td>
	</tr>
	<tr>        
        <td width="8%"  bgcolor="#29386B"><span class="style13">Status</span></td>
        <td width="15%" bgcolor="#29386B"><span class="style13">Sender</span></td>
        <td width="10%" bgcolor="#29386B"><span class="style13">DNIS</span></td>
        <td width="10%" bgcolor="#29386B"><span class="style13">Date / Time</span></td>
        <td width="17%" bgcolor="#29386B"><span class="style13">Message</span></td>
        <?php // The forEmbed div is for the VoiceMessage ?>
        <div id="forEmbed"></div>        
        <td width="17%" bgcolor="#29386B"><span class="style13">Command</span></td>
    </tr>

<?php 
$counter = 1;
do 
{ ?>
	<tr class="body">
<?php 
	// Set the color for the row
	$rowColor = 'bgcolor="#E1E1E1"';
	if ($row_rsSearchResultDate['msg_status'] == 'Deleted')
	{
		$rowColor = 'bgcolor="#A1A1A1"';
	}

	if ($totalRows_rsSearchResultDate > 0) 
	{ // Show if recordset not empty 
		// Get the area code information... if it exists
		$mFrom = 'Unknown';
		$mANI = $row_rsSearchResultDate['sender_ani']."Z";
		if (strlen($mANI)==11) // +1 for Z
		{ 
			$mCode = substr($mANI,0,3);
			$query_rsVoiceMailFiles = sprintf(
"SELECT distinct 
	state_province, 
	timezone, 
	gmt_offset, 
	dst 
FROM
	area_codes 
WHERE 
	area_code = %s", $mCode);
			$rsVoiceMailFiles = mysql_query($query_rsVoiceMailFiles) or die(mysql_error());
			$row_rsVoiceMailFiles = mysql_fetch_assoc($rsVoiceMailFiles);      
			$mFrom = "<i>".$row_rsVoiceMailFiles[state_province]."</i>";
			mysql_free_result($rsVoiceMailFiles);
		}

		//echo ($counter++)+engRepCounter();  // used for counter in report
		$counter++;

		// Create the definition for the delete button
		$mCmdDivName = "'".'commanddiv'.$counter."'";
		$mStsDivName = "'".'statusdiv'.$counter."'";
		$mStsMsg     = $row_rsSearchResultDate['msg_status'];

		$mDelButton  = "<button type=\"button\" onclick=\"return deleteMsg(".$row_rsSearchResultDate['MSG_ID'].",".$mCmdDivName.",".$mStsDivName.");\">Delete</button>";
		$mSaveButton = "<button type=\"button\" onclick=\"return saveMsg(".$row_rsSearchResultDate['MSG_ID'].",".$mCmdDivName.",".$mStsDivName.");\">Save</button>";

		// Determine if we should be allowed to save the message
		if ($mStsMsg == $cNew)
		{
			// See if it has been heard
			if ($row_rsSearchResultDate['heard_once_yn'] == "Y")
			{
				// Change the status to heard
				$mStsMsg = $cHeard; //'Heard'
				$mStsCol = 'bgcolor="#66CC00"';
				$mInputs = $mDelButton.'&nbsp;&nbsp;&nbsp;'.$mSaveButton;
			}
			else
			{
				$mStsCol = 'bgcolor="#51E1A0"';
				$mInputs = $mDelButton.'&nbsp;&nbsp;&nbsp;'.$mSaveButton;
			}
		}
		else if ($mStsMsg == $cSaved)
		{
			$mStsCol = 'bgcolor="#FF9999"';
			$mInputs = $mDelButton;
		}
		else
		{
			$mStsCol = $rowColor;
		}
  
		// Determine how to display the time
		if (date('Y-m-d') == $row_rsSearchResultDate['sent_date']) 
		{
			$mMsgDate = '<b>Today</b>'; 
		}
		else if (date('Y-m-d',strtotime('-1 day')) == $row_rsSearchResultDate['sent_date']) 
		{
			$mMsgDate = 'Yesterday'; 
		}
		else
		{
			$mMsgDate = $row_rsSearchResultDate['sent_date'];
		}  
?>
  
		<td valign="middle" <?php echo $mStsCol?>>
			  <div id=<?php echo $mStsDivName?> align="middle">
				<b><?php echo $mStsMsg?></b>
			  </div>
		</td>  
		<td valign="top" <?php echo $rowColor?>><b><?php echo TelephoneFormat($row_rsSearchResultDate['sender_ani'])."</b><br>".$mFrom; ?></td>
		<td valign="top" <?php echo $rowColor?>><?php echo TelephoneFormat($row_rsSearchResultDate['sender_dnis']).'<br><b>'.
														 $row_rsSearchResultDate['group_description']; ?></b></td>
		<td valign="top" <?php echo $rowColor?>><?php echo $mMsgDate.'<br>'.
														 $row_rsSearchResultDate['sent_time']; ?></td>

<?php 
		$mMessageFile = stripslashes(str_ireplace($vmailLocFind,$vmailLocWith,$row_rsSearchResultDate['MSG_DIR_LOC'])).
                  '/'.$row_rsSearchResultDate['COMPANY_ID'].
                  '/'.$row_rsSearchResultDate['MBX_NUM'].
                  '/'.$row_rsSearchResultDate['MESSAGE'];
		//echo ($mMessageFile);

		// Determine if we should create a link depending on the web upload code
		if (file_exists($mMessageFile))
		{ 
			// Add the download reference 
			$mWavDL   = "&nbsp;<a href=\"".$mMessageFile."\" class=\"style10\">Download</a>";
			$mWavSize = filesize($mMessageFile);
			$mTimeLen = round($mWavSize / $vmailWavBytes); // approximate bytes per second of recording time
			if ($mTimeLen < 60)
			{
				$mTimeDef = "&nbsp;&nbsp;".$mTimeLen." seconds<br>";
			}
			elseif ($mTimeLen < 120)
			{
				$mTimeDef = "&nbsp;&nbsp;> ".round($mTimeLen/60)." minute<br>";
			}
			else
			{
				$mTimeDef = "&nbsp;&nbsp;> ".round($mTimeLen/60)." minutes<br>";
			}
			$mWavLink = "<button type=\"button\" onclick=\"return playWav('".$mMessageFile."',".$row_rsSearchResultDate['MSG_ID'].",".$mStsDivName.");\">Play</button>".$mTimeDef.$mWavDL;
		}
		else
		{
			// There is not a download link... just display as text
			//$mWavLink = "<font color=#555555>".$row_rsSearchResultDate['file_name']."</font>";
			$mWavLink = "<font color=#555555".
					 " class=\"style10\">N/A</font>";
			// Testing: $mWavLink = "<button type=\"button\" onclick=\"return playWav('".$mMessageFile."',".$row_rsSearchResultDate['MSG_ID'].",".$mStsDivName.");\">Play</button>".$mWavDL;
		}

// Set 
?>	  
		<td valign="top" <?php echo $rowColor?>><div align="left"><?php echo $mWavLink; ?></div></td>
		<td valign="top" <?php echo $rowColor?>>
		  <div id=<?php echo $mCmdDivName?> align="left">
			 <?php echo $mInputs?>
		  </div>
		</td>
<?php 
	} // Show if recordset not empty 

} while ($row_rsSearchResultDate = mysql_fetch_assoc($rsSearchResultDate)); 
?>
	</tr>
	<tr>
		<?php if ($totalRows_rsSearchResultDate == 0) { // Show if recordset empty ?>
		<td colspan="5">No Results Found </td>
		<td></td>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		<td width="38%">&nbsp;
		</td>
	<?php } // Show if recordset empty ?>
	</tr>
	<tr>
	<td colspan="5" ><?php engRepOptions(); ?>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	</tr>

	</table>
	<?php echo(displayContainerOutlineFooter()); ?>
	
	
</div>
<!--------------------------->
<!-- Column 1 end -->
<!--------------------------->

<!--------------------------->
<!-- Column 2 start -->
<!--------------------------->
<div class="col2-wide">
<?php include("menusection.php"); ?>
</div>
<!--------------------------->
<!-- Column 2 end -->
<!--------------------------->

</div>
</div>
<!--------------------------->
<!-- Liquid End -->
<!--------------------------->


<!-- Footer standard -->
</div>	
</div>
<?php 
include($incPath."include/footer.php");
?>
<?php
//mysql_free_result($rsVoiceMailFiles);
mysql_free_result($rsFileDate);
mysql_free_result($rsSearchResultDate);
?>