/**
 * sr_replacement.js
 * copyright (c) 2008 connectrelay
 * Written by (teleflow / web access updates) : javakinetic@gmail.com
 * Last Updated: Dec 31, 2008
*/
//  Interact with PHP system using AJAX

// Define the variables we will need to remember for posting
var sr_absid;
var sr_employeeid;
var sr_fullname;
var sr_abstype;
var sr_absreason;
var sr_job_cd;
var sr_dept_num;
var sr_location;
var monthName = new Array("January","February","March","April","May","June","July","August", "September","October","November","December");
var dayName   = new Array('Sunday,', 'Monday,', 'Tuesday,', 'Wednesday,', 'Thursday,', 'Friday,', 'Saturday,');

// When user it typing in Absence section
function updateVerbose()
{
	// If there is not a job selected, go with the definition
	if ($("#txt_dept_num").val() == '')
	{
		mDesc = $("#txt_fullname").val()+' is '+
				$("#txt_abstype").val()+' due to <b>'+
				$("#txt_absreasonv").val()+'</b> from <b>'+
				$("#txt_unknown_job").val()+'</b> for <b>'+
				$("#txt_absdays").val()+'</b> shift(s).  ';
		
		// Only allow submit for some reasons
		if ($("#txt_unknown_job").val() == '')
		{
			$("#submit_absence").get(0).disabled=true;
		}
		else
		{
			// enable the button
			$("#submit_absence").get(0).disabled=false;		
		}
	}
	else
	{	
		mDesc = $("#txt_fullname").val()+' is '+
				$("#txt_abstype").val()+' due to <b>'+
				$("#txt_absreasonv").val()+'</b> from his/her '+
				$("#txt_job_description").val()+' for <b>'+
				$("#txt_absdays").val()+'</b> shift(s).  ';
		// enable the button
		$("#submit_absence").get(0).disabled=false;
	}	
	
	$("#distributionbox").html( mDesc+'<br style="clear:both" />' ); // '<button type="button">Refresh</button>'
	//$("#distributionbox").hide().show();	
}


$(document).ready(function()
{
	include_js('/library_js/cr_javascript_graphics.js');

	////////////////////////////////////////////////////////
	// Set up the date picker
	////////////////////////////////////////////////////////
	$(function()
	{
		// FOR Absence Update
		// Kevin Luck's - Date Picker
		/*
		$('.turn-me-into-datepicker')
			.datePicker({inline:true})
			.bind(
				'dateSelected',
				function(e, selectedDate, $td)
				{
					//console.log('You selected ' + selectedDate);
					//alert("hi "+selectedDate);
					//var sr_returndate = new Date();
					//var selDate = selectedDate.getFullYear() + '/' + (Number(selectedDate.getMonth())+1) + '/' + selectedDate.getDate(); 
					var selDate = formatTeleFlowDate(selectedDate.getFullYear(), Number(selectedDate.getMonth())+1, selectedDate.getDate());
					// + ' ' + selectedDate.getHours() + ':' + selectedDate.getMinutes() + ':' + selectedDate.getMilliseconds();

					//alert("hi "+selectedDate.getDay()+dayName[selectedDate.getDay()]+" "+monthName[(Number(selectedDate.getMonth()))]);
					//alert(selDate);
					
					// Build the return date
					sr_returndate=dayName[selectedDate.getDay()]+" "+monthName[(Number(selectedDate.getMonth()))]+" "+selectedDate.getDate();
					// Add it to the update
					$('#txt_updatedate').val(selDate);
					// Make the button look alive
					$("#update_absence").get(0).disabled=false;
					
					$("#returndatebox").addClass('messagereturndate').text(sr_returndate);
					//$("#distributionbox").html( mDesc+'<br style="clear:both" />' ); // '<button type="button">Refresh</button>'
					
					// We have selected a date, so, hide the other stuff
					$("#radio_options_box").hide();	
					$("#absence_submit_box").hide();		
					
					// Give a confirmation of the effort
					mDesc = $("#txt_fullname").val()+' is going to return to work on <b>'+
							sr_returndate+'.</b>';
					$("#distributionbox").html( mDesc+'<br style="clear:both" />' ); // '<button type="button">Refresh</button>'					
				}
			);
		*/
			
		// FOR Absence Report - Back 3 months until today
		$(function() {
			$('#datepicker-pastonly').datepicker({
				dateFormat: 'yy-mm-dd',  // is actually yyyy-mm-dd
				maxDate: '+0',
				minDate: -92,
				onSelect: function(date) 
				{ 
					//alert((date));
					$('#txt_updatedate').val(date);

					// Build the return date
					selectedDate=$.datepicker.parseDate('yy-mm-dd',date);
					sr_returndate=dayName[selectedDate.getDay()]+" "+monthName[(Number(selectedDate.getMonth()))]+" "+selectedDate.getDate();					
					//sr_returndate=dayName[Number(substr(date,8,2))]+" "+monthName[Number(substr(date,5,2))]+" "+substr(date,0,4);
					
					$("#returndatebox").addClass('messagereturndate').text(sr_returndate);
					//$("#distributionbox").html( mDesc+'<br style="clear:both" />' ); // '<button type="button">Refresh</button>'
										
					$("#empid_form").hide();
					$("#search_form").hide();
					// Remove any employees listed
					$("div").filter("#searchlisting").remove();
					
					// Run the report
					$("#goreport").trigger('click');
				}});
		});

	});

	////////////////////////////////////////////////////////
	// Go - See if the user id is in the list
	////////////////////////////////////////////////////////
	$("#empid_form").submit(function()
	{
		$("#submit_absence").get(0).disabled=true;
		$("#update_absence").get(0).disabled=true;

		//remove all the class add the messagebox classes and start fading
		$("#msgbox").removeClass().addClass('messagebox').text('Validating....').fadeIn(100);
		
	    // Hide other stuff
	    $("#jobs_list_box").hide();			
	    $("#radio_options_box").hide();	
	    $("#absence_submit_box").hide();		
	    $("#absence_update_box").hide();		
			  
		//check the empid exists or not from ajax
		///////////////////////////////////
		// Populate the screen
		///////////////////////////////////		
		// NOTE: This function will LOG to absence2008-10-12.log etc
		$.post("sr_ajax_employee.php",{ empid:$('#empid').val(), gettype:'HTML', nocache_rand:Math.random() },function(data)
        {
		  if(data=='NO') //if correct login detail
		  {
		  	$("#msgbox").fadeTo(200,0.1,function()  //start fading the messagebox
			{ 
			  //add message and change the class of the box and start fading
			  $(this).html('User ID Invalid or Not Active').addClass('messageboxerror').fadeTo(900,1,
	              function()
				  { 
					 //$(this).html(data).fadeIn(10);
				  	 //redirect to secure page
					 //document.location='secure.php';
				  }
			  );

			  // Hide other stuff
			  $("#jobs_list_box").hide();			
			  $("#radio_options_box").hide();	
			  $("#absence_submit_box").hide();			  
			  $("#absence_update_box").hide();			
			  
			  
			});
		  }
		  else 
		  {
			// FOUND a Valid ID, show stuff
			$("#employee_list_box").hide();

			// Clear up the screen a bit
			$("#search_form").hide();
	
			
		  	$("#jobs_list_box").show(
				function() //start fading the messagebox
				{ 
					//add message and change the class of the box and start fading
					//$(this).html('Found Something...').addClass('messageboxerror').fadeTo(900,1);
					//$(this).removeClass().addClass('messagebox').text(data).fadeIn(10);
					//$(this).html(data).fadeIn(10);
				}
			);

			
			///////////////////////////////////
			// Now, get the XML for Jobs etc
			///////////////////////////////////			
			// NOTE: This will clear previous job listings... so, that they can be added again
			$("div").filter("#joblisting").remove();
			$("div").filter("#jobsearchlist").remove();

			// Clear the description and search
			$("#txt_unknown_job").val("");
			$("#locationword").val("");
			$("#jobword").val("");
			
			
			$.ajax({ type: "POST", 
						url: "sr_ajax_employee.php", 
						client_id:$('#client_id').val(), 
						data: { empid:$('#empid').val(), gettype:'XML', nocache_rand:Math.random() }, 
						dataType: "xml", 
						success: function(data){

				// Populate Employee Information
				$(data).find('RESPONSE').each(function(){
					// NOTE: We have two sets of data here
					// EMPLOYEE
					//alert( "hi" );
					$("#txt_firstname").val($(this).attr("firstname"));	
					$("#txt_lastname").val($(this).attr("lastname"));	
					$("#txt_abstype").val('ABSENT');
					sr_fullname = $("#txt_firstname").val()+" "+$("#txt_lastname").val();
					
					$("#txt_fullname").val( sr_fullname );
					// JOBS
					//$("#txt_dept_num").val(xmlDoc.getElementsByTagName("EMPLOYEEJOB")[0].getAttribute("dept_num"));
					//$("#txt_location").val(xmlDoc.getElementsByTagName("EMPLOYEEJOB")[0].getAttribute("location"));
					//$("#txt_job_cd").val(xmlDoc.getElementsByTagName("EMPLOYEEJOB")[0].getAttribute("job_cd"));

					$("#msgbox").removeClass().addClass('messageboxok').text($("#txt_fullname").val()).fadeIn(1000);
				});
						
				// Create All the Jobs
			    $(data).find('EMPLOYEEJOB').each(function()
				{
					//alert( $(this).attr('org_name') );
					
					// *** Clone node assign ID attribute and fade in
					job_cd = $(this).attr('job_cd')
					var newEl = $("#JobItemTemplate").clone(true).attr("id", "joblisting").fadeIn("fast");  // job_cd
					// *** Now fill in the jobs data 
					newEl.find("#td_job_cd").text( $(this).attr('position_name') );
					newEl.find("#td_location").html( $(this).attr('dept_name')+" <b>("+$(this).attr('org_name')+")</b>" );
					
					// Value
					newEl.find("input").attr("value",          job_cd);
					newEl.find("input").attr("attr_job_cd",    job_cd);
					newEl.find("input").attr("attr_dept_num",  $(this).attr('dept_num') );
					newEl.find("input").attr("attr_location",  $(this).attr('location') );
					// Verbose psotion
					mPosition=$(this).attr('position_name')+" position in "+$(this).attr('dept_name')+" at "+$(this).attr('org_name');
					newEl.find("input").attr("attr_job_description", mPosition);
					//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
					newEl.insertBefore("#lstPortfolioContainer");
					
			    });
								
				//alert('HiZ');
				
				},
				error: function (xhr, desc, exceptionobj) 
				{
					//alert(xhr.responseText);					
				}					
				}
			);

			
			// Show valid
			$("#msgbox").removeClass().addClass('messageboxok').text('User ID valid').fadeIn(100);
			
			// Remember it
			sr_employeeid=$('#empid').val();
			
			// Show the options
			$("#tnames").addClass('messagebox').text('Scroll Down').fadeIn(10);
			//$("#absence_submit_box").show();			
			//$("#radio_options_box").show();			
			
			$("#distributionbox").addClass('messageabsence').html('');
			$("#distributionbox").show();			
							
          }
				
        });
 		return false; //not to post the  form physically
	});
	
	
	////////////////////////////////////////////////////////
	// Search - Search for employee names
	////////////////////////////////////////////////////////
	$("#search_form").submit(function()
	{
		//remove all the class add the messagebox classes and start fading
		$("#msgbox").removeClass().addClass('messagebox').text('Searching Name...').fadeIn(1000);

	    // Hide other stuff
	    $("#jobs_list_box").hide();			
	    $("#radio_options_box").hide();	
	    $("#absence_submit_box").hide();		
		$("#absence_update_box").hide();			
			  							
		///////////////////////////////////
		// Now, get the XML for SearchMatches etc
		///////////////////////////////////			
		// NOTE: This will clear previous job listings... so, that they can be added again
		$("div").filter("#searchlisting").remove();

		$.ajax({ type: "POST", 
					url: "sr_ajax_search.php", 
					data: { firstname:$('#firstname').val(), 
							lastname:$('#lastname').val(), 
							client_id:$('#client_id').val(), 
							gettype:'XML', 
							nocache_rand:Math.random() }, 
					dataType: "xml", 
					success: function(data)
			{
				// Get General Reponse Info
				$(data).find('RESPONSE').each(function()
				{
					// NOTE: We have two sets of data here
					//$("#txt_firstname").val($(this).attr("firstname"));	
					//$("#msgbox").removeClass().addClass('messageboxok').text($("#txt_fullname").val()).fadeIn(1000);

					// Did we get something
					if ( $(this).attr('result') == 'SUCCESS')
					{
						$("#tnames").addClass('messagebox').text('Enter Employee Id above').fadeIn(10);
						$("#employee_list_box").show();
					}
					else
					{
						$("#tnames").addClass('messagebox').text('No results found...').fadeIn(10);
					}
					$("#msgbox").removeClass().text('');
					
				});
						
				// Create All the SearchMatches
				mCount=0;
				$(data).find('EMPLOYEEMATCH').each(function()
				{
					//alert( $(this).attr('org_name') );
					//alert('Hi here3');
					mCount=mCount+1;
					// *** Clone node assign ID attribute and fade in
					empnum = $(this).attr('empnum')
					
					var newEl = $("#SearchItemTemplate").clone(true).attr("id", "searchlisting").fadeIn("fast");  // job_cd
					// *** Now fill in the jobs data 
					newEl.find("#td_emp_id").html( " <b>"+$(this).attr('empnum')+"</b>" );
					newEl.find("#td_fullname").html( $(this).attr('firstname')+" "+$(this).attr('lastname')+"" );
					
					// Value
					newEl.find("input").attr("value",          empnum);
					newEl.find("input").attr("attr_emp_id",    empnum);
					//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
					newEl.insertAfter("#lstSearchContainer");
					
				});
				
				if (mCount==1)
				{
					$("#msgbox").removeClass().addClass('messagebox').text('Found '+ mCount +' match').fadeIn(1000);
				}
				else
				{
					$("#msgbox").removeClass().addClass('messagebox').text('Found '+ mCount +' matches').fadeIn(1000);
				}
				//alert('HiZ');
				
			},
			error: function (xhr, desc, exceptionobj) 
			{
				//alert(xhr.responseText);					
			}
		});
 		return false; //not to post the  form physically
	});

	
	////////////////////////////////////////////////////////
	// Search - Search for Job Descriptions
	////////////////////////////////////////////////////////
	$("#jobs_form").submit(function()
	{
		///////////////////////////////////
		// Now, get the XML for Jobs etc
		///////////////////////////////////			
		// NOTE: This will clear previous job listings... so, that they can be added again
		$("div").filter("#jobsearchlist").remove();
		$.ajax({ type: "POST", 
				url: "sr_ajax_jobssearch.php", 
				data: { locationword:$('#locationword').val(), 
						jobword:$('#jobword').val(), 
						client_id:$('#client_id').val(), 
						gettype:'XML', 
						nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data)
				{	
					// Populate Employee Information
					$(data).find('RESPONSE').each(function()
					{
						// Did we get something
						if ( $(this).attr('result') == 'ERROR')
						{
							//alert("Error");
							$("#msgbox").removeClass().addClass('messageboxerror').text('Search provided no Results').fadeIn(10);
						}
						else
						{
							// Create All the Jobs
							mCount=0;
							$(data).find('FOUNDJOB').each(function()
							{
								//alert( $(this).attr('org_name') );
								mCount=mCount+1;
								
								// *** Clone node assign ID attribute and fade in
								job_cd = $(this).attr('job_cd')
								var newEl = $("#JobItemTemplate").clone(true).attr("id", "jobsearchlist").fadeIn("fast");  // job_cd
								// *** Now fill in the jobs data 
								newEl.find("#td_job_cd").text( $(this).attr('position_name') );
								newEl.find("#td_location").html( $(this).attr('dept_name')+" <b>("+$(this).attr('org_name')+")</b>" );
								
								// Value
								newEl.find("input").attr("value",          job_cd);
								newEl.find("input").attr("attr_job_cd",    job_cd);
								newEl.find("input").attr("attr_dept_num",  $(this).attr('dept_num') );
								newEl.find("input").attr("attr_location",  $(this).attr('location') );
								// Verbose psotion
								mPosition=$(this).attr('position_name')+" position in "+$(this).attr('dept_name')+" at "+$(this).attr('org_name');
								newEl.find("input").attr("attr_job_description", mPosition);
								//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
								newEl.insertAfter("#lstPortfolioContainer");
								
						    });
							$("#msgbox").removeClass().addClass('messagebox').text('Found '+ mCount +' matches').fadeIn(1000);
						}
					});					
				},
				error: function (xhr, desc, exceptionobj) 
				{
					//alert(xhr.responseText);					
				}
			}
		);
 		return false; //not to post the  form physically
	});
	
	

	
	////////////////////////////////////////////////////////
	// Absences Report  - Refresh for today
	////////////////////////////////////////////////////////
	$("#goreporttoday").click(function()
	{
		//$('#dp_applied').dpSetStartDate('11/11/2008');
		//$('.turn-me-into-datepicker-pastonly')

		$("#empid_form").hide();
		$("#search_form").hide();
		
		// Get now
		var currentTime = new Date();
		var month = currentTime.getMonth() + 1;
		var day = currentTime.getDate();
		var year = currentTime.getFullYear();

		
		// Build the return date
		sr_returndate=dayName[currentTime.getDay()]+" "+monthName[(Number(currentTime.getMonth()))]+" "+currentTime.getDate();
		// Add it to the update
		$('#txt_updatedate').val(formatTeleFlowDate(year, month, day));
		$("#returndatebox").addClass('messagereturndate').text(sr_returndate);
				
		
		$("#goreport").trigger('click');
 		return false; //not to post the  form physically
	});
	
	////////////////////////////////////////////////////////
	// Absences Report  - For a Specific Date
	////////////////////////////////////////////////////////
	$("#goreport").click(function()
	{
		// Show the loader
		$("#ajax-loader").show();
		// Show the absences list
	    $("#abs_list_box").show();	
		//alert('he'+$('#txt_updatedate').val());
		
		///////////////////////////////////
		// Now, get the XML for Jobs etc
		///////////////////////////////////			
		// NOTE: This will clear previous absence listings... so, that they can be added again
		$("div").filter("#absencereportentry").remove();
		$.ajax({ type: "POST", 
				url: "sr_ajax_listabsences.php", 
				data: { //empnum:$('#empnum').val(), 
						date:$('#txt_updatedate').val(), 
						client_id:$('#client_id').val(), 
						gettype:'XML', 
						nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data)
				{	
					// Populate Employee Information
					$(data).find('RESPONSE').each(function()
					{
						// Did we get something
						if ( $(this).attr('result') == 'ERROR')
						{
							//alert("Error");
							$("#msgbox").removeClass().addClass('messageboxerror').text('No entries for this date').fadeIn(10);
						}
						else
						{
							// Create All the Jobs
							mCount=0;
							$(data).find('ABSENCE').each(function()
							{
								//alert( $(this).attr('org_name') );
								mCount=mCount+1;
								
								// *** Clone node assign ID attribute and fade in
								job_cd = $(this).attr('job_cd')
								var newEl = $("#AbsenceReportItemTemplate").clone(true).attr("id", "absencereportentry").fadeIn("fast");  // job_cd
								// *** Now fill in the absence data 
								newEl.find("#td_abs").html( '<span class="infoEmpNum">'+$(this).attr('absence_id')+"</span> "+$(this).attr('abs_humandate')+' <span class="infoTime">'+$(this).attr('abs_change_time')+"</span> " );
								divinfo = '<div id="abs'+$(this).attr('absence_id')+'"></div>';
								
								
								// See if we can get the div
								newEl.find("tr").attr("id", ("abs"+$(this).attr('absence_id'))); // css({backgroundColor: 'yellow', fontWeight: 'bolder'}); //val("abs"+$(this).attr('absence_id'));
								newEl.find("#abs_id").attr("id", "abs"+$(this).attr('absence_id'));
								newEl.find("input").attr("value", "abs"+$(this).attr('absence_id'));
								
								
								// Show details about the absence
								if ($(this).attr('absreason') == 'ILLNESS')
								{
									reasoninfo = '<span class="infoIllness">'+$(this).attr('absreason')+"</span> ";
								}
								else if ($(this).attr('absreason') == 'INJURY')
								{
									reasoninfo = '<span class="infoInjury">'+$(this).attr('absreason')+"</span> ";								
								}
								else
								{
									reasoninfo = '<span class="infoPersonal">'+$(this).attr('absreason')+"</span> ";
								}
								
								// Show details about replacement
								replaceinfo = '';
								if ($(this).attr('replacement_status') == 'ASSIGNED')
								{
									replaceinfo = '<span class="infoReplaceStatusAssigned">'+$(this).attr('replacement_status')+"</span> ";
								}
								else if ($(this).attr('replacement_status') == 'DONE')
								{
									replaceinfo = '<span class="infoReplaceStatusDone">'+$(this).attr('replacement_status')+"</span> ";
								}
								//alert('here'+$(this).attr('replacement_status'));

								
								// Add to the list
								newEl.find("#td_empinfo").html( "<b>"+$(this).attr('empnum')+":</b> "+$(this).attr('empname')+" "+reasoninfo+" "+replaceinfo );
								//newEl.find("#td_location").html( $(this).attr('dept_name')+" <b>("+$(this).attr('org_name')+")</b>" );
								
								
								// Values 
								newEl.find("input").attr("attr_empnum",        $(this).attr('empnum')   );
								newEl.find("input").attr("attr_job_cd",        $(this).attr('job_cd')   );
								newEl.find("input").attr("attr_dept_num",      $(this).attr('dept_num') );
								newEl.find("input").attr("attr_location",      $(this).attr('location') );
								newEl.find("input").attr("attr_location_memo", $(this).attr('abs_location_memo') );
								newEl.find("input").attr("attr_dayofweek",     $(this).attr('dayofweek') );
								newEl.find("input").attr("attr_timeofday2400", $(this).attr('timeofday2400') );
								// Remember the Abs ID 
								newEl.find("input").attr("attr_absid",         $(this).attr('absence_id') );
								
								// Verbose psotion
								//mPosition=$(this).attr('position_name')+" position in "+$(this).attr('dept_name')+" at "+$(this).attr('org_name');
								//newEl.find("input").attr("attr_job_description", mPosition);
								
								//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
								newEl.insertBefore("#lstPortfolioContainer");
								
						    });
							if (mCount == 1)
							{
								$("#msgbox").removeClass().addClass('messagebox300').text('Found '+ mCount +' entry').fadeIn(1000);
							}
							else
							{
								$("#msgbox").removeClass().addClass('messagebox300').text('Found '+ mCount +' entries').fadeIn(1000);
							}
						}
					});	
					$("#ajax-loader").hide();
				},
				error: function (xhr, desc, exceptionobj) 
				{
					//alert(xhr.responseText);
					$("#ajax-loader").hide();					
				}
			}
		);
 		return false; //not to post the  form physically
	});


	////////////////////////////////////////////////////////
	// Absences Report  - For a Specific Employee
	////////////////////////////////////////////////////////
	$("#goreportemployee").click(function()
	{
		// Show the absences list
	    $("#abs_list_box").show();	
		$("#msgbox-save").removeClass().text('');

		///////////////////////////////////
		// Now, get the XML for Jobs etc
		///////////////////////////////////			
		// NOTE: This will clear previous absence listings... so, that they can be added again
		$("div").filter("#absencereportentry").remove();
		$.ajax({ type: "POST", 
				url: "sr_ajax_listabsences.php", 
				data: { empnum:$('#empid').val(), 
						//date:$('#txt_updatedate').val(), 
						client_id:$('#client_id').val(), 
						gettype:'XML', 
						nocache_rand:Math.random() }, 
				dataType: "xml", 
				success: function(data)
				{	
					// Populate Employee Information
					$(data).find('RESPONSE').each(function()
					{
						// Did we get something
						if ( $(this).attr('result') == 'ERROR')
						{
							//alert("Error");
							$("#msgbox-save").removeClass().addClass('messageboxerror').text('No entries for this employee').fadeIn(10);
						}
						else
						{
							// Create All the Jobs
							mCount=0;
							$(data).find('ABSENCE').each(function()
							{
								//alert( $(this).attr('org_name') );
								mCount=mCount+1;
								
								// *** Clone node assign ID attribute and fade in
								job_cd = $(this).attr('job_cd')
								var newEl = $("#AbsenceReportItemTemplate").clone(true).attr("id", "absencereportentry").fadeIn("fast");  // job_cd
								// *** Now fill in the absence data 
								newEl.find("#td_abs").html( '<span class="infoEmpNum">'+$(this).attr('absence_id')+"</span> "+$(this).attr('abs_humandate')+' <span class="infoTime">'+$(this).attr('abs_change_time')+"</span> " );
								divinfo = '<div id="abs'+$(this).attr('absence_id')+'"></div>';
								
								
								// See if we can get the div
								newEl.find("tr").attr("id", ("abs"+$(this).attr('absence_id'))); // css({backgroundColor: 'yellow', fontWeight: 'bolder'}); //val("abs"+$(this).attr('absence_id'));
								newEl.find("#abs_id").attr("id", "abs"+$(this).attr('absence_id'));
								newEl.find("input").attr("value", "abs"+$(this).attr('absence_id'));
								
								if ($(this).attr('absreason') == 'ILLNESS')
								{
									reasoninfo = '<span class="infoIllness">'+$(this).attr('absreason')+"</span> ";
								}
								else if ($(this).attr('absreason') == 'INJURY')
								{
									reasoninfo = '<span class="infoInjury">'+$(this).attr('absreason')+"</span> ";								
								}
								else
								{
									reasoninfo = '<span class="infoPersonal">'+$(this).attr('absreason')+"</span> ";
								}
								newEl.find("#td_empinfo").html( "<b>"+$(this).attr('empnum')+":</b> "+$(this).attr('empname')+" "+reasoninfo );
								//newEl.find("#td_location").html( $(this).attr('dept_name')+" <b>("+$(this).attr('org_name')+")</b>" );
								
								// Values 
								newEl.find("input").attr("attr_empnum",        $(this).attr('empnum')   );
								newEl.find("input").attr("attr_job_cd",        $(this).attr('job_cd')   );
								newEl.find("input").attr("attr_dept_num",      $(this).attr('dept_num') );
								newEl.find("input").attr("attr_location",      $(this).attr('location') );
								newEl.find("input").attr("attr_location_memo", $(this).attr('abs_location_memo') );
								newEl.find("input").attr("attr_dayofweek",     $(this).attr('dayofweek') );
								newEl.find("input").attr("attr_timeofday2400", $(this).attr('timeofday2400') );
								// Verbose psotion
								//mPosition=$(this).attr('position_name')+" position in "+$(this).attr('dept_name')+" at "+$(this).attr('org_name');
								//newEl.find("input").attr("attr_job_description", mPosition);
								
								//newEl.insertAfter("#lstPortfolioContainer .itemtemplate:last");
								newEl.insertBefore("#lstPortfolioContainer");
								
						    });
							if (mCount == 1)
							{
								$("#msgbox-save").removeClass().addClass('messagebox').text('Found '+ mCount +' entry').fadeIn(1000);
							}
							else
							{
								$("#msgbox-save").removeClass().addClass('messagebox').text('Found '+ mCount +' entries').fadeIn(1000);
							}
						}
					});					
				},
				error: function (xhr, desc, exceptionobj) 
				{
					//alert(xhr.responseText);					
				}
			}
		);
 		return false; //not to post the  form physically
	});

	
	/*
	//now call the ajax also focus move from 
	$("#empid").blur(function()
		{
			$("#empid_form").trigger('submit');
		}
	);
	//now call the ajax also focus move from 
	$("#lastname").blur(function()
		{
			$("#search_form").trigger('submit');
		}
	);	
	//now call the ajax also focus move from 
	$("#password").blur(function()
		{
			$("#login_form").trigger('submit');
		}
	);
	*/
	
	// Show Search when enter the emp id
	$("#empid").focus(function(){
		// Clear up the screen a bit
		$("#search_form").show();
	});
	
	
	// User clicked GO on name
	$("#go").click(function()
	{
		$("#login_form").trigger('submit');
	});

	// User clicked EMPLOYEES section 
	$("#goemployees").click(function()
	{
		$("#empid_form").show();
		$("#search_form").show();
	});
	

	
	// Search Employee Selector 
	$("input[name=searchemp]").click(function(){
		// Populate the values
		$("#empid").val($("input[name=searchemp]:checked").attr("value"));
		$("#goreportemployee").trigger('click');

	});  	
	
	
 	
	
	
	// Show detail about an absence
	$("input[name=absencelistitem]").click(function()
	{
		// Get the elment
		$("div").filter("#absencereportdetail").hide();
		$("div").filter("#absencereportdetail").remove();
		mElem=$("input[name=absencelistitem]:checked");
		
		// alert("Alert "+mElem.attr("value")+'  job:'+mElem.attr("attr_job_cd") );

		// *** Clone node assign ID attribute and fade in
		var newEl = $("#AbsenceReportDetailTemplate").clone(true).attr("id", "absencereportdetail").fadeIn("fast");  // job_cd

		// Start with the information we have
		// -- Put a few breaks in front to let CSS wrap the whole thing with the box
		mDesc = '<br />Called in ABSENT for'+
				' dept (<b>'+$(this).attr('attr_dept_num')+'</b>) '+
				' location (<b>'+$(this).attr('attr_location')+'</b>) '+
				' job (<b>'+$(this).attr('attr_job_cd')+'</b>) '+
				$(this).attr("attr_location_memo")+' and transferred to telephone number:<br /><br />';

		sr_absid=$(this).attr('attr_absid');
				
		// We can get information about the transfer here
		$.ajax({ type: "POST", 
					url: "sr_ajax_transferlist.php", 
					data: { empid:    mElem.attr("attr_empnum"), 
							client_id:$('#client_id').val(), 
							dept_num: mElem.attr("attr_dept_num"), 
							location: mElem.attr("attr_location"), 
							job_cd:   mElem.attr("attr_job_cd"),
							dayofweek1to7 : mElem.attr("attr_dayofweek"),
							timeofday2400 : mElem.attr("attr_timeofday2400"),
							gettype:  'XML', 
							nocache_rand:Math.random() }, 
					dataType: "xml", 
					success: function(data){

				// Create All the transfer entries
				$mShift="";
				dayofwk	= -1;
				$(data).find('EMPLOYEETRANSFER').each(function(){
					//alert( $(this).attr('org_name') );
					
					// *** Clone node assign ID attribute and fade in
					dayofwk   = $(this).attr('dayofwk');
					starttime = $(this).attr('starttime');
					telephone = $(this).attr('xferto');
					ext       = $(this).attr('xferext');
					mDesc = mDesc +	'<b>'+telephone+' x '+ext+'</b> (defined by distribution entry: '+dayofwk+' (1=Sunday, 7=Saturday) at '+starttime+' hours.<br />';
							
				});
				// Put a message that something is amiss if the day did not shift
				if (dayofwk == -1)
				{
					mDesc = mDesc +	'<b>EXCEPTION: No shift entries were found for this person</b><br /><br />';				
				}
				
				// Add the replace worker button
				mDesc = mDesc +	'';
							
				// Drop the list to the page
				//$("#distributionbox").html( mDesc );				
				// *** Now fill in the absence data 
				newEl.find("#td_detail").html( '<p class="messageabsence">'+mDesc+'</p>' );
			},
			error: function (xhr, desc, exceptionobj) 
			{
				//alert(xhr.responseText);					
			}
		});				
		
		newEl.insertAfter("#"+mElem.attr("value"));		
	});  	
	
	// If the user typed a description
	$("#txt_unknown_job").keyup(function()
		{
		//$("#rad_unknown").get(0).checked=true;
		$("#rad_unknown").get(0).click();
		updateVerbose();		
		}
	);

	// User clicked EMPLOYEES section 
	$("#goreplace").click(function()
	{
		// We can get information about the transfer here
		$.ajax({ type: "POST", 
					url: "sr_ajax_replacement.php", 
					data: { absid:    sr_absid,
							empid:    mElem.attr("attr_empnum"), 
							client_id:$('#client_id').val(), 
							testtel:  $("#txt_testcalltel").val(),
							testname: $("#txt_testcallname").val(),
							dept_num: mElem.attr("attr_dept_num"), 
							location: mElem.attr("attr_location"), 
							job_cd:   mElem.attr("attr_job_cd"),
							dayofweek1to7 : mElem.attr("attr_dayofweek"),
							timeofday2400 : mElem.attr("attr_timeofday2400"),
							gettype:  'XML', 
							nocache_rand:Math.random() }, 
					dataType: "xml", 
					success: function(data){

				// Create All the transfer entries
				$mShift="";
				dayofwk	= -1;
				/*
				$(data).find('EMPLOYEETRANSFER').each(function(){
					//alert( $(this).attr('org_name') );
					
					// *** Clone node assign ID attribute and fade in
					dayofwk   = $(this).attr('dayofwk');
					starttime = $(this).attr('starttime');
					telephone = $(this).attr('xferto');
					ext       = $(this).attr('xferext');
					mDesc = mDesc +	'<b>'+telephone+' x '+ext+'</b> (defined by distribution entry: '+dayofwk+' (1=Sunday, 7=Saturday) at '+starttime+' hours.<br />';
							
				});
				*/

				alert('A replacement is now being sought for Absence '+sr_absid);
							
			},
			error: function (xhr, desc, exceptionobj) 
			{
				//alert(xhr.responseText);					
			}
		});		
			
 		return false; //not to post the  form physically
	});	
}
);
